# Changelog

## [2.4.0](https://github.com/ublue-os/bazzite/compare/v2.3.0...v2.4.0) (2024-03-14)


### Features

* Add ujust command to install CoolerControl, an excellent GUI for controlling fan speeds on a wide array of hardware ([30eac4a](https://github.com/ublue-os/bazzite/commit/30eac4aae913e8b3eacdac9571efa102ea9aeb8f))
* **amd:** Add LACT to topgrade ([cf5e0f0](https://github.com/ublue-os/bazzite/commit/cf5e0f0f3d06bba93adc6653c3f4493a1e250d78))
* **deck:** Add HHD-UI ([a8f5feb](https://github.com/ublue-os/bazzite/commit/a8f5febcb282d2290b444ce4b014a7b8cd82957b))
* **just:** add option to add user to libvirt group ([#865](https://github.com/ublue-os/bazzite/issues/865)) ([36388bc](https://github.com/ublue-os/bazzite/commit/36388bc8ada8ae6b7b9f0c71f2388d4f2bf44a2e))
* **just:** add option to disable vfio ([#830](https://github.com/ublue-os/bazzite/issues/830)) ([c86a56a](https://github.com/ublue-os/bazzite/commit/c86a56aee547b43f3990e6b010befa41299d85b6))
* **nvidia:** Update to Nvidia 550 drivers ([95123e0](https://github.com/ublue-os/bazzite/commit/95123e0d5d855e3c25790be440192343b4cb1e90))
* Update isogenerator to latest version ([#822](https://github.com/ublue-os/bazzite/issues/822)) ([fe48ae0](https://github.com/ublue-os/bazzite/commit/fe48ae09067b44493e643a7ff905c07c4cab7098))


### Bug Fixes

* Add patch to avoid conflicts with Fedora's trim service ([ed02a65](https://github.com/ublue-os/bazzite/commit/ed02a6526c2a49baa6f142702d44d451dca96624))
* Add version gating for the fsync kernel ([07e0e33](https://github.com/ublue-os/bazzite/commit/07e0e33efa7484be0d4aea9d6f5241861671812a)), closes [#873](https://github.com/ublue-os/bazzite/issues/873)
* **ci:** issues with enrollment password ([#823](https://github.com/ublue-os/bazzite/issues/823)) ([1e26697](https://github.com/ublue-os/bazzite/commit/1e26697007dfd22903d627bec1a3006c4ff26400))
* Correct issue with user setup script execution check ([93bc12f](https://github.com/ublue-os/bazzite/commit/93bc12f3044b0e559f7edc3188d375521f238db8))
* correct orientation for GPD Win Max 2 (2022) ([#819](https://github.com/ublue-os/bazzite/issues/819)) ([0f2fb7d](https://github.com/ublue-os/bazzite/commit/0f2fb7daee3b6cfc0b342c608a8d4e920a278049))
* custom initramfs args actually get applied ([2bef48a](https://github.com/ublue-os/bazzite/commit/2bef48a149944a62e0f854f35b1dfc58b3032758))
* **deck:** Correct the default display scale on KDE images ([c86fc7d](https://github.com/ublue-os/bazzite/commit/c86fc7dbd7274c9277b4675390469a2e75f2a049))
* **deck:** Ensure the detected branch name is always lowercase ([26b1d53](https://github.com/ublue-os/bazzite/commit/26b1d533b93e09bdbd052cde6a6e9d1d00b56001))
* **deck:** Replace die with finish 0, may correct update errors some users have been experiencing ([e980853](https://github.com/ublue-os/bazzite/commit/e980853e3cce651e3476f5046784163ebd3d546e))
* **desktop:** Correct missing steamos-add-to-steam executable in KDE ([a8e77d1](https://github.com/ublue-os/bazzite/commit/a8e77d1731021fff27bf6b90a0a500783f880677))
* distrobox-export ([#803](https://github.com/ublue-os/bazzite/issues/803)) ([55cf1cb](https://github.com/ublue-os/bazzite/commit/55cf1cb3b5df85b4f1845ed7293f2da0e5842811))
* dont remove waydroid-choose-gpu ([#856](https://github.com/ublue-os/bazzite/issues/856)) ([d58a511](https://github.com/ublue-os/bazzite/commit/d58a511a0e023dcc5ab81b7bb131357f858e277b))
* **just:** Add missing description ([#834](https://github.com/ublue-os/bazzite/issues/834)) ([0805791](https://github.com/ublue-os/bazzite/commit/080579142775482ca5e3930a4b8dfd7985795717))
* **just:** Create repo file with sudo ([ba72610](https://github.com/ublue-os/bazzite/commit/ba7261081a6e333e2c2cc293ad4b58b460d9307b))
* make sure custom initramfs args are set ([6bd4949](https://github.com/ublue-os/bazzite/commit/6bd4949a87287327e443074e973c64e91bab2724))
* **nvidia:** Always reboot at the end of bazzite-hardware-setup, potentially fixes frozen screen that makes kargs appear to take an infinite amount of time. NVK soon? I want off Mr. Nvidia's wild ride. ([c267cbe](https://github.com/ublue-os/bazzite/commit/c267cbe82e7dbae8844b1fccee01d702028cb0da))
* **readme:** Bold ([7c35c11](https://github.com/ublue-os/bazzite/commit/7c35c11ebe9624309ea1cedea6efa0d8b24db74f))

## 2.3.0 (2024-02-23)


### Features

* Add a number of useful cockpit plugins ([7b4e7b8](https://github.com/ublue-os/bazzite/commit/7b4e7b855b861bf0b870d052758221a723502ed0))
* Add a warning when the currently booted image is over a month old ([84a9e07](https://github.com/ublue-os/bazzite/commit/84a9e07615a8909faf048928e797b739ffaec6ba))
* Add auto updating for some CSS Loader themes not on the official store with topgrade ([d7c5e52](https://github.com/ublue-os/bazzite/commit/d7c5e52c9aab84d11e8f4143e92cdaadf787748b))
* Add automatic nested desktop resolution handling for a number of handhelds. ([668eb07](https://github.com/ublue-os/bazzite/commit/668eb07187203f3bba0ea9ed3222c0c26eb17173))
* Add BoxBuddy to Bazzite Portal ([16b3eaf](https://github.com/ublue-os/bazzite/commit/16b3eafdc97c6b13040b40a4d24c95eaa5dfac9f))
* Add HHD support for GPD Win Mini & GPD Max 2 ([e347c5a](https://github.com/ublue-os/bazzite/commit/e347c5af8a8e298d62b6e5bea205e91b659ca139))
* Add HHD to GPD Win 4 ([661160d](https://github.com/ublue-os/bazzite/commit/661160d5c899ab93b42cd127ff40994e1dfbe426))
* Add joystickwake to keep screen alive from controller input ([564c5bf](https://github.com/ublue-os/bazzite/commit/564c5bf6355505cba58fbddd72862a93daa89ce8))
* Add MOTD thanks to [@bsherman](https://github.com/bsherman) and [@castrojo](https://github.com/castrojo) ([#717](https://github.com/ublue-os/bazzite/issues/717)) ([674fc08](https://github.com/ublue-os/bazzite/commit/674fc08a5eeb2a92317a56c441c487ba3b8c6e35))
* Add patched switcheroo-control by Sentry, fixes dGPU/iGPU switching ([3f3a1eb](https://github.com/ublue-os/bazzite/commit/3f3a1eb5d3539dba1cc9034b4ee3059c95bfa0f5))
* Add Planify (https://github.com/alainm23/planify) to Yafti ([ab0535a](https://github.com/ublue-os/bazzite/commit/ab0535acf20e075caccd4355552219f1cdff4e82))
* Add support for AIR Plus ([155f6f5](https://github.com/ublue-os/bazzite/commit/155f6f59e436ac151940aacd4c7d560a5b7b41a3))
* Add support for ayn-platform driver ([33592d3](https://github.com/ublue-os/bazzite/commit/33592d35389243352a8a3aad3fe53945678d3bc0))
* Add support for REALTEK RTL8814AU devices ([cb91d9f](https://github.com/ublue-os/bazzite/commit/cb91d9f02cb16230ace989212346557b3932f821))
* Add support for REALTEK RTLXXAU devices ([9a1c9d1](https://github.com/ublue-os/bazzite/commit/9a1c9d1e34b76e100d717197cc9b42670daaa696))
* Add System Update application utilizing Topgrade ([dc95ca9](https://github.com/ublue-os/bazzite/commit/dc95ca98b65c1ac391fdac3d275388d2beef4f27))
* Add topgrade for upgrades, this will be extended to take over updates moving forward ([2f5bb6a](https://github.com/ublue-os/bazzite/commit/2f5bb6abe4bad8825935f2d904181b54be476afc))
* Add TuneD in place of PPD ([c0b853a](https://github.com/ublue-os/bazzite/commit/c0b853aac6d6880b0937323709d468459acf4c06))
* Add TuneD-PPD, replacing power profiles daemon ([7d63435](https://github.com/ublue-os/bazzite/commit/7d63435a7dd4e7302aa17d166088a74e66d63dab))
* Add udev rules for HHD's DualSense Gyro ([f492777](https://github.com/ublue-os/bazzite/commit/f4927774b0371a03be70cc07fc950d8a6cc7a686))
* Add Vapor & VGUI2 themes for Prompt terminal ([d91ad21](https://github.com/ublue-os/bazzite/commit/d91ad213ea00bfb9f0858125269e379e42347968))
* Add vdpau drivers with h264 support ([90a3cc9](https://github.com/ublue-os/bazzite/commit/90a3cc97aa661c4ea2552a699745c97535c83bbe))
* Add ZLUDA for CUDA support on AMD hardware, present in /usr/lib64/zluda/* ([515b79f](https://github.com/ublue-os/bazzite/commit/515b79fb40983287e8ed9f08f232a536e0f2d69d))
* Allow MangoHUD config on all flatpaks automatically ([dd782c8](https://github.com/ublue-os/bazzite/commit/dd782c811387110bfecc25076e0a6fe02dda5c66))
* Allow tailscale control by default for users in wheel, cleanup hhd enabling script ([e693724](https://github.com/ublue-os/bazzite/commit/e6937241f851f93f7c20e98743ee99e1f1803f59))
* Allow VkBasalt config on all flatpaks automatically ([221f8cb](https://github.com/ublue-os/bazzite/commit/221f8cb56b80c6bfb7fcfd7bc3a71600c44088c0))
* **ally:** Add support for BMI323 gyro ([c803164](https://github.com/ublue-os/bazzite/commit/c8031649cdd6f4ebff5df8f3437776c95c3120c3))
* Automatically change iomem for handhelds that need ryzenadj ([9b1b4c0](https://github.com/ublue-os/bazzite/commit/9b1b4c0931ad1d5ba5fc0451e9f96c699565c6e5))
* **ayaneo:** Add ayaneo-platform and patched bmi160 drivers ([62aa585](https://github.com/ublue-os/bazzite/commit/62aa585ecc99f191ad6635808a85c02ce1bfb72a))
* **ci:** Introduce a stable tag ([#710](https://github.com/ublue-os/bazzite/issues/710)) ([c5a69fa](https://github.com/ublue-os/bazzite/commit/c5a69faba73ebcded7ea368043bf9b970e873c9d))
* Clean up just file situation, use split deck/desktop just files with a single shared one ([0f0feea](https://github.com/ublue-os/bazzite/commit/0f0feea4c3a993c8d8ac00349a4daf947e09ba3f))
* **deck:** Add BoxBuddy to Bazzite Portal ([c8475aa](https://github.com/ublue-os/bazzite/commit/c8475aa4f1cb1db15b15af2093d56a22d41917af))
* **deck:** Add fix for suspend with some wifi adapters. ([0492920](https://github.com/ublue-os/bazzite/commit/04929200614a16c16d22854924a42f42561049d8))
* **deck:** Add Loki Max to rotation fix script and nested desktop defaults ([df51d82](https://github.com/ublue-os/bazzite/commit/df51d82679950a86f2dc91d7b52271b177713ed1))
* **deck:** Add ujust commands to install various themes needed by ROG Ally & Legion Go. ([d7c5e52](https://github.com/ublue-os/bazzite/commit/d7c5e52c9aab84d11e8f4143e92cdaadf787748b))
* **deck:** Include BMI260 gyroscope driver ([c88af81](https://github.com/ublue-os/bazzite/commit/c88af8175f9e06ed4e162f4735aebcd1f9465ea7))
* Enable Discord RPC for non-flatpak applications by default ([b24e2dc](https://github.com/ublue-os/bazzite/commit/b24e2dc85057c672305c33f223581c361821b834))
* **gnome:** Add File Roller Archive Manager ([#786](https://github.com/ublue-os/bazzite/issues/786)) ([5e18df5](https://github.com/ublue-os/bazzite/commit/5e18df5aa69dd5d45a17281124cb348b66b8aaec))
* **gnome:** Remove Totem in favor of Celluloid ([#697](https://github.com/ublue-os/bazzite/issues/697)) ([7c4d2ac](https://github.com/ublue-os/bazzite/commit/7c4d2accac2609b00534af153bdb2c55d4189ab8))
* **kde:** Add System Update to the default list of favorite applications ([f9614a0](https://github.com/ublue-os/bazzite/commit/f9614a032c4a15ededd843c11e02eb78fb56de26))
* **kde:** Support light theme in Prompt w/ Vapor theme applied ([4a4ed95](https://github.com/ublue-os/bazzite/commit/4a4ed952489bb263204e9bc2540ac5f7defa0ea7))
* **legion:** Enable Steam Hardware Control when SimpleDeckyTDP is installed via ujust ([7827fb1](https://github.com/ublue-os/bazzite/commit/7827fb19f811fb9366e29c4ada294b6a3f3ab2f3))
* **loki max:** Auto enable handycon ([00d0729](https://github.com/ublue-os/bazzite/commit/00d07292683322545d691daa06024ee74a12981e))
* **nvidia:** Default to x11 ([bd4d24a](https://github.com/ublue-os/bazzite/commit/bd4d24a574cf8ed878310284d4bb0f5b0877c439))
* **nvidia:** Enable Supergfxctl extension by default under GNOME ([d936647](https://github.com/ublue-os/bazzite/commit/d9366472d63963a4a69db88bd9a5917a80e28e7f))
* Override default fish greeting to allow the motd to work ([adfa1e0](https://github.com/ublue-os/bazzite/commit/adfa1e0a57781dfc422f9f598eb6a7ac2b54824a))
* Pre-install BoxBuddy ([#797](https://github.com/ublue-os/bazzite/issues/797)) ([27568ec](https://github.com/ublue-os/bazzite/commit/27568ecc18053eec79f4a96107dd0c306d0497fe))
* Replace power profiles daemon with TuneD ([b6e3805](https://github.com/ublue-os/bazzite/commit/b6e3805871408979c18e21fed1e1bb2b1f1e6a72))
* Support Incus OOTB ([7fb4d1d](https://github.com/ublue-os/bazzite/commit/7fb4d1d6e807309ae12e3892f0304d288326d437))
* Support multitouch in Waydroid (Thanks Aru!) ([463f206](https://github.com/ublue-os/bazzite/commit/463f206770219ee3d56aa138a666e85134fea261))
* Switch from Zenpower3 to Zenergy ([33592d3](https://github.com/ublue-os/bazzite/commit/33592d35389243352a8a3aad3fe53945678d3bc0))
* Switch to modified xone that retains full support for xpad, resolves issues with third party game controllers in previous releases. ([6f50817](https://github.com/ublue-os/bazzite/commit/6f50817806e1b85d60d4e6a6f66ed3b275200c45))
* Switch to newer ublue-update powered by topgrade ([0c1c140](https://github.com/ublue-os/bazzite/commit/0c1c14062914ae8f8fcc61d616e468d5a9d12dad))
* Use automatic desktop sizing from nested desktop for Waydroid ([3beaff3](https://github.com/ublue-os/bazzite/commit/3beaff35bbe310673eb5ca33581f73588aa1a39f))
* Use topgrade for ujust update ([97aeca6](https://github.com/ublue-os/bazzite/commit/97aeca6e1ba0b5a703f564e4dbae7d976013ce40))
* **waydroid:** Fix controller integration, add automatic DPI scaling for Deck & Legion Go, others can be added to /etc/default/waydroid-launcher ([61ae746](https://github.com/ublue-os/bazzite/commit/61ae7465e68a93d9481611c3fbfd1be53995b20e))


### Bug Fixes

* Add a fix for LibreOffice flatpak to correct a printing bug ([9a22b18](https://github.com/ublue-os/bazzite/commit/9a22b180ac6c4bb695f83fda13fda091fadd2770))
* add back ujust toggle-updates ([#759](https://github.com/ublue-os/bazzite/issues/759)) ([56a963c](https://github.com/ublue-os/bazzite/commit/56a963ca572c5949d7ce2fcc84b320f6a8987355))
* Add crash fix from upstream for some HTPCs (Thanks [@nadiaholmquist](https://github.com/nadiaholmquist)) ([aad5548](https://github.com/ublue-os/bazzite/commit/aad55487da315270aa730f8ed19282c4b9dffc4d))
* Add memory limit to duperemove service ([ab41b7c](https://github.com/ublue-os/bazzite/commit/ab41b7c22f0facbb6727b2e72c0d91683d76a79d))
* Add missing i2c-tools package ([31bb763](https://github.com/ublue-os/bazzite/commit/31bb76360302de956e96bd4cea319432c7f5560a))
* Add new just restructuring to the deck just file ([87bb7a3](https://github.com/ublue-os/bazzite/commit/87bb7a34b5d0c45d231c83443de8b3d66037d381))
* Add new ROG Ally dmi ([bfaaf95](https://github.com/ublue-os/bazzite/commit/bfaaf955a51f4dfd52e782eddf24010e417e8097))
* added glibc-headers and glibc-devel to override list ([#729](https://github.com/ublue-os/bazzite/issues/729)) ([473fab7](https://github.com/ublue-os/bazzite/commit/473fab7daf05d6bf07571e99cd9a694eaf97fb99))
* **ally:** Correct blacklist for undesirable gyro ([a57f7d4](https://github.com/ublue-os/bazzite/commit/a57f7d4e385b484a2808c070354f102ac8cd6ad4))
* Always use ds-inhibit service ([b7e27cf](https://github.com/ublue-os/bazzite/commit/b7e27cffca0097575c87b8d87645787d1026667a))
* **asus:** Ensure ROG GUI is installed. ([e43ff9e](https://github.com/ublue-os/bazzite/commit/e43ff9ee98d892001a94273c886614f206bc8f57))
* Correct gamemode check in rotation fix ([6eb6f27](https://github.com/ublue-os/bazzite/commit/6eb6f271272c4b6bbdb0f2e598dadd7f12d8ef6d))
* Correct path to rotation fix hardware check. ([e31e63b](https://github.com/ublue-os/bazzite/commit/e31e63bcb29bdbe992e35fb98e83a95dca7ffb89))
* Correct possible issue when rebasing from another Fedora issue with flathub/flatpak repositories. ([448a3ca](https://github.com/ublue-os/bazzite/commit/448a3cafa8fd55d158177c36281e9f873caaac91))
* Correct rotation for Lenovo p14s gen2 ([#782](https://github.com/ublue-os/bazzite/issues/782)) ([462deab](https://github.com/ublue-os/bazzite/commit/462deabe7fdab34d47c164fa54774a3297bce4b4))
* Correct sunshine-workaround service issue ([f0f509e](https://github.com/ublue-os/bazzite/commit/f0f509eb441e9cd5351bc4cb204f0b60dc8f4f83))
* Create git repository if it doesn't already exist in Firefox/Thunderbird GNOME theme updater ([5303f00](https://github.com/ublue-os/bazzite/commit/5303f00abef85fe6c1ff139b25fd9840ac3c3d68))
* **deck:** Add GPD Win 4 to rotation fix script ([695f68a](https://github.com/ublue-os/bazzite/commit/695f68a01e280f0a7d3b9d4f2920112f0f2b6a2a))
* **deck:** Improve bazzite-rotation-fix (Thanks Aru!) ([898a70e](https://github.com/ublue-os/bazzite/commit/898a70e061f470e1487dc390e9f016788f9ac985))
* Disable container update in topgrade, solves issue with topgrade needlessly starting containers. Does not affect Distrobox. ([b97f10b](https://github.com/ublue-os/bazzite/commit/b97f10b613f9c1f24b31e504da14497bb8d97823))
* Disable negativo17 before installing xone ([e725c0f](https://github.com/ublue-os/bazzite/commit/e725c0f817419e9e762248bd7ee76c0658a69ce8))
* Don't use joystickwake on deck hardware ([953a752](https://github.com/ublue-os/bazzite/commit/953a752aed0ba5e0bdfcadf2dba6e00457980159))
* Enable dri permission for XIV Launcher by default ([19e6a93](https://github.com/ublue-os/bazzite/commit/19e6a93ce8b9e6aa0ebc17129d644318d26a427c))
* Ensure fish greeting is overridden ([809b3a3](https://github.com/ublue-os/bazzite/commit/809b3a335fb7339cb88a773bb6c975316a8efe51))
* Ensure the user flathub repository has a higher priority ([d6f69ce](https://github.com/ublue-os/bazzite/commit/d6f69ce5fa783237dd13c330fb374dd838ed2eae))
* Ensure topgrade config always exists ([1dcbb5f](https://github.com/ublue-os/bazzite/commit/1dcbb5fc97940c46184c0ec8847be9e9ff2f0e8c))
* Escape special characters in motd script ([7ed7e7f](https://github.com/ublue-os/bazzite/commit/7ed7e7fe7352357fc8a0ad86835f94d037a9f3cd))
* Fix cage check in waydroid ([d4b587d](https://github.com/ublue-os/bazzite/commit/d4b587d38927fbdcd6251bdcc875b8aa8a40211e))
* **gpd:** Correct screen rotation on the GPD Win 2 ([#781](https://github.com/ublue-os/bazzite/issues/781)) ([f08e72b](https://github.com/ublue-os/bazzite/commit/f08e72be50ef759ebcbbbbe1bf0cc7435dd09bd7))
* **gpd:** Correct screen rotation on the GPD Win Mini ([2c5e4d7](https://github.com/ublue-os/bazzite/commit/2c5e4d77d7b5abbdcbb03f790a0669b32fd0bc89))
* Install nerd-fonts separately to ensure only our desired font is installed. ([4b31fb7](https://github.com/ublue-os/bazzite/commit/4b31fb7e46e461793ac4b6cdd216b186bf849978))
* **kde:** Correct Nvidia install script using a different variable for the image name, corrects missing supergfxctl-plasmoid ([7b4a7ff](https://github.com/ublue-os/bazzite/commit/7b4a7fffc2f81c3d1c3ac3765fbab9adcc410c43))
* **kde:** Remove Maliit keyboard from System Settings on deck builds ([3d1a272](https://github.com/ublue-os/bazzite/commit/3d1a27273ec50f2a519e33bb5fc1be97eb3e6849))
* **legion:** Set panel orientation via karg to correct Plymouth rotation ([2fdd501](https://github.com/ublue-os/bazzite/commit/2fdd5014400062b8addc8fc975d2d2ce32a809e3))
* make gamescope 720p patch use env_to_bool to allow user binary setting ([#758](https://github.com/ublue-os/bazzite/issues/758)) ([129b5f2](https://github.com/ublue-os/bazzite/commit/129b5f2f9e596afa4c3a18ded8c20856d1987f25))
* mangohud config folder typo ([#788](https://github.com/ublue-os/bazzite/issues/788)) ([929bddb](https://github.com/ublue-os/bazzite/commit/929bddbc57eb54f3d5711768e262b12a05deb72e))
* Move feral gamemode section to correct location ([65fd2be](https://github.com/ublue-os/bazzite/commit/65fd2be751446baa23d1e64a2c4abe753af418f5))
* **nvidia:** Restore patched Xwayland ([c027a25](https://github.com/ublue-os/bazzite/commit/c027a255f351daf71ff3e3a17dec19ae69127455))
* **rtl8814au/rtl88xxau:** package rtl8814au instead of rtl88xxau driver ([#721](https://github.com/ublue-os/bazzite/issues/721)) ([05dd6e2](https://github.com/ublue-os/bazzite/commit/05dd6e20d633ac8ccda63d4f9e8d1eff697045ef))
* Set GPU scheduler back to RR ([d64208d](https://github.com/ublue-os/bazzite/commit/d64208df44f9a98ad345524986d5751b4af80f62))
* **steamos-update:** Properly read the return code of the upgrade command ([d6a5217](https://github.com/ublue-os/bazzite/commit/d6a5217798877b7e197952ce13588ab34c21dbf5))
* **steamos-update:** Use double quotes to prevent potential globbing and word splitting ([cd56fe4](https://github.com/ublue-os/bazzite/commit/cd56fe49756349b893faf13cee545714269d7eb3))
* Temporarily drop rtl8814au ([1f3baeb](https://github.com/ublue-os/bazzite/commit/1f3baebb28066c480b5679f70207791750bb99a5))
* Update LACT installer to download the correct version for KDE & GNOME, apply live to avoid needing to reboot and enable the service after reboot. ([f09a2d2](https://github.com/ublue-os/bazzite/commit/f09a2d2426954211f37f1eb69b65ebfb0f645119))
* Use nightly RPM of sunshine until present elsewhere ([736d70e](https://github.com/ublue-os/bazzite/commit/736d70e30931352291f32239527264f06097d3df))
* **waydroid:** waydroid-launcher script ([#772](https://github.com/ublue-os/bazzite/issues/772)) ([0b14aae](https://github.com/ublue-os/bazzite/commit/0b14aaefc6d6ff6873d28894bea6fc7682baecac))

### Reverts

* "chore: Always update glibc-common" ([01e7c36](https://github.com/ublue-os/bazzite/commit/01e7c36839790a5f6097dd0540b836cae5492949))


### Miscellaneous Chores

* release 2.3.0 ([e14878f](https://github.com/ublue-os/bazzite/commit/e14878f9e4b353ad1ed01876e2ccbcd159264868))

