# Changelog

## [2.4.0](https://github.com/ublue-os/bazzite/compare/v2.3.0...v2.4.0) (2024-03-14)


### Features

* Add ujust command to install CoolerControl, an excellent GUI for controlling fan speeds on a wide array of hardware ([30eac4a](https://github.com/ublue-os/bazzite/commit/30eac4aae913e8b3eacdac9571efa102ea9aeb8f))
* **amd:** Add LACT to topgrade ([cf5e0f0](https://github.com/ublue-os/bazzite/commit/cf5e0f0f3d06bba93adc6653c3f4493a1e250d78))
* **deck:** Add HHD-UI ([a8f5feb](https://github.com/ublue-os/bazzite/commit/a8f5febcb282d2290b444ce4b014a7b8cd82957b))
* **just:** add option to add user to libvirt group ([#865](https://github.com/ublue-os/bazzite/issues/865)) ([36388bc](https://github.com/ublue-os/bazzite/commit/36388bc8ada8ae6b7b9f0c71f2388d4f2bf44a2e))
* **just:** add option to disable vfio ([#830](https://github.com/ublue-os/bazzite/issues/830)) ([c86a56a](https://github.com/ublue-os/bazzite/commit/c86a56aee547b43f3990e6b010befa41299d85b6))
* **nvidia:** Update to Nvidia 550 drivers ([95123e0](https://github.com/ublue-os/bazzite/commit/95123e0d5d855e3c25790be440192343b4cb1e90))
* Update isogenerator to latest version ([#822](https://github.com/ublue-os/bazzite/issues/822)) ([fe48ae0](https://github.com/ublue-os/bazzite/commit/fe48ae09067b44493e643a7ff905c07c4cab7098))


### Bug Fixes

* Add patch to avoid conflicts with Fedora's trim service ([ed02a65](https://github.com/ublue-os/bazzite/commit/ed02a6526c2a49baa6f142702d44d451dca96624))
* Add version gating for the fsync kernel ([07e0e33](https://github.com/ublue-os/bazzite/commit/07e0e33efa7484be0d4aea9d6f5241861671812a)), closes [#873](https://github.com/ublue-os/bazzite/issues/873)
* **ci:** issues with enrollment password ([#823](https://github.com/ublue-os/bazzite/issues/823)) ([1e26697](https://github.com/ublue-os/bazzite/commit/1e26697007dfd22903d627bec1a3006c4ff26400))
* Correct issue with user setup script execution check ([93bc12f](https://github.com/ublue-os/bazzite/commit/93bc12f3044b0e559f7edc3188d375521f238db8))
* correct orientation for GPD Win Max 2 (2022) ([#819](https://github.com/ublue-os/bazzite/issues/819)) ([0f2fb7d](https://github.com/ublue-os/bazzite/commit/0f2fb7daee3b6cfc0b342c608a8d4e920a278049))
* custom initramfs args actually get applied ([2bef48a](https://github.com/ublue-os/bazzite/commit/2bef48a149944a62e0f854f35b1dfc58b3032758))
* **deck:** Correct the default display scale on KDE images ([c86fc7d](https://github.com/ublue-os/bazzite/commit/c86fc7dbd7274c9277b4675390469a2e75f2a049))
* **deck:** Ensure the detected branch name is always lowercase ([26b1d53](https://github.com/ublue-os/bazzite/commit/26b1d533b93e09bdbd052cde6a6e9d1d00b56001))
* **deck:** Replace die with finish 0, may correct update errors some users have been experiencing ([e980853](https://github.com/ublue-os/bazzite/commit/e980853e3cce651e3476f5046784163ebd3d546e))
* **desktop:** Correct missing steamos-add-to-steam executable in KDE ([a8e77d1](https://github.com/ublue-os/bazzite/commit/a8e77d1731021fff27bf6b90a0a500783f880677))
* distrobox-export ([#803](https://github.com/ublue-os/bazzite/issues/803)) ([55cf1cb](https://github.com/ublue-os/bazzite/commit/55cf1cb3b5df85b4f1845ed7293f2da0e5842811))
* dont remove waydroid-choose-gpu ([#856](https://github.com/ublue-os/bazzite/issues/856)) ([d58a511](https://github.com/ublue-os/bazzite/commit/d58a511a0e023dcc5ab81b7bb131357f858e277b))
* **just:** Add missing description ([#834](https://github.com/ublue-os/bazzite/issues/834)) ([0805791](https://github.com/ublue-os/bazzite/commit/080579142775482ca5e3930a4b8dfd7985795717))
* **just:** Create repo file with sudo ([ba72610](https://github.com/ublue-os/bazzite/commit/ba7261081a6e333e2c2cc293ad4b58b460d9307b))
* make sure custom initramfs args are set ([6bd4949](https://github.com/ublue-os/bazzite/commit/6bd4949a87287327e443074e973c64e91bab2724))
* **nvidia:** Always reboot at the end of bazzite-hardware-setup, potentially fixes frozen screen that makes kargs appear to take an infinite amount of time. NVK soon? I want off Mr. Nvidia's wild ride. ([c267cbe](https://github.com/ublue-os/bazzite/commit/c267cbe82e7dbae8844b1fccee01d702028cb0da))
* **readme:** Bold ([7c35c11](https://github.com/ublue-os/bazzite/commit/7c35c11ebe9624309ea1cedea6efa0d8b24db74f))

## 2.3.0 (2024-02-23)


### Features

* Add a number of useful cockpit plugins ([7b4e7b8](https://github.com/ublue-os/bazzite/commit/7b4e7b855b861bf0b870d052758221a723502ed0))
* Add a warning when the currently booted image is over a month old ([84a9e07](https://github.com/ublue-os/bazzite/commit/84a9e07615a8909faf048928e797b739ffaec6ba))
* Add auto updating for some CSS Loader themes not on the official store with topgrade ([d7c5e52](https://github.com/ublue-os/bazzite/commit/d7c5e52c9aab84d11e8f4143e92cdaadf787748b))
* Add automatic nested desktop resolution handling for a number of handhelds. ([668eb07](https://github.com/ublue-os/bazzite/commit/668eb07187203f3bba0ea9ed3222c0c26eb17173))
* Add BoxBuddy to Bazzite Portal ([16b3eaf](https://github.com/ublue-os/bazzite/commit/16b3eafdc97c6b13040b40a4d24c95eaa5dfac9f))
* Add HHD support for GPD Win Mini & GPD Max 2 ([e347c5a](https://github.com/ublue-os/bazzite/commit/e347c5af8a8e298d62b6e5bea205e91b659ca139))
* Add HHD to GPD Win 4 ([661160d](https://github.com/ublue-os/bazzite/commit/661160d5c899ab93b42cd127ff40994e1dfbe426))
* Add joystickwake to keep screen alive from controller input ([564c5bf](https://github.com/ublue-os/bazzite/commit/564c5bf6355505cba58fbddd72862a93daa89ce8))
* Add MOTD thanks to [@bsherman](https://github.com/bsherman) and [@castrojo](https://github.com/castrojo) ([#717](https://github.com/ublue-os/bazzite/issues/717)) ([674fc08](https://github.com/ublue-os/bazzite/commit/674fc08a5eeb2a92317a56c441c487ba3b8c6e35))
* Add patched switcheroo-control by Sentry, fixes dGPU/iGPU switching ([3f3a1eb](https://github.com/ublue-os/bazzite/commit/3f3a1eb5d3539dba1cc9034b4ee3059c95bfa0f5))
* Add Planify (https://github.com/alainm23/planify) to Yafti ([ab0535a](https://github.com/ublue-os/bazzite/commit/ab0535acf20e075caccd4355552219f1cdff4e82))
* Add support for AIR Plus ([155f6f5](https://github.com/ublue-os/bazzite/commit/155f6f59e436ac151940aacd4c7d560a5b7b41a3))
* Add support for ayn-platform driver ([33592d3](https://github.com/ublue-os/bazzite/commit/33592d35389243352a8a3aad3fe53945678d3bc0))
* Add support for REALTEK RTL8814AU devices ([cb91d9f](https://github.com/ublue-os/bazzite/commit/cb91d9f02cb16230ace989212346557b3932f821))
* Add support for REALTEK RTLXXAU devices ([9a1c9d1](https://github.com/ublue-os/bazzite/commit/9a1c9d1e34b76e100d717197cc9b42670daaa696))
* Add System Update application utilizing Topgrade ([dc95ca9](https://github.com/ublue-os/bazzite/commit/dc95ca98b65c1ac391fdac3d275388d2beef4f27))
* Add topgrade for upgrades, this will be extended to take over updates moving forward ([2f5bb6a](https://github.com/ublue-os/bazzite/commit/2f5bb6abe4bad8825935f2d904181b54be476afc))
* Add TuneD in place of PPD ([c0b853a](https://github.com/ublue-os/bazzite/commit/c0b853aac6d6880b0937323709d468459acf4c06))
* Add TuneD-PPD, replacing power profiles daemon ([7d63435](https://github.com/ublue-os/bazzite/commit/7d63435a7dd4e7302aa17d166088a74e66d63dab))
* Add udev rules for HHD's DualSense Gyro ([f492777](https://github.com/ublue-os/bazzite/commit/f4927774b0371a03be70cc07fc950d8a6cc7a686))
* Add Vapor & VGUI2 themes for Prompt terminal ([d91ad21](https://github.com/ublue-os/bazzite/commit/d91ad213ea00bfb9f0858125269e379e42347968))
* Add vdpau drivers with h264 support ([90a3cc9](https://github.com/ublue-os/bazzite/commit/90a3cc97aa661c4ea2552a699745c97535c83bbe))
* Add ZLUDA for CUDA support on AMD hardware, present in /usr/lib64/zluda/* ([515b79f](https://github.com/ublue-os/bazzite/commit/515b79fb40983287e8ed9f08f232a536e0f2d69d))
* Allow MangoHUD config on all flatpaks automatically ([dd782c8](https://github.com/ublue-os/bazzite/commit/dd782c811387110bfecc25076e0a6fe02dda5c66))
* Allow tailscale control by default for users in wheel, cleanup hhd enabling script ([e693724](https://github.com/ublue-os/bazzite/commit/e6937241f851f93f7c20e98743ee99e1f1803f59))
* Allow VkBasalt config on all flatpaks automatically ([221f8cb](https://github.com/ublue-os/bazzite/commit/221f8cb56b80c6bfb7fcfd7bc3a71600c44088c0))
* **ally:** Add support for BMI323 gyro ([c803164](https://github.com/ublue-os/bazzite/commit/c8031649cdd6f4ebff5df8f3437776c95c3120c3))
* Automatically change iomem for handhelds that need ryzenadj ([9b1b4c0](https://github.com/ublue-os/bazzite/commit/9b1b4c0931ad1d5ba5fc0451e9f96c699565c6e5))
* **ayaneo:** Add ayaneo-platform and patched bmi160 drivers ([62aa585](https://github.com/ublue-os/bazzite/commit/62aa585ecc99f191ad6635808a85c02ce1bfb72a))
* **ci:** Introduce a stable tag ([#710](https://github.com/ublue-os/bazzite/issues/710)) ([c5a69fa](https://github.com/ublue-os/bazzite/commit/c5a69faba73ebcded7ea368043bf9b970e873c9d))
* Clean up just file situation, use split deck/desktop just files with a single shared one ([0f0feea](https://github.com/ublue-os/bazzite/commit/0f0feea4c3a993c8d8ac00349a4daf947e09ba3f))
* **deck:** Add BoxBuddy to Bazzite Portal ([c8475aa](https://github.com/ublue-os/bazzite/commit/c8475aa4f1cb1db15b15af2093d56a22d41917af))
* **deck:** Add fix for suspend with some wifi adapters. ([0492920](https://github.com/ublue-os/bazzite/commit/04929200614a16c16d22854924a42f42561049d8))
* **deck:** Add Loki Max to rotation fix script and nested desktop defaults ([df51d82](https://github.com/ublue-os/bazzite/commit/df51d82679950a86f2dc91d7b52271b177713ed1))
* **deck:** Add ujust commands to install various themes needed by ROG Ally & Legion Go. ([d7c5e52](https://github.com/ublue-os/bazzite/commit/d7c5e52c9aab84d11e8f4143e92cdaadf787748b))
* **deck:** Include BMI260 gyroscope driver ([c88af81](https://github.com/ublue-os/bazzite/commit/c88af8175f9e06ed4e162f4735aebcd1f9465ea7))
* Enable Discord RPC for non-flatpak applications by default ([b24e2dc](https://github.com/ublue-os/bazzite/commit/b24e2dc85057c672305c33f223581c361821b834))
* **gnome:** Add File Roller Archive Manager ([#786](https://github.com/ublue-os/bazzite/issues/786)) ([5e18df5](https://github.com/ublue-os/bazzite/commit/5e18df5aa69dd5d45a17281124cb348b66b8aaec))
* **gnome:** Remove Totem in favor of Celluloid ([#697](https://github.com/ublue-os/bazzite/issues/697)) ([7c4d2ac](https://github.com/ublue-os/bazzite/commit/7c4d2accac2609b00534af153bdb2c55d4189ab8))
* **kde:** Add System Update to the default list of favorite applications ([f9614a0](https://github.com/ublue-os/bazzite/commit/f9614a032c4a15ededd843c11e02eb78fb56de26))
* **kde:** Support light theme in Prompt w/ Vapor theme applied ([4a4ed95](https://github.com/ublue-os/bazzite/commit/4a4ed952489bb263204e9bc2540ac5f7defa0ea7))
* **legion:** Enable Steam Hardware Control when SimpleDeckyTDP is installed via ujust ([7827fb1](https://github.com/ublue-os/bazzite/commit/7827fb19f811fb9366e29c4ada294b6a3f3ab2f3))
* **loki max:** Auto enable handycon ([00d0729](https://github.com/ublue-os/bazzite/commit/00d07292683322545d691daa06024ee74a12981e))
* **nvidia:** Default to x11 ([bd4d24a](https://github.com/ublue-os/bazzite/commit/bd4d24a574cf8ed878310284d4bb0f5b0877c439))
* **nvidia:** Enable Supergfxctl extension by default under GNOME ([d936647](https://github.com/ublue-os/bazzite/commit/d9366472d63963a4a69db88bd9a5917a80e28e7f))
* Override default fish greeting to allow the motd to work ([adfa1e0](https://github.com/ublue-os/bazzite/commit/adfa1e0a57781dfc422f9f598eb6a7ac2b54824a))
* Pre-install BoxBuddy ([#797](https://github.com/ublue-os/bazzite/issues/797)) ([27568ec](https://github.com/ublue-os/bazzite/commit/27568ecc18053eec79f4a96107dd0c306d0497fe))
* Replace power profiles daemon with TuneD ([b6e3805](https://github.com/ublue-os/bazzite/commit/b6e3805871408979c18e21fed1e1bb2b1f1e6a72))
* Support Incus OOTB ([7fb4d1d](https://github.com/ublue-os/bazzite/commit/7fb4d1d6e807309ae12e3892f0304d288326d437))
* Support multitouch in Waydroid (Thanks Aru!) ([463f206](https://github.com/ublue-os/bazzite/commit/463f206770219ee3d56aa138a666e85134fea261))
* Switch from Zenpower3 to Zenergy ([33592d3](https://github.com/ublue-os/bazzite/commit/33592d35389243352a8a3aad3fe53945678d3bc0))
* Switch to modified xone that retains full support for xpad, resolves issues with third party game controllers in previous releases. ([6f50817](https://github.com/ublue-os/bazzite/commit/6f50817806e1b85d60d4e6a6f66ed3b275200c45))
* Switch to newer ublue-update powered by topgrade ([0c1c140](https://github.com/ublue-os/bazzite/commit/0c1c14062914ae8f8fcc61d616e468d5a9d12dad))
* Use automatic desktop sizing from nested desktop for Waydroid ([3beaff3](https://github.com/ublue-os/bazzite/commit/3beaff35bbe310673eb5ca33581f73588aa1a39f))
* Use topgrade for ujust update ([97aeca6](https://github.com/ublue-os/bazzite/commit/97aeca6e1ba0b5a703f564e4dbae7d976013ce40))
* **waydroid:** Fix controller integration, add automatic DPI scaling for Deck & Legion Go, others can be added to /etc/default/waydroid-launcher ([61ae746](https://github.com/ublue-os/bazzite/commit/61ae7465e68a93d9481611c3fbfd1be53995b20e))


### Bug Fixes

* Add a fix for LibreOffice flatpak to correct a printing bug ([9a22b18](https://github.com/ublue-os/bazzite/commit/9a22b180ac6c4bb695f83fda13fda091fadd2770))
* add back ujust toggle-updates ([#759](https://github.com/ublue-os/bazzite/issues/759)) ([56a963c](https://github.com/ublue-os/bazzite/commit/56a963ca572c5949d7ce2fcc84b320f6a8987355))
* Add crash fix from upstream for some HTPCs (Thanks [@nadiaholmquist](https://github.com/nadiaholmquist)) ([aad5548](https://github.com/ublue-os/bazzite/commit/aad55487da315270aa730f8ed19282c4b9dffc4d))
* Add memory limit to duperemove service ([ab41b7c](https://github.com/ublue-os/bazzite/commit/ab41b7c22f0facbb6727b2e72c0d91683d76a79d))
* Add missing i2c-tools package ([31bb763](https://github.com/ublue-os/bazzite/commit/31bb76360302de956e96bd4cea319432c7f5560a))
* Add new just restructuring to the deck just file ([87bb7a3](https://github.com/ublue-os/bazzite/commit/87bb7a34b5d0c45d231c83443de8b3d66037d381))
* Add new ROG Ally dmi ([bfaaf95](https://github.com/ublue-os/bazzite/commit/bfaaf955a51f4dfd52e782eddf24010e417e8097))
* added glibc-headers and glibc-devel to override list ([#729](https://github.com/ublue-os/bazzite/issues/729)) ([473fab7](https://github.com/ublue-os/bazzite/commit/473fab7daf05d6bf07571e99cd9a694eaf97fb99))
* **ally:** Correct blacklist for undesirable gyro ([a57f7d4](https://github.com/ublue-os/bazzite/commit/a57f7d4e385b484a2808c070354f102ac8cd6ad4))
* Always use ds-inhibit service ([b7e27cf](https://github.com/ublue-os/bazzite/commit/b7e27cffca0097575c87b8d87645787d1026667a))
* **asus:** Ensure ROG GUI is installed. ([e43ff9e](https://github.com/ublue-os/bazzite/commit/e43ff9ee98d892001a94273c886614f206bc8f57))
* Correct gamemode check in rotation fix ([6eb6f27](https://github.com/ublue-os/bazzite/commit/6eb6f271272c4b6bbdb0f2e598dadd7f12d8ef6d))
* Correct path to rotation fix hardware check. ([e31e63b](https://github.com/ublue-os/bazzite/commit/e31e63bcb29bdbe992e35fb98e83a95dca7ffb89))
* Correct possible issue when rebasing from another Fedora issue with flathub/flatpak repositories. ([448a3ca](https://github.com/ublue-os/bazzite/commit/448a3cafa8fd55d158177c36281e9f873caaac91))
* Correct rotation for Lenovo p14s gen2 ([#782](https://github.com/ublue-os/bazzite/issues/782)) ([462deab](https://github.com/ublue-os/bazzite/commit/462deabe7fdab34d47c164fa54774a3297bce4b4))
* Correct sunshine-workaround service issue ([f0f509e](https://github.com/ublue-os/bazzite/commit/f0f509eb441e9cd5351bc4cb204f0b60dc8f4f83))
* Create git repository if it doesn't already exist in Firefox/Thunderbird GNOME theme updater ([5303f00](https://github.com/ublue-os/bazzite/commit/5303f00abef85fe6c1ff139b25fd9840ac3c3d68))
* **deck:** Add GPD Win 4 to rotation fix script ([695f68a](https://github.com/ublue-os/bazzite/commit/695f68a01e280f0a7d3b9d4f2920112f0f2b6a2a))
* **deck:** Improve bazzite-rotation-fix (Thanks Aru!) ([898a70e](https://github.com/ublue-os/bazzite/commit/898a70e061f470e1487dc390e9f016788f9ac985))
* Disable container update in topgrade, solves issue with topgrade needlessly starting containers. Does not affect Distrobox. ([b97f10b](https://github.com/ublue-os/bazzite/commit/b97f10b613f9c1f24b31e504da14497bb8d97823))
* Disable negativo17 before installing xone ([e725c0f](https://github.com/ublue-os/bazzite/commit/e725c0f817419e9e762248bd7ee76c0658a69ce8))
* Don't use joystickwake on deck hardware ([953a752](https://github.com/ublue-os/bazzite/commit/953a752aed0ba5e0bdfcadf2dba6e00457980159))
* Enable dri permission for XIV Launcher by default ([19e6a93](https://github.com/ublue-os/bazzite/commit/19e6a93ce8b9e6aa0ebc17129d644318d26a427c))
* Ensure fish greeting is overridden ([809b3a3](https://github.com/ublue-os/bazzite/commit/809b3a335fb7339cb88a773bb6c975316a8efe51))
* Ensure the user flathub repository has a higher priority ([d6f69ce](https://github.com/ublue-os/bazzite/commit/d6f69ce5fa783237dd13c330fb374dd838ed2eae))
* Ensure topgrade config always exists ([1dcbb5f](https://github.com/ublue-os/bazzite/commit/1dcbb5fc97940c46184c0ec8847be9e9ff2f0e8c))
* Escape special characters in motd script ([7ed7e7f](https://github.com/ublue-os/bazzite/commit/7ed7e7fe7352357fc8a0ad86835f94d037a9f3cd))
* Fix cage check in waydroid ([d4b587d](https://github.com/ublue-os/bazzite/commit/d4b587d38927fbdcd6251bdcc875b8aa8a40211e))
* **gpd:** Correct screen rotation on the GPD Win 2 ([#781](https://github.com/ublue-os/bazzite/issues/781)) ([f08e72b](https://github.com/ublue-os/bazzite/commit/f08e72be50ef759ebcbbbbe1bf0cc7435dd09bd7))
* **gpd:** Correct screen rotation on the GPD Win Mini ([2c5e4d7](https://github.com/ublue-os/bazzite/commit/2c5e4d77d7b5abbdcbb03f790a0669b32fd0bc89))
* Install nerd-fonts separately to ensure only our desired font is installed. ([4b31fb7](https://github.com/ublue-os/bazzite/commit/4b31fb7e46e461793ac4b6cdd216b186bf849978))
* **kde:** Correct Nvidia install script using a different variable for the image name, corrects missing supergfxctl-plasmoid ([7b4a7ff](https://github.com/ublue-os/bazzite/commit/7b4a7fffc2f81c3d1c3ac3765fbab9adcc410c43))
* **kde:** Remove Maliit keyboard from System Settings on deck builds ([3d1a272](https://github.com/ublue-os/bazzite/commit/3d1a27273ec50f2a519e33bb5fc1be97eb3e6849))
* **legion:** Set panel orientation via karg to correct Plymouth rotation ([2fdd501](https://github.com/ublue-os/bazzite/commit/2fdd5014400062b8addc8fc975d2d2ce32a809e3))
* make gamescope 720p patch use env_to_bool to allow user binary setting ([#758](https://github.com/ublue-os/bazzite/issues/758)) ([129b5f2](https://github.com/ublue-os/bazzite/commit/129b5f2f9e596afa4c3a18ded8c20856d1987f25))
* mangohud config folder typo ([#788](https://github.com/ublue-os/bazzite/issues/788)) ([929bddb](https://github.com/ublue-os/bazzite/commit/929bddbc57eb54f3d5711768e262b12a05deb72e))
* Move feral gamemode section to correct location ([65fd2be](https://github.com/ublue-os/bazzite/commit/65fd2be751446baa23d1e64a2c4abe753af418f5))
* **nvidia:** Restore patched Xwayland ([c027a25](https://github.com/ublue-os/bazzite/commit/c027a255f351daf71ff3e3a17dec19ae69127455))
* **rtl8814au/rtl88xxau:** package rtl8814au instead of rtl88xxau driver ([#721](https://github.com/ublue-os/bazzite/issues/721)) ([05dd6e2](https://github.com/ublue-os/bazzite/commit/05dd6e20d633ac8ccda63d4f9e8d1eff697045ef))
* Set GPU scheduler back to RR ([d64208d](https://github.com/ublue-os/bazzite/commit/d64208df44f9a98ad345524986d5751b4af80f62))
* **steamos-update:** Properly read the return code of the upgrade command ([d6a5217](https://github.com/ublue-os/bazzite/commit/d6a5217798877b7e197952ce13588ab34c21dbf5))
* **steamos-update:** Use double quotes to prevent potential globbing and word splitting ([cd56fe4](https://github.com/ublue-os/bazzite/commit/cd56fe49756349b893faf13cee545714269d7eb3))
* Temporarily drop rtl8814au ([1f3baeb](https://github.com/ublue-os/bazzite/commit/1f3baebb28066c480b5679f70207791750bb99a5))
* Update LACT installer to download the correct version for KDE & GNOME, apply live to avoid needing to reboot and enable the service after reboot. ([f09a2d2](https://github.com/ublue-os/bazzite/commit/f09a2d2426954211f37f1eb69b65ebfb0f645119))
* Use nightly RPM of sunshine until present elsewhere ([736d70e](https://github.com/ublue-os/bazzite/commit/736d70e30931352291f32239527264f06097d3df))
* **waydroid:** waydroid-launcher script ([#772](https://github.com/ublue-os/bazzite/issues/772)) ([0b14aae](https://github.com/ublue-os/bazzite/commit/0b14aaefc6d6ff6873d28894bea6fc7682baecac))

### Reverts

* "chore: Always update glibc-common" ([01e7c36](https://github.com/ublue-os/bazzite/commit/01e7c36839790a5f6097dd0540b836cae5492949))


### Miscellaneous Chores

* release 2.3.0 ([e14878f](https://github.com/ublue-os/bazzite/commit/e14878f9e4b353ad1ed01876e2ccbcd159264868))

## 2.2.0 (2024-01-18)


### Features

* Add 'ujust restore-original-terminal' to restore the default terminal for KDE/GNOME that was hidden when we switched to prompt ([9529cf2](https://github.com/ublue-os/bazzite/commit/9529cf223fda274a68ba5ed765b4672ba4148e08))
* Add a just command and default-enabled option to the Bazzite portal to fix download speeds under Steam for Linux. ([9f6edde](https://github.com/ublue-os/bazzite/commit/9f6edde1fc099615e82c059009a3665ccfe1afff))
* Add an alias for hyfetch to use Bazzite logo ([3d1e296](https://github.com/ublue-os/bazzite/commit/3d1e296aa63e54d0fc04dd68c06633fbee3fa24f))
* Add default config for Firefox to handle vaapi ([5ff1fef](https://github.com/ublue-os/bazzite/commit/5ff1fefeeeba77572c6c3af169d9f4fd1c196f6c))
* Add gamescope-shaders package ([85955da](https://github.com/ublue-os/bazzite/commit/85955da1105506968c77a1ec01aa0efeaea9abe1))
* Add Gradience to list of optional flatpaks. ([911ed83](https://github.com/ublue-os/bazzite/commit/911ed8372730ac786e39a8a329430c377cb121a3))
* Add hhd for Lenovo Legion ([a7af503](https://github.com/ublue-os/bazzite/commit/a7af503577cf2b2aa0894d7d51c8001b9107dd69))
* Add joycond for Nintendo HID support ([9aca6dd](https://github.com/ublue-os/bazzite/commit/9aca6dd992eaf57f49c4069b24ee85fe416bf5d6))
* Add p-state patched power-profiles-daemon ([c260b88](https://github.com/ublue-os/bazzite/commit/c260b885690dd63fcf2a667b9544bfd8ee182360))
* Add Pods as a default feature, great for managing distrobox/containers. ([ef0d873](https://github.com/ublue-os/bazzite/commit/ef0d8732c8bb9bca20c43bad338705597800e6a4))
* Add Selinux Troubleshooting packages ([#651](https://github.com/ublue-os/bazzite/issues/651)) ([4a6364b](https://github.com/ublue-os/bazzite/commit/4a6364b63026d206d4b5b4fa0c765c4b54720d82))
* Add support for VTF formats ([f1e0d64](https://github.com/ublue-os/bazzite/commit/f1e0d645e96bd2ad8a81c861e5323787cc7dd985))
* Add ujust command to force-enable AMD pstate ([c23dac4](https://github.com/ublue-os/bazzite/commit/c23dac4dba689f633fbb21ea0c7569e8ea0de921))
* Add Webapp Manager ([a55b48e](https://github.com/ublue-os/bazzite/commit/a55b48e5edc81682f980b12e92fcb65591d23321))
* Add workaround for Sunshine to set correct caps for KMS ([ed975d1](https://github.com/ublue-os/bazzite/commit/ed975d1601e4f0c0305efe5da8ad3049549d317d))
* Add zenpower3 kmod ([963620a](https://github.com/ublue-os/bazzite/commit/963620ab47ede862a74c2546f76899f27fc889e1))
* added a few apps to yafti ([#624](https://github.com/ublue-os/bazzite/issues/624)) ([aec0f9c](https://github.com/ublue-os/bazzite/commit/aec0f9cf76b93e33fc0fda01aa4e4faaf2c3d462))
* Allow Discover to launch for Vesktop ([f5e327e](https://github.com/ublue-os/bazzite/commit/f5e327eafd19fff8f2f49b64e1ad16c7e149ac06))
* **aokzoe:** Support custom refresh rates on AOKZOE A1 hardware ([74a127d](https://github.com/ublue-os/bazzite/commit/74a127d5934dc707cd928e9b7b85f215f7a78356))
* Blacklist k10temp in favor of zenpower3 ([bd41da2](https://github.com/ublue-os/bazzite/commit/bd41da22c9dd9de3cea5ee1c117f90b034c891d4))
* **ci:** Add kernel signing ([75d8586](https://github.com/ublue-os/bazzite/commit/75d858625e5ab51a9e49ce0e5a803953fa14aa80))
* **ci:** Migrate to signing action ([e20f1b7](https://github.com/ublue-os/bazzite/commit/e20f1b7256b4ef44fd4d1fbe1c943b51cdb302ff))
* **ci:** Perform ShellCheck ([32f2ff8](https://github.com/ublue-os/bazzite/commit/32f2ff8d612708328ea6a8829376a49966e4a7cc))
* **ci:** Test - Implement kernel signing ([a9da666](https://github.com/ublue-os/bazzite/commit/a9da66666fdf67bd2ed34da30b78baf57d627e64))
* **ci:** Verify base image with cosign before building ([06555ee](https://github.com/ublue-os/bazzite/commit/06555eed1509965cce9c068545d1973dd1e90d49))
* **deck:** Add Bazzite Steam Startup video by SuperRiderTH ([9fddcf8](https://github.com/ublue-os/bazzite/commit/9fddcf856267c953e30eb0f40105fe75c0b0b203))
* **deck:** Add DeckHD patch to gamescope ([842a14b](https://github.com/ublue-os/bazzite/commit/842a14bba35ee81c51129ff682d5a802b66b7f72))
* **deck:** Add ujust command for installing HHD Decky ([55f6915](https://github.com/ublue-os/bazzite/commit/55f6915f2011db16b46272a7a5df00358ffd5b72))
* **deck:** Add ujust enable-input-remapper to restore input remapper when desired ([23152f7](https://github.com/ublue-os/bazzite/commit/23152f78789ae3ad5eb971c13ad7b31aa4f15c97))
* **deck:** Use Valve-patched UPower ([ae345f3](https://github.com/ublue-os/bazzite/commit/ae345f3c22ea21ddd2ac9bbf2934a1aaa56be4e8))
* **documentation:** Initial translation of the readme to Spanish ([#652](https://github.com/ublue-os/bazzite/issues/652)) ([7cc1187](https://github.com/ublue-os/bazzite/commit/7cc11878433ca27c8adddece0a3e506311918680))
* **documentation:** Translation of the readme to Spanish complete, sans fixing the table of contents links. ([#654](https://github.com/ublue-os/bazzite/issues/654)) ([a18523f](https://github.com/ublue-os/bazzite/commit/a18523fe6c3fad97e4c977c1991d98c06d0e2820))
* Drop steam-patch in favor of gamescope patches & Decky Loader. ([d40aff8](https://github.com/ublue-os/bazzite/commit/d40aff832e751c6361990f46499b494f0f8019e5))
* Enable libvirtd service if virt-manager layered ([#613](https://github.com/ublue-os/bazzite/issues/613)) ([f82083c](https://github.com/ublue-os/bazzite/commit/f82083ccd125d47caf348a9c79ef6d46ed52f7c5))
* Enable libvirtd service if virt-manager layered ([#613](https://github.com/ublue-os/bazzite/issues/613)) ([7409500](https://github.com/ublue-os/bazzite/commit/7409500bc3b46cfc2d7a6ad63b7f077af813bbeb))
* Enable MTU Probing matching upstream ([a345f31](https://github.com/ublue-os/bazzite/commit/a345f31d5fea5d2a9ce224ba74056ffdb92f1442))
* **gamescope:** Bring in additional patches from ChimeraOS ([3036d90](https://github.com/ublue-os/bazzite/commit/3036d9003a66b92d5c9a856f7ab529357fc65cbc))
* **gnome:** Add a folder that automatically contains all Waydroid apps ([3d95f25](https://github.com/ublue-os/bazzite/commit/3d95f257a6cd0bee1b14cc111aca714906b31669))
* **gnome:** Add default settings for blur my shell ([48586fe](https://github.com/ublue-os/bazzite/commit/48586fe21b6690c66afaf0de15f01ab99fcce6b6))
* **gnome:** Add hot edge as a default extension, greatly improves desktop UX by making the dash behave more like a hidden dock. Apply pressure to the bottom of your screen to make it appear. ([4f27c04](https://github.com/ublue-os/bazzite/commit/4f27c04d4b90cc4d6571435397d77c06e81cd324))
* **gnome:** Add ujust command to reset Bazzite setting customizations ([e4455c6](https://github.com/ublue-os/bazzite/commit/e4455c67fd08cd40b39d2419d53a2189489e90a4))
* **gnome:** Automatically use Prompt if installed, relies on xdg-terminal-exec until upstream makes a decision on default terminals. ([3d02031](https://github.com/ublue-os/bazzite/commit/3d02031e09f257f274a5c015f47e5d6477ad0dd9))
* **gnome:** Configure Just Perfection extension by default, hide Search box on Deck builds due to Steam Keyboard not functioning with it ([819ee2c](https://github.com/ublue-os/bazzite/commit/819ee2c445df8c70f41cda4168cfcaae563a6bef))
* **gnome:** Create folders by default to make app grid cleaner, hide unused winetricks shortcut. ([89316c0](https://github.com/ublue-os/bazzite/commit/89316c0b57c868af65b15050e436c505283278d6))
* **gnome:** Do gsettings changes in dconf rather than bazzite-user-setup ([606bdcf](https://github.com/ublue-os/bazzite/commit/606bdcfec5a8e631352b5240ee83fb6226ea89e9))
* **gnome:** Enable blur my shell by default ([37990b7](https://github.com/ublue-os/bazzite/commit/37990b727300aa3afc5f7f303b2be3185de5da65))
* **gnome:** Enable just perfection shell theme by default on Desktop images ([f47dc5f](https://github.com/ublue-os/bazzite/commit/f47dc5f14d301dc04f9b49d9a234222bba455803))
* **gnome:** Enable num-lock by default ([#629](https://github.com/ublue-os/bazzite/issues/629)) ([18bd602](https://github.com/ublue-os/bazzite/commit/18bd602959aea5d9c447c79ac64b900c684bbc13))
* **gnome:** Enable supergfxctl-gex on NVIDIA builds by default ([99d05de](https://github.com/ublue-os/bazzite/commit/99d05de037f46fbb73b8683559d16665dbb5b319))
* **gnome:** Enable the Bazzite theme by default, this is a microscopic shell theme that improves appindicator appearance. ([9ff98f2](https://github.com/ublue-os/bazzite/commit/9ff98f2fa8405caa683a7fffceaf478dec415ee3))
* **gnome:** Enable workspace wrap around, fix annoying attention notification, remove delay from alt+tab ([06734f9](https://github.com/ublue-os/bazzite/commit/06734f9be6722611d3912bf6c7b31b52b8eb9009))
* **gnome:** Fix caps-lock input delay ([#630](https://github.com/ublue-os/bazzite/issues/630)) ([cdc6ce5](https://github.com/ublue-os/bazzite/commit/cdc6ce59454927da9dda021afd04699de4751df6))
* **gnome:** Fix text fringing on OLED displays. ([9d5f158](https://github.com/ublue-os/bazzite/commit/9d5f1586bee00a8e804985c9777c92c81869e825))
* **gnome:** Give users the full wobble if they enable the compiz extension ([7d8d841](https://github.com/ublue-os/bazzite/commit/7d8d841b482cdf6188ff5dcaf116b3817083bc84))
* **gnome:** Place OSD in top left on deck images, matching SteamOS Gamemode ([06734f9](https://github.com/ublue-os/bazzite/commit/06734f9be6722611d3912bf6c7b31b52b8eb9009))
* **gnome:** Show link to Pods in Bazzite Menu ([779951d](https://github.com/ublue-os/bazzite/commit/779951d7b10ac8394a0e038117bcf56cb9db9c35))
* **gnome:** Switch to nautilus-open-any-terminal ([628e8d5](https://github.com/ublue-os/bazzite/commit/628e8d5901d205ce30d311e80c4d87a781efd298))
* **gnome:** Switch to Prompt terminal ([0799570](https://github.com/ublue-os/bazzite/commit/07995706ae730e1d767d4f2e5dc6d563f5ec794c))
* **gnome:** Use steam sound theme by default ([11439ef](https://github.com/ublue-os/bazzite/commit/11439ef3ada0529e8dc4f16cb24271f3e33d4b9d))
* Include nerd-fonts, this will automatically be used as a fallback for the default Fira Code font when an unknown symbol is requested ([6073c84](https://github.com/ublue-os/bazzite/commit/6073c849b98b4e049e8c97b941850dcdcdae48b8))
* Include playerctl for media control ([91ab29d](https://github.com/ublue-os/bazzite/commit/91ab29dddc97f8428c3d4d8e3355cd0f4571e472))
* Initial debloat pass, hide applications we've replaced by default. Switch to hiding rather than removing desktop files for some applications. ([0a168a9](https://github.com/ublue-os/bazzite/commit/0a168a914ea89ed13162112bc08b5b48c44526ce))
* **just:** Add changes to work with new tooling in ublue-os/config ([#691](https://github.com/ublue-os/bazzite/issues/691)) ([0165dfc](https://github.com/ublue-os/bazzite/commit/0165dfcf3284470b94cd2f3be78b03d69bf44c32))
* **kde:** Add dconf for Prompt ([b2d3906](https://github.com/ublue-os/bazzite/commit/b2d3906f4b3fd9330bc7af147d355123418102d2))
* **kde:** Add option to restore the gtk-4.0 breeze theme to just ([5f735d3](https://github.com/ublue-os/bazzite/commit/5f735d3c6bbf6b9924479756f74e8fce0262eb0b))
* **kde:** Add Prompt as an optional terminal alternative ([f0fc5e1](https://github.com/ublue-os/bazzite/commit/f0fc5e1e7b53cbd26ebb2b0d25ffd0efb79e1501))
* **kde:** Add Vapor & VGUI2 themes for Gradience to theme GTK apps ([911ed83](https://github.com/ublue-os/bazzite/commit/911ed8372730ac786e39a8a329430c377cb121a3))
* **kde:** Add VTF Thumbnailer ([0896477](https://github.com/ublue-os/bazzite/commit/0896477880a8863b23b8a1267ec4e9e73f74caa3))
* **kde:** Change default favorite applications ([d78c964](https://github.com/ublue-os/bazzite/commit/d78c964231c9b826f5a00d038f8601da19476021))
* **kde:** Change default pinned application list ([e0586e5](https://github.com/ublue-os/bazzite/commit/e0586e50ecfcb578023b8e1c92534ac07c075c3d))
* **kde:** Ship an incredibly minor gtk.css theme to to make prompt feel at home, adjusts window geometry and nothing else. ([49e7786](https://github.com/ublue-os/bazzite/commit/49e77864e5997544f7746081fa93ba9425ee8c89))
* **kde:** Use prompt for control+alt+t shortcut by default, hide Konsole (This will be restorable via ujust before reaching stable) ([e8afaa7](https://github.com/ublue-os/bazzite/commit/e8afaa76ed69ec8540154c3676b01a08a76fbffc))
* **kde:** Use prompt terminal by default ([ee90e79](https://github.com/ublue-os/bazzite/commit/ee90e790a24043caf1e3bd2a54902467c856d093))
* **legion:** Add ujust get-simpledeckytdp ([43479cc](https://github.com/ublue-os/bazzite/commit/43479cc83796a648360d3f969a4c28e91858f9aa))
* Make wireplumber write-able for later use with steamdeck-dsp ([b0bdb90](https://github.com/ublue-os/bazzite/commit/b0bdb90e71de9a6894fe5c72c12dc46747d5a67d))
* **mesa:** Add patch for drastically improved RADV RT performance ([566bb40](https://github.com/ublue-os/bazzite/commit/566bb401ee61798b563eb9f1b649c87a98faeff8))
* **nvidia:** Add explicit sync patched Xwayland ([58b3d9e](https://github.com/ublue-os/bazzite/commit/58b3d9e8cc16ce01b96999a37292567d7256ec3e))
* **nvidia:** Add Waydroid support (This will not work on Nvidia GPUs until at least NVK is available, but you may now use it on Nvidia builds with an Intel or AMD integrated GPU) ([ef0ffbc](https://github.com/ublue-os/bazzite/commit/ef0ffbc2e1df6a6d35d53685b105a3d6e0067ba2))
* **nvidia:** Automatically set needed params for hw accelerated video in Flaptak Firefox on Nvidia hardware ([cc5d257](https://github.com/ublue-os/bazzite/commit/cc5d25766d9d6166352d406204ed09c49a4ef934))
* **nvidia:** Build nouveau-experimental vulkan driver in Mesa ([240863c](https://github.com/ublue-os/bazzite/commit/240863cd6ef42f86770a26a425aa7f383b47d852))
* **nvidia:** Enable GSP firmware by default ([f2d280c](https://github.com/ublue-os/bazzite/commit/f2d280cd45d2844d9456d715391d9c3cc9e6e992))
* Restore DisplayLink ([5518433](https://github.com/ublue-os/bazzite/commit/55184333082af4e68f2f4cd3b06017f53184f9d6))
* Ship a default Pods config for new users, simplifies setup for people who aren't container nerds ([ee08b8c](https://github.com/ublue-os/bazzite/commit/ee08b8c4ac538d59cf401a672490d2ff2934b5c8))
* Ship xwiimote-ng ([74efd24](https://github.com/ublue-os/bazzite/commit/74efd24580bc961b3812a2f7344e99e1396c7831))
* Support the Anbernic Win600 ([2664b2e](https://github.com/ublue-os/bazzite/commit/2664b2e5869fc0c11fca65a1506411212de149ba))
* Switch to layered sunshine ([a524faa](https://github.com/ublue-os/bazzite/commit/a524faac6d82f132c1d04e7dd9a7695c903598e2)), closes [#649](https://github.com/ublue-os/bazzite/issues/649)
* Use HHD on both Legion & Ally ([030b538](https://github.com/ublue-os/bazzite/commit/030b538a5d30199bd0eaf74f7007c51de32f036a))
* Use stock fedora gamepad drivers by default. If you are using a controller better served by xpad/xpadneo, switch with "ujust use-ublue-gamepads" ([080e40c](https://github.com/ublue-os/bazzite/commit/080e40c59224aeecd066c5468791aef0ba9b70a9))


### Bug Fixes

* Add fix for black screen on intel in gamescope ([e5a6bff](https://github.com/ublue-os/bazzite/commit/e5a6bffee4ed699d9174cce51c1206c5e0294b8b))
* add missing shebang to selinux-looking-glass ([d9cad8e](https://github.com/ublue-os/bazzite/commit/d9cad8e807caaf9e184eadcd02b4385c2ec028d3))
* Add redhat-lsb-core to resolve issue with EmuDeck depending on lsb_release ([8bd89ef](https://github.com/ublue-os/bazzite/commit/8bd89ef5c5810e55df51a1694762eaf1539cf2c9))
* **ally:** Correct rotation in KDE ([c314aea](https://github.com/ublue-os/bazzite/commit/c314aea8feb6d311f95c30e4493d3a91aebbbb89)), closes [#680](https://github.com/ublue-os/bazzite/issues/680)
* Always launch prompt in a new window when xdg-terminal-exec is called with no input ([d8cc1eb](https://github.com/ublue-os/bazzite/commit/d8cc1ebe467d20baa04333671a8963ebc7beb5b5))
* Auto rotate legion go screen ([#660](https://github.com/ublue-os/bazzite/issues/660)) ([30dc34a](https://github.com/ublue-os/bazzite/commit/30dc34a8483b30d0aa721f35b379a5c41b1141ce))
* Better handle drm path, fixes issues with DisplayLink ([7975627](https://github.com/ublue-os/bazzite/commit/79756279aaa7d709d73b888ed361e5a4f20ddd9a))
* build Release ISO condition ([27f2973](https://github.com/ublue-os/bazzite/commit/27f2973aecdf0b8f50ddcdfb52c1658d294dcef6))
* Correct a syntax issue in waydroid's prop file ([535f319](https://github.com/ublue-os/bazzite/commit/535f319977972200930587c367a11728930f78ea))
* Correct caps on gamescope with workaround service ([ca9d13e](https://github.com/ublue-os/bazzite/commit/ca9d13efd4e015316c47f4cb32cf9fdce3a89f4f))
* Correct fan control on Jupiter (Thanks RodoMa92) ([a6e0b97](https://github.com/ublue-os/bazzite/commit/a6e0b97a38f5b278958edb1f4eb638de66f91ba7))
* Correct labels on waydroid for selinux ([#639](https://github.com/ublue-os/bazzite/issues/639)) ([1606664](https://github.com/ublue-os/bazzite/commit/160666462a6aa557189dea7475961ba1ee534a11))
* Correct restore-original-terminal command on KDE ([2c18133](https://github.com/ublue-os/bazzite/commit/2c18133e2ad158d33ffda328a38ec5623f2ef1c7))
* **deck:** Setup sdgyrodsu as a user service ([47b6994](https://github.com/ublue-os/bazzite/commit/47b6994d88c394aa82521f2e75f82d2350a84aee))
* **desktop:** Adjust font sizes for Vapor KDE theme ([3bf5725](https://github.com/ublue-os/bazzite/commit/3bf5725748e1222e62e1c8f789acde161c71de1d))
* Don't enable tuned-ppd, this is done purely with dbus ([d2994a7](https://github.com/ublue-os/bazzite/commit/d2994a7f6a5c3f9b0d9c84e408b193cf56112ff2))
* Fix OLED deck audio and stuttering audio on some desktops ([46e9956](https://github.com/ublue-os/bazzite/commit/46e9956fa83f65f11ce7be8c34c5dddb6efcb091))
* Fix popping audio in steam/gamescope under certain circumstances. ([c900737](https://github.com/ublue-os/bazzite/commit/c900737371de0014c09185ddf5b679ccb2cdad60))
* **flatpak-manager:** Don't install packages that are already present or remove packages that aren't there ([9deec48](https://github.com/ublue-os/bazzite/commit/9deec489a03b111be993eafcdccd38234fce158f))
* **flatpak-manager:** Use entire install list when no flatpaks are installed ([b6f624c](https://github.com/ublue-os/bazzite/commit/b6f624cfbe11995c13df520f943fa40d57261080))
* **framework:** Don't remove non-existant power profiles daemon ([d00c490](https://github.com/ublue-os/bazzite/commit/d00c490dd084eddc2971f7cd1a05ddc6d1e350c7))
* **framework:** Remove tlp on framework images ([d67268d](https://github.com/ublue-os/bazzite/commit/d67268d91a64cb34a7dbf7477c5043838bd57002))
* **gnome:** Fix directory check for Add to Steam option in Nautilus ([5fbec9e](https://github.com/ublue-os/bazzite/commit/5fbec9ef245f3cd9fd034beb19efa9c51556f0e0))
* **gnome:** Fix issue with xdg-terminal-exec when used with long commands ([4aa7fab](https://github.com/ublue-os/bazzite/commit/4aa7fabcd54181ed7c7138461454b438188b6074))
* **gnome:** Fix prompt keyboard shortcut, add default config for Logo menu to dconf, clean up config change from Containerfile. ([486fd46](https://github.com/ublue-os/bazzite/commit/486fd466842d6464312b5e1ba0f2593b5e27f89c))
* Handle nested desktop mode a different way in rotation fix. ([ca069b9](https://github.com/ublue-os/bazzite/commit/ca069b9418243ae7359e68c4abcd97cf37955610))
* **just:** Fixed source1 patch 60-custom.just ([#621](https://github.com/ublue-os/bazzite/issues/621)) ([6349cb3](https://github.com/ublue-os/bazzite/commit/6349cb3f3eed96069796e2f47581e514b237cf4f))
* **kde:** Correct caps for KDE's System Monitor ([62c69ec](https://github.com/ublue-os/bazzite/commit/62c69ec58556992309c4160d7144a2ac6e0544bb)), closes [#689](https://github.com/ublue-os/bazzite/issues/689)
* **kde:** Load dconf for Prompt on KDE with bazzite-user-setup ([e66c473](https://github.com/ublue-os/bazzite/commit/e66c473a80dfb0585638f5f996a492bb1e3195d7))
* **kde:** Only add Return.desktop on Deck builds, remove Bazzite Portal from desktop ([8612ad8](https://github.com/ublue-os/bazzite/commit/8612ad8eccb7485f32b2776e83cba116cf4737f1))
* **legion:** Adjust priv-write patch to only prevent writes to non-backlight hardware control without the enable flag ([8a0df51](https://github.com/ublue-os/bazzite/commit/8a0df51b7b852caef4940c794d37e79b7503242b))
* **legion:** Correct rotation on KDE Wayland (Thanks d3Xt3r) ([030b538](https://github.com/ublue-os/bazzite/commit/030b538a5d30199bd0eaf74f7007c51de32f036a))
* **legion:** Disable ds-inhibit by default ([7035592](https://github.com/ublue-os/bazzite/commit/70355926e8176924aa5378aa1f8f2845c43005c9))
* **legion:** Update rotation direction and exit in a nested session. ([927d5b3](https://github.com/ublue-os/bazzite/commit/927d5b3eca195bd1ba4e20f7993f144d0621ac58))
* Lock to previous version of btrfs dedup script ([73479f5](https://github.com/ublue-os/bazzite/commit/73479f50eaee9ec233b4590ac1bd2ac1dfa05ec1))
* Move Bazzite-Portal into Utilities folder and out of Lost & Found ([0d519da](https://github.com/ublue-os/bazzite/commit/0d519da28bad83b2c9b01c217859b549c6698ea5))
* Move from BoilR AppImage to Flatpak ([7af44aa](https://github.com/ublue-os/bazzite/commit/7af44aaca73e9a23420c6f7e596275737d7860ff))
* Move from Greenlight AppImage to Flatpak ([09a3102](https://github.com/ublue-os/bazzite/commit/09a310268deaa6be0f28156f1216bee56814d21a))
* **nvidia:** Do not apply flatpak overrides to hybrid systems ([d9ef9ec](https://github.com/ublue-os/bazzite/commit/d9ef9ec33a263dcac59d050727e7e8aa2a1d2d50))
* **readme:** capitalization ([5feeaf4](https://github.com/ublue-os/bazzite/commit/5feeaf4f6efcf7264604a4410d6b004e3a201f2a))
* **readme:** Fix documentation links ([68cc665](https://github.com/ublue-os/bazzite/commit/68cc665b7755209c4ea68f1f935db36bf8d70a2f))
* **readme:** Too many spaces ([dbc5b2e](https://github.com/ublue-os/bazzite/commit/dbc5b2ead481fd4c62bd122e42f2892b698c4c4c))
* Remove rundir change from wireplumber, this will be implemented another way ([0b3eb46](https://github.com/ublue-os/bazzite/commit/0b3eb4682dc2daad2bb447cffab1d8673451081f))
* Set up bazzite-hardware-setup to re-run if the branch changes ([8d67292](https://github.com/ublue-os/bazzite/commit/8d67292ae1894868fd8768d0e3a3714d8ada2251))
* sunshine is a symlink ([3b23a38](https://github.com/ublue-os/bazzite/commit/3b23a385c20d14f55abec6e43b95793ace9ed376))
* Switch to 70-bazzite.just for custom just scripts, frees up 60-custom.just for downstream ([9ebd1c4](https://github.com/ublue-os/bazzite/commit/9ebd1c47f889aadb8646c8c66224ffd065dcf49b)), closes [#679](https://github.com/ublue-os/bazzite/issues/679)
* Update LACT installer to download the correct version for KDE & GNOME, apply live to avoid needing to reboot and enable the service after reboot. ([f09a2d2](https://github.com/ublue-os/bazzite/commit/f09a2d2426954211f37f1eb69b65ebfb0f645119))
* Use python3 (libs) from updates ([8fccc16](https://github.com/ublue-os/bazzite/commit/8fccc160f090e6371bfdde9f46840c7dcc7d2618))
* Use Waydroid folder name to match KDE, move Bazzite Portal into utilities ([1df1ec7](https://github.com/ublue-os/bazzite/commit/1df1ec74e49e1cc7de96f09f37bd07f05bdc8c9c))
* **yafti:** Use new just shortcuts for nix/fleek ([4bdb3a1](https://github.com/ublue-os/bazzite/commit/4bdb3a1df8ebdcbc6a01e79d2f565ad9000a62c4))
* Zramd-generator generalization ([#674](https://github.com/ublue-os/bazzite/issues/674)) ([90d7589](https://github.com/ublue-os/bazzite/commit/90d7589929d513a848f8e9aec0477fe82d6b484a))


### Miscellaneous Chores

* release 2.2.0 ([f3440c2](https://github.com/ublue-os/bazzite/commit/f3440c2583a77876ad3082ef53ec72add8145e1c))

## [2.1.0](https://github.com/ublue-os/bazzite/compare/v2.0.2...v2.1.0) (2023-12-13)


### Features

* Add documentation link to Bazzite Portal ([#549](https://github.com/ublue-os/bazzite/issues/549)) ([e6df636](https://github.com/ublue-os/bazzite/commit/e6df63612626c134c446b2b677d468a6f8507d60))
* add initramfs rebuilding with support for user defined initramfs args ([#586](https://github.com/ublue-os/bazzite/issues/586)) ([0a97588](https://github.com/ublue-os/bazzite/commit/0a9758813f386cdd9621730f932f0d38bb52fd27))
* add just syntax checker ([70f7aae](https://github.com/ublue-os/bazzite/commit/70f7aae2641ca8e83cfd54811891366559b3f106))
* Add LE stylized Bazzite logo ([7ee568a](https://github.com/ublue-os/bazzite/commit/7ee568a287592c92d798777d4b348c6def35ca09))
* Add LE stylized Steam Deck logo ([50c221b](https://github.com/ublue-os/bazzite/commit/50c221be213be0c97bd5504d77971c1dc5c4ac38))
* Add patched Xwayland for Nvidia 545. ([e9f304b](https://github.com/ublue-os/bazzite/commit/e9f304bfb538d9b46a91f443997a5c39408db01a))
* Add WineZGUI, an extremely convenient way to launch double-click simple Windows applications that don't require special considerations for their prefix. ([a9c5cda](https://github.com/ublue-os/bazzite/commit/a9c5cda8963c8c3da2f8de91a9a062efd924cb57))
* Always layer Steam ([#525](https://github.com/ublue-os/bazzite/issues/525)) ([c999706](https://github.com/ublue-os/bazzite/commit/c99970620f2edc60520d08b652d229a3d35ffce8))
* **deck:** Add documentation link to Bazzite Portal ([#550](https://github.com/ublue-os/bazzite/issues/550)) ([919c17c](https://github.com/ublue-os/bazzite/commit/919c17c7cb121cae5511928436902d3e59149acc))
* **deck:** Add iomem=relaxed karg automatically on handhelds that require RyzenAdj for TDP control ([38a61d0](https://github.com/ublue-os/bazzite/commit/38a61d08a5cacd601c01bcabba52ea2788f2f74d))
* **deck:** Add needed changes to support OLED Deck. ([0391221](https://github.com/ublue-os/bazzite/commit/0391221c8bd251984665b3b571a92c4e22da155b))
* **deck:** Add Xvfb, useful for running some services in the background in gamemode. ([48ae649](https://github.com/ublue-os/bazzite/commit/48ae649f5bc91b96339fd327f19574d1f8d9bc77))
* **deck:** Auto-disable bios updates for 32GB RAM decks. ([d1c6022](https://github.com/ublue-os/bazzite/commit/d1c60228dee6e975ca0db67906c8ee9840d6a6fc))
* **deck:** Enable Wayland by default ([7378e4a](https://github.com/ublue-os/bazzite/commit/7378e4a55ba8fba5aeab01f28acc7a3a94d9fb60))
* **deck:** Implement support for the DeckHD ([#573](https://github.com/ublue-os/bazzite/issues/573)) ([4dadf8c](https://github.com/ublue-os/bazzite/commit/4dadf8c2fea6a420a9e7924057264f59e576a9e0))
* **deck:** Include new galileo-mura package ([12b2875](https://github.com/ublue-os/bazzite/commit/12b2875b847affac874105292355564d096bc98f))
* **deck:** Replace Website with Forums on Bazzite Portal ([#545](https://github.com/ublue-os/bazzite/issues/545)) ([e624854](https://github.com/ublue-os/bazzite/commit/e624854335fa663fbe34f1bb745baee19d307858))
* **deck:** Switch to new fork of steam-patch ([bd245b2](https://github.com/ublue-os/bazzite/commit/bd245b26019feb8be43060eb1a077d4229f13685))
* **deck:** Switch to new steamdeck-dsp package for audio. ([460f111](https://github.com/ublue-os/bazzite/commit/460f1110f2acd0e990a962f239ade63f5543b1f9))
* **desktop:** Restore displaylink on desktop images, leave off of deck images until issues with MangoHUD are resolved. ([d8ee043](https://github.com/ublue-os/bazzite/commit/d8ee04376d115568354a44aa2c977855e410ab37))
* **desktop:** Switch from CoreCtrl to LACT as the default AMD overclocking solution. ([083dda2](https://github.com/ublue-os/bazzite/commit/083dda26c6f7935d1e6a07c53bf629c5924c83a7))
* Export OpenTabletDriver GUI in just command ([6af4a21](https://github.com/ublue-os/bazzite/commit/6af4a21cd3da3c8c6f6540f2edbf3ab0508d15a2))
* **gnome:** Add bazzite-menu extension to desktop images, modify defaults to show gamemode option on deck builds. ([5831b1d](https://github.com/ublue-os/bazzite/commit/5831b1dac0fd429206d7b1e6c0b8b127a1db7b47))
* Preinstall GOverlay ([#572](https://github.com/ublue-os/bazzite/issues/572)) ([f21da88](https://github.com/ublue-os/bazzite/commit/f21da887538959088b4554c95591a714531533a9))
* **readme:** Add Features from Upstream ([#536](https://github.com/ublue-os/bazzite/issues/536)) ([360cd78](https://github.com/ublue-os/bazzite/commit/360cd7839718b05614cf271ca339cb083ffe1c96))
* **readme:** Add link to announcements ([#551](https://github.com/ublue-os/bazzite/issues/551)) ([8d32a3a](https://github.com/ublue-os/bazzite/commit/8d32a3a99550f9f8cfe7e2357867dd95d6c43cea))
* Replace Website with Forums on Bazzite Portal ([#544](https://github.com/ublue-os/bazzite/issues/544)) ([5f8951d](https://github.com/ublue-os/bazzite/commit/5f8951d88fe97597f1b98b3573d80aa771fee953))


### Bug Fixes

* Always return pipewire replacement as true ([72b73e8](https://github.com/ublue-os/bazzite/commit/72b73e884e983c2a83688fe01be7395d2dd40772))
* **autologin/return-to-gamemode:** Don't assume path to home directory ([#571](https://github.com/ublue-os/bazzite/issues/571)) ([b35b1f2](https://github.com/ublue-os/bazzite/commit/b35b1f2ea09f85512dd65f472b57902548f6ef3a))
* **boot menu:** Add missing ASUS NVIDIA entries ([2f3d8c5](https://github.com/ublue-os/bazzite/commit/2f3d8c59c168e2c2905ae190045d6b4563d9a05f))
* **boot menu:** Correct broken GNOME Surface entries ([febb15a](https://github.com/ublue-os/bazzite/commit/febb15a5ef819b840adec5ad92db7316ed7f0eeb))
* **boot menu:** Correct GNOME Surface sublabels too ([d2d9366](https://github.com/ublue-os/bazzite/commit/d2d93663e6f9d3730ecf453de2549b2aeb045b8f))
* Correct missing extest library ([d324f62](https://github.com/ublue-os/bazzite/commit/d324f62446185ccf58d8d9ca6a4824748d653b50))
* **deck:** Add udev rule for Galileo brightness control ([b4b18bd](https://github.com/ublue-os/bazzite/commit/b4b18bdcbe7b7abae95f62f9d2c469ae8f24bf5c))
* **deck:** Correct EmuDeck install on GNOME builds ([762db3c](https://github.com/ublue-os/bazzite/commit/762db3cb643eb139dd4194d44a35434507b094bf))
* **deck:** Correct rotation of Plymouth on Galileo ([e2be1e6](https://github.com/ublue-os/bazzite/commit/e2be1e6c4084517b7f20d4363dca6e52684e81b1))
* **deck:** Correct zram disabling karg ([ea5b583](https://github.com/ublue-os/bazzite/commit/ea5b583bcaa4dedc91aeb86090bf5d2cb186a25e))
* **deck:** Don't consider errors in steamos-automount to be fatal, this is just a request for external drives to be mounted. ([dac5bf5](https://github.com/ublue-os/bazzite/commit/dac5bf5cf3e4e99f1b66b28a6cf08f2f4b5172d6))
* **deck:** Fix issue with ntfs in the latest udisks2 ([11408e1](https://github.com/ublue-os/bazzite/commit/11408e14acf80c29175d6fb78d845581da3dbd4b))
* **deck:** Improve just scripts for bios handling ([ab5a503](https://github.com/ublue-os/bazzite/commit/ab5a5038ebd762a7568e3b1f82fafe334b4eac7c))
* **deck:** Include wifi firmware for OLED deck ([b1337ff](https://github.com/ublue-os/bazzite/commit/b1337ffbed37a7a3a32a84f33116e580175d73ee))
* **deck:** Increase volume for LCD deck in steamdeck-dsp ([b9eb87f](https://github.com/ublue-os/bazzite/commit/b9eb87f1fbf161c11d391149b7f5e871784ca2c2))
* **deck:** Missing characters on Bazzite Portal ([#599](https://github.com/ublue-os/bazzite/issues/599)) ([7608c6e](https://github.com/ublue-os/bazzite/commit/7608c6ea38c3d7541c702899a29213567f31a56e))
* **deck:** Modify returned/accepted values of os-branch-select to something the steam client understands ([62e299c](https://github.com/ublue-os/bazzite/commit/62e299c2b4e56a83a25154cc9f07c62f5126703c))
* **deck:** Patch path to ladspa plugin in steamdeck-dsp ([bdb10d1](https://github.com/ublue-os/bazzite/commit/bdb10d118512dd742e61eb58ba5ef7d664531944))
* **deck:** Prevent BIOS updates on DeckHD and 32GB decks even if requested. ([162dd80](https://github.com/ublue-os/bazzite/commit/162dd801a603b6a730fc9d0ad80a273879f613e2))
* **deck:** Remove steamdeck-dsp for now ([086c17c](https://github.com/ublue-os/bazzite/commit/086c17c1f8a9ad24410098f720e8d796c51abd1d))
* **deck:** Restore audio changes on main, this is in lieu of steamdeck-dsp which will remain on :testing for now. ([58ddbf4](https://github.com/ublue-os/bazzite/commit/58ddbf4a3d0d20fd3236f4944311502d752d7922))
* **deck:** Update jupiter-hw-support package ([0b35eda](https://github.com/ublue-os/bazzite/commit/0b35edaa6c3d548a066924ebf007b121967f6b0f))
* Drop DDControl as a default, caused unresponsive monitors for some users. ([d6dede7](https://github.com/ublue-os/bazzite/commit/d6dede706abfe8f86265b9ee6dbb5b9a69443732))
* **gnome:** Cleanup dconf files, add service to apply. ([b9b1e42](https://github.com/ublue-os/bazzite/commit/b9b1e42980c7c0dfef830e251f43df7aa70a9950))
* **gnome:** Fix issue with logo menu not enabling automatically on Fedora 39. ([a94f845](https://github.com/ublue-os/bazzite/commit/a94f845c81db7cae1b9860fe98d1b381d8a7a402))
* **gnome:** Remove gnome-software-rpm-ostree. Slows down gnome-software and offers little for our use case. ([f34aa80](https://github.com/ublue-os/bazzite/commit/f34aa807d94b64995204b8f2e664da3fea85810f))
* **hardware-setup:** Set default target to graphical, fixes rebase from base image ([#568](https://github.com/ublue-os/bazzite/issues/568)) ([7131005](https://github.com/ublue-os/bazzite/commit/71310055eeed434678926ebd6d7e39687cfdf7bb))
* Install proper 32 bit glibc package ([0b2c9af](https://github.com/ublue-os/bazzite/commit/0b2c9af2a09138b630f0cdc694e56d22eb86246a))
* **kde:** Add gwenview and okular flatpaks to default install list after they were removed from Kinoite. ([7e683ba](https://github.com/ublue-os/bazzite/commit/7e683ba3bab2a749d166e94b460b09162ac97dae)), closes [#526](https://github.com/ublue-os/bazzite/issues/526)
* **kde:** Restore Calculator as a flatpak ([d3d08b4](https://github.com/ublue-os/bazzite/commit/d3d08b4c8cd6746898760fee91d7f54ba1a035e2))
* **legion:** Disable X11 by default to correct issues with display rotation ([f6f407e](https://github.com/ublue-os/bazzite/commit/f6f407e8e16e944fae5b0a7b5ced8877e241bbb4))
* Missing characters on Bazzite Portal ([#600](https://github.com/ublue-os/bazzite/issues/600)) ([8bda75e](https://github.com/ublue-os/bazzite/commit/8bda75e5b4a887ee2ab1b8218ee9de3a23702b1f))
* **nvidia:** Remove older 32 bit glibc package ([290f766](https://github.com/ublue-os/bazzite/commit/290f766affc9f87afc6758026abb5432549a5097))
* Only autostart Steam on deck images ([2534fb9](https://github.com/ublue-os/bazzite/commit/2534fb9f1976dc65064d6f462d50448a9a9cabdb))
* Properly handle asus-nvidia images in enable-supergfxctl ([53398e9](https://github.com/ublue-os/bazzite/commit/53398e92f3c5bf163a5e243a99c93a0060771624))
* Reinstall pipewire from Fedora updates ([06d49d9](https://github.com/ublue-os/bazzite/commit/06d49d96738bbc7919a32a88835ff2b01a234019))
* Resolve xdg-desktop-portal issues(!) ([57cbf67](https://github.com/ublue-os/bazzite/commit/57cbf6794ef1a2654551da67e23852d39f72758f))
* Restore noto-san change removed from main ([4d955cb](https://github.com/ublue-os/bazzite/commit/4d955cb8ace939f8814063394aa26ee75e36a44a))
* Temporarily remove xwaylandvideobridge, fixes white box issue ([e9e6087](https://github.com/ublue-os/bazzite/commit/e9e60873708660f971d6d0d090190e35440d4e9c))
* Use patched bluez library ([b7e6c44](https://github.com/ublue-os/bazzite/commit/b7e6c44c6fd3e00cb4c26b9106446ce7ec41b1b2))

## [2.0.2](https://github.com/ublue-os/bazzite/compare/v2.0.1...v2.0.2) (2023-11-08)


### Miscellaneous Chores

* release 2.0.2 ([a7597d3](https://github.com/ublue-os/bazzite/commit/a7597d3f9da20e0161a9b7e3805dfe0c400a69f8))

## [2.0.1](https://github.com/ublue-os/bazzite/compare/v2.0.0...v2.0.1) (2023-11-08)


### Features

* **deck:** Enhance and fix zram and deckswap scripts ([#512](https://github.com/ublue-os/bazzite/issues/512)) ([01ecbaf](https://github.com/ublue-os/bazzite/commit/01ecbaf524445f6d379da581fb8b2ffbb64b154a))


### Miscellaneous Chores

* release 2.0.1 ([4ac245d](https://github.com/ublue-os/bazzite/commit/4ac245d4f920737a45431814a83f9234fda0cb2e))

## [2.0.0](https://github.com/ublue-os/bazzite/compare/v1.3.0...v2.0.0) (2023-11-07)


### Features

* add a basic virtual surround 7.1 config using ASH Control Room 1 ([f539e99](https://github.com/ublue-os/bazzite/commit/f539e99fc6c687b29c7b12a3f52c52c82bd8bf3c))
* Add a helpful installer for adding LatencyFleX dlls to wine prefixes & game installs. (https://github.com/Shringe/LatencyFleX-Installer/) ([55a5ad3](https://github.com/ublue-os/bazzite/commit/55a5ad3866436e8c6c4e296b37aef4f9090da991))
* Add AppImage Pool to Bazzite Portal [#6](https://github.com/ublue-os/bazzite/issues/6) ([#471](https://github.com/ublue-os/bazzite/issues/471)) ([78bacc1](https://github.com/ublue-os/bazzite/commit/78bacc184de3654650f04bcdc5dd342e591bfdc3))
* Add Bazzite's webpage from Universal Blue to Portal. ([#507](https://github.com/ublue-os/bazzite/issues/507)) ([9351a2a](https://github.com/ublue-os/bazzite/commit/9351a2a4d0b6d1efa7d69704db7600b24835499f))
* Add icons for exe files ([cd90ea2](https://github.com/ublue-os/bazzite/commit/cd90ea2559e0287012f467ca916d464071fdc053))
* Add LatencyFleX wine libraries to default wine install ([2824230](https://github.com/ublue-os/bazzite/commit/2824230abca36da323e5c8b0b4276d70fb396c73))
* Add message to plymouth during long bazzite-hardware-setup steps ([b3bae53](https://github.com/ublue-os/bazzite/commit/b3bae538f4e3b76643e2e20dbeac7adecf4d62cb))
* Add OS branch selection to Steam OS gamemode ([86bb026](https://github.com/ublue-os/bazzite/commit/86bb026d395a075b5e78ddf6854319764dd55afa))
* Add RazerGenie to OpenRazer install. ([dcce67b](https://github.com/ublue-os/bazzite/commit/dcce67b7a648d551ba55614967a5c7da19b76d96)), closes [#473](https://github.com/ublue-os/bazzite/issues/473)
* Add steam-proton-mf-wmv utility (https://github.com/scaronni/steam-proton-mf-wmv) ([9e447f5](https://github.com/ublue-os/bazzite/commit/9e447f561bf154cdc8a4077319d0fe2f237bd93d))
* Add SteamOS Nested Desktop to Bazzite Portal ([eb69785](https://github.com/ublue-os/bazzite/commit/eb697852a5e59b9789c1c69c15d6661e4e89ae79))
* Add support for a testing and unstable branch ([#495](https://github.com/ublue-os/bazzite/issues/495)) ([941a3a6](https://github.com/ublue-os/bazzite/commit/941a3a64e49ac3dd13f0f5e85f0d81d8810eb3fb))
* add virtual audio channels for special usecases ([#449](https://github.com/ublue-os/bazzite/issues/449)) ([7586e95](https://github.com/ublue-os/bazzite/commit/7586e95bf7d014eda3b5652eb4136f9fc6d15cb6))
* Add vk_hdr_layer (https://github.com/Drakulix/VK_hdr_layer) ([06251a5](https://github.com/ublue-os/bazzite/commit/06251a5fed1fd2bef50adb9242f918f6ffd307b6))
* Add Warehouse to Bazzite Portal on Deck images ([#443](https://github.com/ublue-os/bazzite/issues/443)) ([fbd05a1](https://github.com/ublue-os/bazzite/commit/fbd05a13207c7d5265029553af4c8172c1dc8283))
* Add Warehouse to Bazzite Portal on Desktop images ([#442](https://github.com/ublue-os/bazzite/issues/442)) ([29aad27](https://github.com/ublue-os/bazzite/commit/29aad27a8e31bb347e878a941638ef0fb83f0d8b))
* Add waydroid-choose-gpu script as a built in feature. ([c5e554b](https://github.com/ublue-os/bazzite/commit/c5e554bf564c3567e8fed14b6d015c5a037720b9))
* Added "System Management" Category ([#450](https://github.com/ublue-os/bazzite/issues/450)) ([1b3d321](https://github.com/ublue-os/bazzite/commit/1b3d3211c6d4e3789a679897ee080dfb1652da9c))
* Added "System Management" Category (deck) ([#451](https://github.com/ublue-os/bazzite/issues/451)) ([96cebff](https://github.com/ublue-os/bazzite/commit/96cebff9d2470a10328b29b35d874aabdaedd68b))
* added Metadata Cleaner to Utilities category ([96cebff](https://github.com/ublue-os/bazzite/commit/96cebff9d2470a10328b29b35d874aabdaedd68b))
* Automatically add Waydroid to Steam during init-waydroid call ([502d2d7](https://github.com/ublue-os/bazzite/commit/502d2d736d377b7eab26a504fcafc4a49cbee181))
* **ci:** Build images based on Fedora 39 ([#332](https://github.com/ublue-os/bazzite/issues/332)) ([631423b](https://github.com/ublue-os/bazzite/commit/631423b360c69158382f17f20260ea05f2f8cc09))
* **deck:** Add additional tweaks for zram performance, switch to sysctl.d to disable watchdog (Thanks Saber J2X and fiftydinar) ([d83d129](https://github.com/ublue-os/bazzite/commit/d83d129c42510b740ea950da13b9a1a7bb1dcaad))
* **deck:** Add AppImage Pool to Bazzite Portal ([#470](https://github.com/ublue-os/bazzite/issues/470)) ([b4d9ee9](https://github.com/ublue-os/bazzite/commit/b4d9ee9426cdb5e06163aa0a7daf0df0ce616edd))
* **deck:** Add default input settings and icons for Steam to Waydroid shortcut ([a699c90](https://github.com/ublue-os/bazzite/commit/a699c90ea836a9d67dc127b4ae43a26c08ba3360))
* **deck:** Add new SteamOS Nested Desktop feature. ([71026da](https://github.com/ublue-os/bazzite/commit/71026dabcddc38423ee7e3cebaefa13116b98549))
* **deck:** Add QTVirtualKeyboard for SDDM ([e1f1252](https://github.com/ublue-os/bazzite/commit/e1f1252e9fef712523a4fd311be36fc185c628ea))
* **deck:** Increase ZRAM size to 4GB by default (Thanks Saber J2X) ([50b2894](https://github.com/ublue-os/bazzite/commit/50b2894c53fc6a548afc7142a2350ce719284f28))
* **deck:** Switch to stable Decky Loader releases ([c50d9e8](https://github.com/ublue-os/bazzite/commit/c50d9e89cc8cd3081f6c9599480661e8dcd6b4f4))
* Disable split lock mitigation for increased gaming performance in titles like God of War (Thanks Saber J2X) ([3be7229](https://github.com/ublue-os/bazzite/commit/3be722994c9918a04744f2b5b41cd015f2f125d0))
* enable automounting of hugepages with 1GB pagesize if the karg hugepagesz=1G is present ([#425](https://github.com/ublue-os/bazzite/issues/425)) ([24b3a66](https://github.com/ublue-os/bazzite/commit/24b3a66f36805c95f08c57cda775e28bb9b2fcdf))
* **gnome:** Add "Add to Steam" option to right click menu of executable files ([b11d3c4](https://github.com/ublue-os/bazzite/commit/b11d3c4d52b9282e559f5d777cafa3251122b540))
* **gnome:** Add Nautilus integration for GSConnect (KDE Connect) ([cd34969](https://github.com/ublue-os/bazzite/commit/cd34969617ddbdb5a1069834a1c15776174075e9))
* **gnome:** Add nested desktop support from SteamOS ([f890187](https://github.com/ublue-os/bazzite/commit/f89018743a957b2ce9e782cfa0630560370c29b8))
* **gnome:** Add Steam & Lutris to the dash by default ([15c4fdd](https://github.com/ublue-os/bazzite/commit/15c4fdd3fb658ff61ce5c994d3d429f49898fcf8))
* **gnome:** Replace GNOME user icons with Valve-themed ones ([5af6e86](https://github.com/ublue-os/bazzite/commit/5af6e8672b074c70545aba24f13d156845961ad2))
* **gnome:** Restore power-profiles-daemon ([138d2d0](https://github.com/ublue-os/bazzite/commit/138d2d0b8be8380a020495ed48232c3e0fdcfec6))
* **gnome:** Switch to dconf settings for a number of needed changes in gnome, add default dash application assignments. ([4ab99c6](https://github.com/ublue-os/bazzite/commit/4ab99c68e9720e4dcb57f595c76a3f849ea308b9))
* **gnome:** Switch to new tailscale qs extension ([37d3695](https://github.com/ublue-os/bazzite/commit/37d36958b912dcb6cbc263db2609cd79bd71f416))
* Improve Waydroid launcher, automatically initialize Waydroid if not initialized and use first-launch as a default param ([5f5f74d](https://github.com/ublue-os/bazzite/commit/5f5f74d924001350f94fbd0d1fa778a63a88965c))
* Include link to Bazzite's FAQ documentation... ([#446](https://github.com/ublue-os/bazzite/issues/446)) ([69727c3](https://github.com/ublue-os/bazzite/commit/69727c3b0106f1c0bd31a3d511427e4d6c6fbd08))
* Include link to Bazzite's FAQ documentation... ([#447](https://github.com/ublue-os/bazzite/issues/447)) ([56ec7c7](https://github.com/ublue-os/bazzite/commit/56ec7c7d078ab317675ceb44337e76e936e901aa))
* Include vulkan-tools and clinfo in all images ([4092a15](https://github.com/ublue-os/bazzite/commit/4092a1584d3407765daf6137bb1c2964f1eb54df))
* **kde:** Add kdeplasma-addons package for cube desktop and other *important* features ([69c78de](https://github.com/ublue-os/bazzite/commit/69c78de60eeb0a6e6ed83079f29cd497a10d8506))
* **kde:** Add new Valve-themed user photos ([544c478](https://github.com/ublue-os/bazzite/commit/544c47825bc60c9a2b296afce4a5b24917f5fcab))
* **legion:** Support 30W TDP control on Legion Go from gamemode. ([1a877ba](https://github.com/ublue-os/bazzite/commit/1a877baf250c54e558240c7fe5c98f3aaf75f2f7))
* **legion:** Support hardware control on the Legion GO ([da6b18b](https://github.com/ublue-os/bazzite/commit/da6b18bc540db9dac5401d63dd381bc32dd7651a))
* **legion:** Support Legion GO controller ([27374d4](https://github.com/ublue-os/bazzite/commit/27374d493156c93053b27b1777788297e8ff55d8))
* Looking glass shm OOB auto generation and support ([#424](https://github.com/ublue-os/bazzite/issues/424)) ([1682676](https://github.com/ublue-os/bazzite/commit/168267634b3b5f174fc2ab65ab2c240da3e1be9b))
* Mark Fedpra 39 as stable ([4610c63](https://github.com/ublue-os/bazzite/commit/4610c636d6fc958cd16c00a7c80184f9fd3feb13))
* **readme:** Add application management features ([#497](https://github.com/ublue-os/bazzite/issues/497)) ([31a4ab5](https://github.com/ublue-os/bazzite/commit/31a4ab56029f67f3c5dd6c0384f3cdd693da4817))
* Throw an error if a flatpak fails to install in bazzite-flatpak-manager, add notification with icon and restart every 30 seconds until it can complete ([d4ffe57](https://github.com/ublue-os/bazzite/commit/d4ffe576564ffc081adf41dc89c3f8fa438cdc0f))
* Warehouse as preinstalled Flatpak. ([#465](https://github.com/ublue-os/bazzite/issues/465)) ([a600fa7](https://github.com/ublue-os/bazzite/commit/a600fa78fe1b903ead84a4a412c417fd273d2af0))
* **waydroid:** Set density and gralloc from /etc/default/waydroid-launcher before start ([17ffc69](https://github.com/ublue-os/bazzite/commit/17ffc696e1820309fed15e2e5847b482ac88edf8))


### Bug Fixes

* Add --noconfirm to OpenTabletDriver install step ([ffe7968](https://github.com/ublue-os/bazzite/commit/ffe7968f5f7e332e48493d9ec4c488f58b3e3767)), closes [#467](https://github.com/ublue-os/bazzite/issues/467)
* Add improvements to flatpak manager from bluefin, correct bundled themes for flatpak. ([2c6f0dd](https://github.com/ublue-os/bazzite/commit/2c6f0dd529ae129e48a4e25ec47860105311a29f))
* Add Minimum-free ZRAM configuration ([169858b](https://github.com/ublue-os/bazzite/commit/169858b74b575fc702a7bf5c14d93aa1b8df567c))
* add missing comment with info about what virtual audio channels are and their use case ([1e824a5](https://github.com/ublue-os/bazzite/commit/1e824a5a8130c5ebd2efcbef16aae1858d3949ac))
* Add replacement openrazer service ([86dae4e](https://github.com/ublue-os/bazzite/commit/86dae4e25757ac0b8c6ae21d118c2fd607ec813a))
* **asus:** Don't enable displaylink service ([5d126bd](https://github.com/ublue-os/bazzite/commit/5d126bd730cfbf3bd5da4e88c002d6ece3daba02))
* **asus:** Don't install evdi kmod ([76a5cf8](https://github.com/ublue-os/bazzite/commit/76a5cf82eba4b0283a7e4099e04e5c1bf6adc6ce))
* Correct hostname check (Thanks szescxz) ([9368037](https://github.com/ublue-os/bazzite/commit/9368037631bc1ec5de337abe0ca3f59436f79f3a))
* Correct issue with screen rotation on non-deck hardware ([1d84e3f](https://github.com/ublue-os/bazzite/commit/1d84e3f319dd05e7d8adfb6489f7030b7ec9a9be))
* correct mistype in removing virtual surround ([#466](https://github.com/ublue-os/bazzite/issues/466)) ([090a15c](https://github.com/ublue-os/bazzite/commit/090a15ccab17bda03d1ca01c23ee953aef0083b1))
* Correct syntax error ([4d27a99](https://github.com/ublue-os/bazzite/commit/4d27a996d084e8d0cbe4698dc1cb4b0bf95acd25))
* **deck:** Add zenity and newt to fix issues with EmuDeck ([#475](https://github.com/ublue-os/bazzite/issues/475)) ([c789040](https://github.com/ublue-os/bazzite/commit/c789040a603cc247653c4f96c822c003df041f76)), closes [#474](https://github.com/ublue-os/bazzite/issues/474)
* **deck:** Remove askpass invokation from zram-resize ([2c20dee](https://github.com/ublue-os/bazzite/commit/2c20dee969b0f544edf9894f4fbd04634d8eb265))
* **deck:** Remove default BT config to address potential permission issues ([5eb0df8](https://github.com/ublue-os/bazzite/commit/5eb0df8e3d15df1478b4b48274317e759bec7462))
* **deck:** Restore Simple DRM ([666d9cb](https://github.com/ublue-os/bazzite/commit/666d9cb784d8f029a1596792fac1aa4bc3f04398))
* Drop DNS over TLS and SNTP due to reported issues/edge cases, will reintroduce as an option. ([022625e](https://github.com/ublue-os/bazzite/commit/022625ea50b052113a8b9e5bd475cc4d2a366071))
* Enable initramfs generation for LUKS. ([cd35d50](https://github.com/ublue-os/bazzite/commit/cd35d5006c4ed442bc9581845af2bfe392defbc1))
* **f39:** Install Mesa in new way for f39 ([64f706b](https://github.com/ublue-os/bazzite/commit/64f706b5383968b44183688d8ffe24b3e3e75d01))
* **f39:** Restore mesa replacement ([bcd96fc](https://github.com/ublue-os/bazzite/commit/bcd96fc01081e382e14f8ab2e304d81d68d90c3d))
* Fix app icons for Nix apps ([a81410f](https://github.com/ublue-os/bazzite/commit/a81410f7ab60254bd2999c7358bb718afb8b50e9))
* fix typo preventing 38 stable builds ([#444](https://github.com/ublue-os/bazzite/issues/444)) ([61ab7d1](https://github.com/ublue-os/bazzite/commit/61ab7d114152b065b5530d30496636ebb42a8b2d))
* Github links instead of Flathub links... ([#502](https://github.com/ublue-os/bazzite/issues/502)) ([84f32a4](https://github.com/ublue-os/bazzite/commit/84f32a41cb246476aa631e8cf888870a00646952))
* **gnome:** Launch nested session in Xephyr, this fixes most everything but flatpak firefox. ([7e25957](https://github.com/ublue-os/bazzite/commit/7e25957a31b1c6459559ef03620248e0e65d684d))
* **gnome:** Launch new dbus session with nested gnome, change icon to svg ([f45cdd3](https://github.com/ublue-os/bazzite/commit/f45cdd3d5908b465a6f4fe6dea812eb8d86acfab))
* **gnome:** Remove gnome-initial-setup, our ISO installer handles this a different way. ([42f97f0](https://github.com/ublue-os/bazzite/commit/42f97f05bd1537baa82c8035c7ce0c1881c7b89a))
* **gnome:** Remove non-working gsetting call ([06c8868](https://github.com/ublue-os/bazzite/commit/06c88683ad897a10c499e82cc6ea07c2400494e6))
* Improve bios update disabling feature to work similarly to foxnet/bios/INHIBIT file in SteamOS. ([bd20063](https://github.com/ublue-os/bazzite/commit/bd200632a683fb2e0ad4c5b7c071be9dd8b538e4))
* Install vkcapture, glcapture, vkbsalt, and mangohud with explicit arch ([4092a15](https://github.com/ublue-os/bazzite/commit/4092a1584d3407765daf6137bb1c2964f1eb54df))
* Massively improve steamos-priv-write, add support for using ryzenadj for other hardware from corando98's steam-patch fork (https://github.com/corando98/steam-patch) ([9f52ad4](https://github.com/ublue-os/bazzite/commit/9f52ad458104090bbc825d313bf2d3b5d0f01df7))
* Modify initramfs applicator to always apply all needed params ([7f7f5b8](https://github.com/ublue-os/bazzite/commit/7f7f5b8802e9a0471dbf5a1462403cc08ca28b4b))
* Re-run bazzite-hardware-setup and bazzite-user-setup if Fedora version changes ([cc41dd3](https://github.com/ublue-os/bazzite/commit/cc41dd34f38730454f80550acd05d985d332fb7a))
* Remove pkexec, this resolves some newly reported issues with the bazzite portal ([f017996](https://github.com/ublue-os/bazzite/commit/f01799625eab577195b5613807bb003cd1af6c54))
* Remove rd.luks.options=discard karg & use --append-if-missing for kargs ([#453](https://github.com/ublue-os/bazzite/issues/453)) ([0ccfe46](https://github.com/ublue-os/bazzite/commit/0ccfe46d9b5adc68e8a33f916b4f3c06ed596027))
* removed FAQ link at the end ([96cebff](https://github.com/ublue-os/bazzite/commit/96cebff9d2470a10328b29b35d874aabdaedd68b))
* removed unneeded parts of the nix installation on the justfile ([#441](https://github.com/ublue-os/bazzite/issues/441)) ([9114ec3](https://github.com/ublue-os/bazzite/commit/9114ec3fb33c343268074fa378bde61f0eb3011c))
* Restore evdi on F39 ([#480](https://github.com/ublue-os/bazzite/issues/480)) ([ce5eb84](https://github.com/ublue-os/bazzite/commit/ce5eb84fc4b76ed24dd59a51fb93abdc34983784))
* **surface-nvidia:** Exclude OBS vkcapture ([#499](https://github.com/ublue-os/bazzite/issues/499)) ([1df46b0](https://github.com/ublue-os/bazzite/commit/1df46b05d43997ac400f768dfa174a0d96f5d99d))
* Switch to layered OpenRazer due to issues in Distrobox. ([f127260](https://github.com/ublue-os/bazzite/commit/f127260bbfba4ffb076e48802eea9e341a7ff141))
* Symlink wine64 to wine (Solves a mistaken dependency issue in Lutris) ([1e222d1](https://github.com/ublue-os/bazzite/commit/1e222d1d75e3db611bfd2529ef46506f146daf52))
* **user-setup:** Actually read the cached Fedora version ([af64da2](https://github.com/ublue-os/bazzite/commit/af64da23836563ed82ad34334f46da112355114a))
* **user-setup:** Correct Fedora version check, prevents setup from running every boot ([98d0536](https://github.com/ublue-os/bazzite/commit/98d0536dacb42179e083ee40b84cb62d21a37787))
* **yafti:** Use pkexec to enable Deck BIOS and FW updates ([250f20e](https://github.com/ublue-os/bazzite/commit/250f20e13e9f54e100ed2a33bf8356981bb4fbe8))


### Miscellaneous Chores

* release 2.0.0 ([bcf0f93](https://github.com/ublue-os/bazzite/commit/bcf0f93f85a1b6c96076db60df964702647fb58c))

## [1.3.0](https://github.com/ublue-os/bazzite/compare/v1.2.2...v1.3.0) (2023-10-12)


### Features

* Add option to disable DNS over TLS to Bazzite Portal ([52f6e30](https://github.com/ublue-os/bazzite/commit/52f6e30a55d0a1b25a2e4410b531d192fe29db21))
* Enable Steam Patch for any hardware other than Steam Deck, fixes resolution issue that requires desktop gamers to select "Native" for every title in gamemode. ([3a9577c](https://github.com/ublue-os/bazzite/commit/3a9577cdfc1422ee8be44b755de272a52c7421bf))
* **gnome:** Add optional shell theme that makes appindicators function like a proper tray ([de76430](https://github.com/ublue-os/bazzite/commit/de76430f553b5ddadebc5392234e64396b74d675))
* **gnome:** Add xwaylandvideobridge ([4b91901](https://github.com/ublue-os/bazzite/commit/4b919010b34d3625d19a5afa0c9a5f8af3479c80))
* **gnome:** Move from extest to libei ([77a6671](https://github.com/ublue-os/bazzite/commit/77a667162859dd48a4aa772d7919a6bf1505e4c5))
* **gnome:** Restore appindicator ([4b54774](https://github.com/ublue-os/bazzite/commit/4b547745072cff586f3b3bb81952e3747cccd79e))
* **gnome:** Switch to new Logo Menu fork ([98c2167](https://github.com/ublue-os/bazzite/commit/98c21679cefc36b935340e09a50e09d4030eb730))


### Bug Fixes

* Correct issue detecting nvidia flavor ([f6090db](https://github.com/ublue-os/bazzite/commit/f6090db760e35c7716c2b3902cf2a6b4d5ba831b))
* Correct issue with opentabletdriver just command if ~/.config/systemd/user folder doesn't exist ([f42737a](https://github.com/ublue-os/bazzite/commit/f42737a09a30c3371bc3753bb8c0f36eef8fc3dc))
* Correct PathExists check in steam-patch@.service ([84a0e36](https://github.com/ublue-os/bazzite/commit/84a0e36c6fd4b72898640272fb65c602d862152b))
* install Krita instead of Ardour when user requests Krita ([#420](https://github.com/ublue-os/bazzite/issues/420)) ([793ea46](https://github.com/ublue-os/bazzite/commit/793ea46ef173849a20bd2af303b55c13eb9d3579))
* **nvidia:** Add LatencyFlex, vkBasalt, MangoHUD, and Vulkan-Tools packages from Deck images. ([5b0ca63](https://github.com/ublue-os/bazzite/commit/5b0ca63022f6ae137bf275c777fb925141661898))

## [1.2.2](https://github.com/ublue-os/bazzite/compare/v1.2.1...v1.2.2) (2023-10-08)


### Miscellaneous Chores

* release 1.2.2 ([ff665a6](https://github.com/ublue-os/bazzite/commit/ff665a673229dcc53b52fb52716da1d43ea6bf35))

## [1.2.1](https://github.com/ublue-os/bazzite/compare/v1.2.0...v1.2.1) (2023-10-08)


### Features

* Add CEC control ([#412](https://github.com/ublue-os/bazzite/issues/412)) ([1761a17](https://github.com/ublue-os/bazzite/commit/1761a1739b2ab2b21783c3d9da222c7342085fed))
* Add dependencies required by DaVinci Resolve ([290fe94](https://github.com/ublue-os/bazzite/commit/290fe94bb5682d69f68a26ad5371aeba9513c9ff))
* add link to discussions ([#397](https://github.com/ublue-os/bazzite/issues/397)) ([eb5facc](https://github.com/ublue-os/bazzite/commit/eb5faccc747b824c194248b08bcd3264b26aad87))
* Add option to download Wootility to Bazzite Portal. ([d171b8f](https://github.com/ublue-os/bazzite/commit/d171b8fd261b5862fd2f7bd01717f646d1728b80))
* Add option to force discover-overlay to launch on GNOME Wayland (See /etc/default/discover-overlay) ([75f85d8](https://github.com/ublue-os/bazzite/commit/75f85d87192c9338509c658b91f824071ea8219e))
* Add option to install Brew package manager. ([f5915c0](https://github.com/ublue-os/bazzite/commit/f5915c0fff01e05242bd51d4d4df95bfbc2ae46c))
* Add option to install OpenTabletDriver in an arch distrobox ([5350368](https://github.com/ublue-os/bazzite/commit/535036819a5bb27db80b5c3cbe2901f86c7e0e39))
* Add unrar by default, this is used by enough games & mods to be a default package. ([4ca5a6a](https://github.com/ublue-os/bazzite/commit/4ca5a6a18838f5947523ed8dd853d4fcf7e4b71c))
* Add Weston launcher for Waydroid using policykit to start and stop service ([7a6085e](https://github.com/ublue-os/bazzite/commit/7a6085e7df39b536849260d990807d6772f91696))
* Add XIV Launcher flatpak to list of games ([dc6722d](https://github.com/ublue-os/bazzite/commit/dc6722d3f635bebb29a914924be674c9457a215c))
* Always check kargs ([#398](https://github.com/ublue-os/bazzite/issues/398)) ([ee4ab58](https://github.com/ublue-os/bazzite/commit/ee4ab58f44b011764ff4ef112728fcab6f2a2379))
* Auto update brew packages with ublue-update ([f9ebb2b](https://github.com/ublue-os/bazzite/commit/f9ebb2bca253fd0f94b31ffbe0c6536c3c9879cb))
* **ci:** Enable ASUS and Surface Nvidia images ([1acad66](https://github.com/ublue-os/bazzite/commit/1acad66a6f9f7d288c204c288029d8dc973abd87))
* **deck:** Double zram size on 32GB decks ([a6236df](https://github.com/ublue-os/bazzite/commit/a6236df723b054e68da7e5a9b8c7043d4b077fcf))
* **deck:** Switch to kyber I/O scheduler from BFQ, disable watchdog, and raise memlock limit ([0ea324d](https://github.com/ublue-os/bazzite/commit/0ea324d37b22928238d76931df9f206ff892c22d))
* **desktop:** Add option to enable virtualization and vfio ([d9f7aaf](https://github.com/ublue-os/bazzite/commit/d9f7aafe07494e92e104849705177be46fcfb6a5))
* **desktop:** Add options to disable/enable watchdog ([#413](https://github.com/ublue-os/bazzite/issues/413)) ([2cb3ad7](https://github.com/ublue-os/bazzite/commit/2cb3ad744a29cfcae3f0d751a4c52a69a569416f))
* Enable TDP control on non-deck hardware covered by steam-patch. ([28fec8e](https://github.com/ublue-os/bazzite/commit/28fec8efdf8437789265732e967bb2a06be11f50))
* **nvidia:** Switch to layered steam to avoid issues with 32-bit Nvidia libraries. ([#415](https://github.com/ublue-os/bazzite/issues/415)) ([f4452f0](https://github.com/ublue-os/bazzite/commit/f4452f0b40473a9c8d53aad2628b80cf25bdf182))
* **waydroid:** Add new Waydroid launcher to streamline use ([708b25e](https://github.com/ublue-os/bazzite/commit/708b25e29e44385d4c91026a2de3143b1526416c))
* **waydroid:** Add script to fix controllers in Waydroid ([2792919](https://github.com/ublue-os/bazzite/commit/2792919ca9cd9765b446f520a6fb7ea77f861bbb))


### Bug Fixes

* Add hostname reset to bazzite-hardware-setup if the hostname is too long for distrobox to reliably function ([3fa0d5d](https://github.com/ublue-os/bazzite/commit/3fa0d5ddac731ce90e626bdf820af15351e228b4))
* Avoid creating ~/.steam/steam manually, create needed file in systemd service definition for steam-patch. ([edbfd0c](https://github.com/ublue-os/bazzite/commit/edbfd0c1c638cade3088ce78d324137c95b9c292))
* Call daemon-reload when installing opentabletdriver & resilio sync ([da96cbe](https://github.com/ublue-os/bazzite/commit/da96cbe28eb80e4663e26bf839d74d9854560a78))
* Check for Ally & Framegame everywhere Deck is currently checked for ([28fec8e](https://github.com/ublue-os/bazzite/commit/28fec8efdf8437789265732e967bb2a06be11f50))
* Correct issue in reset-waydroid ([4cf2b8d](https://github.com/ublue-os/bazzite/commit/4cf2b8d79b18c59d93be8e2758d823813177ee94))
* Correct issue with updater run from systemd ([cf7dd21](https://github.com/ublue-os/bazzite/commit/cf7dd2107fa7cd9af58d9b906a2af5d46af0960c))
* Correct syntax issue in bazzite-hardware-setup ([99101d6](https://github.com/ublue-os/bazzite/commit/99101d69fd21bcb65d8192f45067e525869bcd3f))
* Correct typo in Yafti config ([5ea2392](https://github.com/ublue-os/bazzite/commit/5ea2392517ba5732f863e1acd733d0c851f18eed))
* Create input group another way for usermod command ([a0c10ff](https://github.com/ublue-os/bazzite/commit/a0c10ff89b38b4e7ac87e8c3ae0a64d9694452be))
* **deck:** Block additional AMD watchdog kmod for Steam Deck ([#409](https://github.com/ublue-os/bazzite/issues/409)) ([5a0396d](https://github.com/ublue-os/bazzite/commit/5a0396d82f7a770839ab192a77137bc8361995b3))
* **desktop:** Resolve issue with Steam refusing to start after sleeping ([5626a67](https://github.com/ublue-os/bazzite/commit/5626a67ade4ba9dbf1173519aac66a76b71a3a96)), closes [#321](https://github.com/ublue-os/bazzite/issues/321)
* Exclude kmods from everything but main and nvidia ([a6b49c8](https://github.com/ublue-os/bazzite/commit/a6b49c890bf9d53ca12d85a283b60e60028be4b7))
* Get username for steam-patch from param ([294de76](https://github.com/ublue-os/bazzite/commit/294de76eee15127fca9394108eb8eb4328885dba))
* **HandyGCCS:** Enable globally ([#400](https://github.com/ublue-os/bazzite/issues/400)) ([17a7611](https://github.com/ublue-os/bazzite/commit/17a7611206dfd5ff80956444d72d19458357fa86))
* Modify HandyGCCS setup to be explicit on device, automatically install Steam Patch (https://github.com/Maclay74/steam-patch/) on Handhelds that require it. ([e5821e9](https://github.com/ublue-os/bazzite/commit/e5821e9b5def49e91d6818a60732fd174fbf7627))
* Prepare gnome-vrr patch for Fedora 39 ([024e0da](https://github.com/ublue-os/bazzite/commit/024e0dabbebd295c7c3d21dadbd102f634cd7b74))
* Run brew installer as sudo ([f9ebb2b](https://github.com/ublue-os/bazzite/commit/f9ebb2bca253fd0f94b31ffbe0c6536c3c9879cb))
* use new akmods:main-RELEASE tag structure ([eef361e](https://github.com/ublue-os/bazzite/commit/eef361eadfc6fb1f3752dadf6a77e94e2da9c776))
* **waydroid:** Adjust network preference order ([7944f6e](https://github.com/ublue-os/bazzite/commit/7944f6effa95e1c024a8fa2a842cc583df35c74a))
* **waydroid:** Disable locking in Weston ([afd20b6](https://github.com/ublue-os/bazzite/commit/afd20b67e614d5834069c2d9cd7ef68cd1c6f0da))


### Miscellaneous Chores

* release 1.2.1 ([f70f233](https://github.com/ublue-os/bazzite/commit/f70f233329dbfdffd38647e0696b1a12df4453d5))

## 1.2.0 (2023-09-28)


### Features

* Add a helpful message to bash for common secure boot & Nvidia user issues. ([98083aa](https://github.com/ublue-os/bazzite/commit/98083aa71a811062e65e2b85d0965dff1d536848))
* Add a just command to fix SteamVR on desktop releases ([442e0c4](https://github.com/ublue-os/bazzite/commit/442e0c4733e03bd3784c1fe12fcedeabfab1772c))
* Add fix-screenshare command to just and yafti. ([db4bd53](https://github.com/ublue-os/bazzite/commit/db4bd53f7cba2fcaa59709ac1ccd9e1c42abb1eb))
* Add gnome-randr ([f3347f1](https://github.com/ublue-os/bazzite/commit/f3347f1bde539d3ab65d89e232269cb144aa8158))
* add handygccs ([258950d](https://github.com/ublue-os/bazzite/commit/258950d85763b3442a9ab053b473eb2266603ea6))
* Add image info for auto-signing via ublue-update ([a30a8f9](https://github.com/ublue-os/bazzite/commit/a30a8f924a1183d6ee498d3b1ce2bd174697cc52))
* Add just command for disabling sdgyrodsu ([5c068a5](https://github.com/ublue-os/bazzite/commit/5c068a5f2278a44d7079465e0bbbba59ab7038a6))
* Add just command for enabling theme integration with flatpak applications ([22cfe77](https://github.com/ublue-os/bazzite/commit/22cfe77d4547f610fdcd695c48063d0f139108bd))
* Add just command to disable uBlue gamepad drivers if desired (Thanks lorduskordus) ([713e6ac](https://github.com/ublue-os/bazzite/commit/713e6acde206dfef463e4327a14c6e91ffbba5e1))
* Add just commands for toggling broadcom-wl ([2e0e250](https://github.com/ublue-os/bazzite/commit/2e0e2503fdfc0701bf2fbe8eeb92bd199aa16a99))
* add link to FAQ to the README ([5a3f3ee](https://github.com/ublue-os/bazzite/commit/5a3f3ee8ba4c9c9cab664d992fbd811b9b0f8172))
* Add missing package for KDE color control (Except on Nvidia) ([554849b](https://github.com/ublue-os/bazzite/commit/554849bc811fbbba98ac2ce9e4cf04f1ac8867d4))
* Add nct6687 driver for lm_sensors on certain AMD B550 motherboards. ([0beb62f](https://github.com/ublue-os/bazzite/commit/0beb62ff270fc8506d27edd72cd5a10bc5b5a771))
* Add nix garbage collector to just clean-system ([11c89fd](https://github.com/ublue-os/bazzite/commit/11c89fd8f9d0466d3c0becb05bf1ab5ea1e9fb55)), closes [#300](https://github.com/ublue-os/bazzite/issues/300)
* Add obs-studio-portable installer to just ([0c4bee5](https://github.com/ublue-os/bazzite/commit/0c4bee55145fec71bdf1f5ac2e2ce157a7f47776))
* Add OpenRazer to Just and Bazzite Portal ([66bb01b](https://github.com/ublue-os/bazzite/commit/66bb01bd9c4a57f38ca4fcf6660f32d54a90ee20))
* Add oversteer-udev to allow oversteer without layering ([443fc8d](https://github.com/ublue-os/bazzite/commit/443fc8df910e035633c2cbb5a42a08a82a9c6385))
* Add required input user group in Bazzite Portal by default ([b57ff42](https://github.com/ublue-os/bazzite/commit/b57ff42462eafffefc6b6a5a82123a0af7d8e736))
* Add Ryzen SMU driver, load automatically on Deck builds ([1e28468](https://github.com/ublue-os/bazzite/commit/1e28468b87141bb4379b23bd368f8d8db72fd221))
* Add scrcpy to just and yafti ([86ac62b](https://github.com/ublue-os/bazzite/commit/86ac62be248baa455bd5a04a9d795708eb36d591))
* Add support for Surface devices ([afb1665](https://github.com/ublue-os/bazzite/commit/afb16651367a79dc6a1728033e6b1a1c90d4cffc))
* add table of contents section to README ([4db7c82](https://github.com/ublue-os/bazzite/commit/4db7c8259c0605cccede3d4581c9589aec24286a))
* Add Tailscale VPN support OOTB ([b5cd84d](https://github.com/ublue-os/bazzite/commit/b5cd84d8e26ea3c0ef1b166b23ef93ce8f0e49e7))
* Add Web App Manager, OpenRazer, Oversteer, Solaar, and Resilio Sync ([1ed5421](https://github.com/ublue-os/bazzite/commit/1ed5421918339c9bbbebf37eb44b58e97963d02f))
* Added showcase section and linked blog posts. ([7e47486](https://github.com/ublue-os/bazzite/commit/7e47486556719a97b5c89b8478a865461b865a33))
* Allow discover-overlay auto-launching to be disabled (and default disable) due to conflict with mangohud ([36e073b](https://github.com/ublue-os/bazzite/commit/36e073b459f0eb2f9812a374675c537fbb983709))
* **bazzite-autologin:** Merge gamescope and desktop autologin ([967d525](https://github.com/ublue-os/bazzite/commit/967d52511a88ef748b2495a54ffb2ef5b2de12d9))
* **deck-gnome:** Add templates for vkBasalt and DXVK to make game modding easier, allows for creation of the example config from the right click menu ([1e1437a](https://github.com/ublue-os/bazzite/commit/1e1437a222a03a96bdc059e464af20d9bd15bd2b))
* **deck:** Add default-enabled option to disable TDP and other hardware controls on non-deck hardware. See /etc/default/steam-hardware-control ([484fa80](https://github.com/ublue-os/bazzite/commit/484fa8011fc2b0067fa09af2d813312ef574a93b))
* **deck:** Add discover overlay, auto launches on desktop and gamemode if Discord is installed ([61266b0](https://github.com/ublue-os/bazzite/commit/61266b060e87fa00770dab28c2b88786e5e277b7))
* **deck:** Add disk display to neofetch ([09559a8](https://github.com/ublue-os/bazzite/commit/09559a81067e945e0bbbd14638ee110607a6faeb))
* **deck:** Add service to return to gaming mode ([64ef129](https://github.com/ublue-os/bazzite/commit/64ef129f7c6d4e78866afb0e3e57aec15b0cf176))
* **deck:** Add wxGTK dependency for Lutris's PCEM ([00ccc68](https://github.com/ublue-os/bazzite/commit/00ccc689ab1c213b17af0c72b4eef380271173f0))
* **deck:** Disable PEERNTP to ensure NTS is always used ([9852651](https://github.com/ublue-os/bazzite/commit/9852651ecbf98f7d628bde53953c1816ffc36643))
* **deck:** Implement desktop autologin toggle ([aad1037](https://github.com/ublue-os/bazzite/commit/aad103772d66fbb50e7c536bb8ac4405e2868de3))
* **desktop:** Add discover-overlay matching deck builds (Default disabled, see /etc/default/discover-overlay) ([7fff9de](https://github.com/ublue-os/bazzite/commit/7fff9de1c05ece23b3574bf7ff53427dfd985999))
* **desktop:** Add reset-bazzite-arch just command to completely remove the image and pull it fresh. ([de25c72](https://github.com/ublue-os/bazzite/commit/de25c72cf68c9d68957e9da26ea923c4a06b3149))
* Enable builds without kmods ([6623191](https://github.com/ublue-os/bazzite/commit/662319158f26079505f8fa82d3b802888d367b27))
* **flatpak-system-install:** Improve flatpak management ([23cf933](https://github.com/ublue-os/bazzite/commit/23cf9331abfb248af04cca88dc5b1cdcefba15e6))
* **gnome:** Add gamerzilla gnome extension ([0dd8ace](https://github.com/ublue-os/bazzite/commit/0dd8ace6229a6ebe979d0a068d2cbfbb339ab1c1))
* **gnome:** Add just command for installing Adwaita-for-Steam, update theme with ublue-update automatically when present ([cc662ab](https://github.com/ublue-os/bazzite/commit/cc662ab2c9c7e06260879cd35f37f1d8960d19d7))
* **gnome:** Add steam soundfont when selecting a Valve-inspired theme ([35ff5d4](https://github.com/ublue-os/bazzite/commit/35ff5d46b921a3ece72ef8e32d104bc6633e36e5))
* **gnome:** Add tailscale status gnome shell extension ([8047e20](https://github.com/ublue-os/bazzite/commit/8047e205e2b8964c6977cc3c99a3df4b1dfe09e5))
* **gnome:** Set default fonts in GNOME to match SteamOS KDE session ([0145cfb](https://github.com/ublue-os/bazzite/commit/0145cfbea0f9e4643123ab6b0f119e45927d2971))
* **hardware-setup:** Enable amdgpu on supported systems ([aea93df](https://github.com/ublue-os/bazzite/commit/aea93df97b1bfd38400197f1f160dcb8aa371869))
* Include Mission Center ([a8ed723](https://github.com/ublue-os/bazzite/commit/a8ed72381ff7580f5c9d7256b6407acaf86ace67))
* Increase vm.max_map_count to match SteamOS ([131490d](https://github.com/ublue-os/bazzite/commit/131490d6f8c42e91194541a829887db4ab763921))
* Install broadcom's WL driver needed by some hardware. This is default disabled due to it breaking other wifi hardware. ([8536117](https://github.com/ublue-os/bazzite/commit/8536117108fd7e25404e5b4bfed3d203d1b46bf9))
* **just:** add waydroid-related utilities ([ee151aa](https://github.com/ublue-os/bazzite/commit/ee151aa0c739c4fd9c41eb558abe4756f0e94456))
* Launch discover-overlay on KDE Wayland since it's supported ([4790e60](https://github.com/ublue-os/bazzite/commit/4790e60c79f4764e93c1bae1911a4a96d4902c1a))
* reduce boot times by creating donefiles w scripts in desktop version ([d6667e8](https://github.com/ublue-os/bazzite/commit/d6667e85bf99348b67c1960ea3c30eab4775f31b))
* Restore discover overlay support ([1efe712](https://github.com/ublue-os/bazzite/commit/1efe712a078bca35e9cdca5db5329fdc5ab0a820))
* **steamos-update:** Use service to run rootful updates ([4657994](https://github.com/ublue-os/bazzite/commit/4657994f94ef00666d2ebef6423073e45bcccd9a))
* Switch to new numbered just file system ([81bb600](https://github.com/ublue-os/bazzite/commit/81bb60084fc0467c65df5c4fb1f3ebf58b438b53))

### Bug Fixes

* Add HandyGCCS to Deck images ([e5a487d](https://github.com/ublue-os/bazzite/commit/e5a487d01ddf9fd334bd2047242c307b78991033))
* add intel support for HTPC deck images ([eb32cba](https://github.com/ublue-os/bazzite/commit/eb32cbade7af767cb63e4f6f90512f9b1f8deeb8))
* Add pulseaudio-utils for pactl, used by some 3rd party applications. ([7c82fbe](https://github.com/ublue-os/bazzite/commit/7c82fbedfbc370dd26c34a7fd83427c48311f985))
* Avoid copying the akmods repo a 2nd time needlessly ([651f698](https://github.com/ublue-os/bazzite/commit/651f69863e26c5b13583554042cfd50b022c80dd))
* **bazzite-autologin:** Always remove Steam's autologin config when triggered ([a758977](https://github.com/ublue-os/bazzite/commit/a7589773b60e4a65618a57268746f6f4a2121e22))
* Correct issue where bazzite-arch updater fails if you're using a bazzite-arch image at a non-default name ([3621027](https://github.com/ublue-os/bazzite/commit/3621027fdff170a43970045365095d0d4bc8f62f))
* Correct issue with bazzite-hardware-setup executing every launch. ([403547d](https://github.com/ublue-os/bazzite/commit/403547ddb3dc98d0de6bafa607075c174a71a85b))
* Correct issue with Boilr installer if ~/.local/share/applications doesn't exist ([5c068a5](https://github.com/ublue-os/bazzite/commit/5c068a5f2278a44d7079465e0bbbba59ab7038a6))
* Correct issue with patch-gmod just command ([bfb53a7](https://github.com/ublue-os/bazzite/commit/bfb53a754083cc117976e971cfbb4b191439026a))
* Correct issues with just command, lists by default and works in fish no matter working directory ([6e4cb37](https://github.com/ublue-os/bazzite/commit/6e4cb371b9f263c4de5cf9eda40fc58e7ad25557)), closes [#271](https://github.com/ublue-os/bazzite/issues/271)
* Correct missing icon in Lutris on bazzite-arch - Fixes [#262](https://github.com/ublue-os/bazzite/issues/262) ([0c4bee5](https://github.com/ublue-os/bazzite/commit/0c4bee55145fec71bdf1f5ac2e2ce157a7f47776))
* **deck:** Add workaround from ChimeraOS for gamescope crashing if Steam hasn't been launched & updated prior to switching to gamemode. ([f769813](https://github.com/ublue-os/bazzite/commit/f76981387db3284a47d847bbfbab5465cfa4c4ad))
* **deck:** Adjust shortcut to trigger service to return to gaming mode ([2c391a4](https://github.com/ublue-os/bazzite/commit/2c391a4474d6d96183d2a434574f87b81970f13c))
* **deck:** Disable desktop-autologin from gamescope-autologin directly ([975986f](https://github.com/ublue-os/bazzite/commit/975986f8491dd9f0c6f6786fb9cf804d012e2420))
* **deck:** Enable gamescope-autologin by default ([ebfd978](https://github.com/ublue-os/bazzite/commit/ebfd9782da35098798818bfe2d73002ec46248a1))
* **deck:** Make fix-tf2-tcmalloc SD card aware ([67813d6](https://github.com/ublue-os/bazzite/commit/67813d68dab262f9ea23731eb26e70c09a0a911c))
* **deck:** Only enable HandyGCCS in gamescope session ([c9d4b5d](https://github.com/ublue-os/bazzite/commit/c9d4b5d39a8900627825d22be24e6963292312a3))
* **deck:** Remove duplicated disablement of nonfree-updates before installing Steam ([d254c94](https://github.com/ublue-os/bazzite/commit/d254c948cdf28e1e92add9d10a5ea04865c8004a))
* **deck:** Sleep ryzenadj service for 10 seconds to ensure changes are applied when resuming from suspend. ([74b1432](https://github.com/ublue-os/bazzite/commit/74b1432705f5d42081e73b2621c9f6aa2c395318))
* **deck:** Use 3d fullscreen gpu profile on deck builds ([1326c19](https://github.com/ublue-os/bazzite/commit/1326c194a52f6e99553f5815b173c396ba0cbae9))
* **desktop:** ublue-update.timer is a system service now ([da98c83](https://github.com/ublue-os/bazzite/commit/da98c837478da0468b3302a2ecac3e4cda5dc0df))
* Disable generic handheld builds ([c24ae27](https://github.com/ublue-os/bazzite/commit/c24ae27578e6df890277e2683e385e7da4072fb2))
* Don't explicitly check main when excluding Nvidia ([7c30803](https://github.com/ublue-os/bazzite/commit/7c30803bec8dba0019565ab6afe5b0c234259636))
* Exclude Bazzite kmods from nokmods images ([124d2cc](https://github.com/ublue-os/bazzite/commit/124d2ccfe013ebe35b1abdbb57076ef531b25777))
* **flatpak-system-install:** Ensure Bazzite config directory exists before writing version ([abaafa3](https://github.com/ublue-os/bazzite/commit/abaafa3339372c41f97510618851c544dab401c3))
* **flatpak-system-install:** Re-remove Deck install list ([65deb11](https://github.com/ublue-os/bazzite/commit/65deb1140bf360dc07c0c2227b9199738a0c12e6))
* **flatpak-system-install:** Ship flatpak lists in /usr ([847c9d7](https://github.com/ublue-os/bazzite/commit/847c9d7545c1a1182f3ff358b13c1e00ad1dda44))
* **gamescope-autologin:** Only configure autologin if Steam has updated ([34ca801](https://github.com/ublue-os/bazzite/commit/34ca801fdbf5609c849548fdeb50fe29075e18ea))
* **gnome:** Set sensible default power settings on Steam Deck hardware automatically ([2334719](https://github.com/ublue-os/bazzite/commit/23347190c7d43f32714d41cd8d10fe150215d1bb))
* HandyGCCS missing depdency ([3bd2656](https://github.com/ublue-os/bazzite/commit/3bd26561acece6c7a6df4971f135e8b7c2e544aa))
* **hardware-setup:** Correctly check image name ([10886b8](https://github.com/ublue-os/bazzite/commit/10886b831e299800069ebec30e8f7bb28fff9f1c))
* **hardware-setup:** Disable Deck services on generic devices ([4edac4a](https://github.com/ublue-os/bazzite/commit/4edac4a5f75a4a36cc4dfd8be624d4f576d81804))
* **hardware-setup:** Disable sdgyrodsu immediately ([b6976b6](https://github.com/ublue-os/bazzite/commit/b6976b64c7ce0df779e9b566d4b4dfc01030c99d))
* **hardware-setup:** Disable sdgyrodsu on generic devices ([0d2d62d](https://github.com/ublue-os/bazzite/commit/0d2d62d8decf9ccb72d1687c82eb447b8b8b0c15))
* **hardware-setup:** Don't remove amdgpu kargs when no longer in use ([1f8c80f](https://github.com/ublue-os/bazzite/commit/1f8c80f67e5baa1f72a24783cf583fd0ae948e99))
* **hardware-setup:** REVERT ME, disable desktop-autologin if gamescope-autologin is enabled ([38c95fc](https://github.com/ublue-os/bazzite/commit/38c95fcfe3c4bbd2427bdff90774258fe7af640a))
* **hardware-setup:** Set image flavor ([97e74f3](https://github.com/ublue-os/bazzite/commit/97e74f3ec6fd62e357bda0774714e733a9d72a00))
* **image info:** use proper prefix in IMAGE_REF ([c7bd4b7](https://github.com/ublue-os/bazzite/commit/c7bd4b74455dbd3d465d6e1a879002377b33c48a))
* **image-info:** Don't wrap identifiers in quotations ([019704d](https://github.com/ublue-os/bazzite/commit/019704d75718f21aec4bea344b98abcf44b1dadc))
* **just:** Use image info consistently ([0b7532a](https://github.com/ublue-os/bazzite/commit/0b7532a43cc2ec870be073e08ebbe478403e02fd))
* **kde:** No more obnoxious xdg-desktop-portals bug ([136391a](https://github.com/ublue-os/bazzite/commit/136391a16f6e0884e4b8df657489bdd2c8e5fe2c))
* Make sure files don't exist before copying or symlinking in bazzite-user-setup, allows re-runs without any errors printed. ([24ac50f](https://github.com/ublue-os/bazzite/commit/24ac50fbe56d551ab1b1f1c0f7ccdc50d70650d7))
* Modify bazzite-user-setup to match bazzite-hardware-setup in ability to re-launch as needed ([403547d](https://github.com/ublue-os/bazzite/commit/403547ddb3dc98d0de6bafa607075c174a71a85b))
* Move extest back to desktop image to leave it as an option. ([3ffcbf1](https://github.com/ublue-os/bazzite/commit/3ffcbf1b0898ec04b5abb6a771cca03101570028))
* outdated link to secure boot/nvidia information ([4803882](https://github.com/ublue-os/bazzite/commit/4803882a00de9946b34a65948b197653d716a466))
* Surface images have moved ([f2faa81](https://github.com/ublue-os/bazzite/commit/f2faa810fda11d3d31dcb7c9ac0c73f6c6cda994))
* **treewide:** Use new image info implementation ([66a14d3](https://github.com/ublue-os/bazzite/commit/66a14d300e49e7dd0034881408ecd95c644f833e))
* Typo in bazzite-flatpak-manager ([c1b6ce4](https://github.com/ublue-os/bazzite/commit/c1b6ce451554ae4679775ce8d6bffd0f4c2ff5ce))
* **user-setup:** Fix justfile creation ([24ceab8](https://github.com/ublue-os/bazzite/commit/24ceab8e44a2998cc6084866835e7d70e819e02d))

### Reverts

* "fix(hardware-setup): REVERT ME, disable desktop-autologin if gamescope-autologin is enabled" ([6763c3f](https://github.com/ublue-os/bazzite/commit/6763c3f5045ad377db5c2d27c80083b57454ec41))


### Miscellaneous Chores

* release 1.2.0 ([1de20f9](https://github.com/ublue-os/bazzite/commit/1de20f93b5140eb7dc66423e835e37072c9fc417))

## [1.1.0](https://github.com/ublue-os/bazzite/compare/v1.0.1...v1.1.0) (2023-09-06)


### Features

* Add option to install Fleek when installing Nix ([217a432](https://github.com/ublue-os/bazzite/commit/217a43251aedc3a99be075cfb7da5b9f512a16c8))
* Add option to install Oversteer to Bazzite-Portal ([b9d3b5f](https://github.com/ublue-os/bazzite/commit/b9d3b5f9d79b4a9dbca9a9dac52de99fd6e0dea2))
* Add PinApp to Bazzite Portal ([4db9a4c](https://github.com/ublue-os/bazzite/commit/4db9a4cb7b620ac7cd73d675d9dc43fa84748256))
* Add ROM Properties Page shell extension (https://github.com/GerbilSoft/rom-properties) ([12aba57](https://github.com/ublue-os/bazzite/commit/12aba5747ee7b22a9a06d1abc53bc597fb6be0c9))
* Add twemoji fonts, matching SteamOS ([71ee71a](https://github.com/ublue-os/bazzite/commit/71ee71ac49c543bdcc7d485980cb8dd999474391))
* **deck:** Add calibrated color profiles for matte & reflective Steam Deck displays. ([3e38000](https://github.com/ublue-os/bazzite/commit/3e38000b112ed726f6c49ef747342abe97097cc8))
* **deck:** Add equalizer settings for mic from SteamOS ([6bd7248](https://github.com/ublue-os/bazzite/commit/6bd7248797f91f54b73afc88d966618b5dc1be87))
* **deck:** Add loopback audio source ([b78e0d2](https://github.com/ublue-os/bazzite/commit/b78e0d26b8e6858f425d2a0010fd9e09a68d6492))
* **deck:** Switch bios updates to being default disabled, these will be enabled by Yafti at launch instead so they may be opted out of. ([3fd3ee5](https://github.com/ublue-os/bazzite/commit/3fd3ee510af083395c2e3c4419d283cdc499a299))
* **deck:** Switch to native version of Protontricks ([f387447](https://github.com/ublue-os/bazzite/commit/f3874474374bee603c97781b07f1468a5f73832b))
* **deck:** Use librnnoise params from SteamOS ([c4fb899](https://github.com/ublue-os/bazzite/commit/c4fb899497c051185388465569997f1b2da3c1dd))
* Explicitly use xxhash for duperemove and rmlint ([df322bf](https://github.com/ublue-os/bazzite/commit/df322bfe5ad498b42b8acfb4c67cbbc020434628))
* **gnome:** Add automatic updates for Firefox GNOME theme and Thunderbird GNOME theme (If installed) ([074365a](https://github.com/ublue-os/bazzite/commit/074365a9e4c48ae9ee76e9aced7aa90e84bc0229))
* **gnome:** Add totem video player flatpak ([d4c3478](https://github.com/ublue-os/bazzite/commit/d4c347847b8a98a609e7e6460817537c773caa75))
* **gnome:** Enable symlink creation context menus and show folders first by default ([30b377b](https://github.com/ublue-os/bazzite/commit/30b377b107ea6c077ff87a43492c3a6f25a64a39))
* **gnome:** Restore AdwSteamGtk flatpak ([526be6a](https://github.com/ublue-os/bazzite/commit/526be6afbdf55f768379bb2a7da3a3fa317710fa))
* **gnome:** Set flat mouse accel profile on deck (Matches SteamOS behavior on KDE) ([79957ad](https://github.com/ublue-os/bazzite/commit/79957ad07d70c1107d0b04e75915b7e494c4f13e))
* **gnome:** Use ProtonPlus over Protonup-Qt on GNOME builds. Same feature set, more consistent UI. ([138e479](https://github.com/ublue-os/bazzite/commit/138e47986fe46daef70ed560f7b35b754a33c8ad))
* **just:** Add script that signs the current image ([e6b8cd9](https://github.com/ublue-os/bazzite/commit/e6b8cd999e6004a1799da9a0b21e492b23b1b3ac))
* **just:** Use image identifiers for signing ([5823866](https://github.com/ublue-os/bazzite/commit/58238666ba4b95b6f92ebd09f909c3c8cd3febba))
* **patch-gmod:** Always use latest version ([c9df8ca](https://github.com/ublue-os/bazzite/commit/c9df8ca311d9a04f778c213e26b8c68ba5084f1f))
* Switch to using dedup service from SteamOS-BTRFS ([a0c9f84](https://github.com/ublue-os/bazzite/commit/a0c9f84c56e2aacd8093ef92398ee524578246f1))
* Use determinate systems nix installer ([8d7f2ef](https://github.com/ublue-os/bazzite/commit/8d7f2efe93e97e508d72c5f67061a1562974054c)), closes [#209](https://github.com/ublue-os/bazzite/issues/209)
* **yafti:** Sign Bazzite during installation ([3729cf6](https://github.com/ublue-os/bazzite/commit/3729cf63725fd469523413b3019edef2b651d04f))


### Bug Fixes

* add more examples ([4d49d60](https://github.com/ublue-os/bazzite/commit/4d49d6097e8fdb5d3c1afb8d017d2922e0e7922c))
* Add workaround for hardcoded font path in Steam (Thanks szescxz) ([7dd9580](https://github.com/ublue-os/bazzite/commit/7dd9580f709369844d80d67485f256808264187a))
* **build:** Remove PR tagged images ([c679417](https://github.com/ublue-os/bazzite/commit/c6794174dfbe9e6fa20592fbb806b3e57dd9c885))
* check donefiles in system services + do not check flatpak donefile ([9452a41](https://github.com/ublue-os/bazzite/commit/9452a41b313f3dee01852be8d6211f7ee8c019e5))
* condition checked at proper key in bazzite-hardware-setup systemd service ([4f3f9db](https://github.com/ublue-os/bazzite/commit/4f3f9db39afa1d299381de78ee22b01d2e0d1a34))
* **deck:** Add needed packages for Chinese input (Thanks szescxz) ([efe06f2](https://github.com/ublue-os/bazzite/commit/efe06f2ba1c323c34db08de843126392c64167c2))
* **deck:** Correct ibus path in steamdeck-kde-presets ([b028b53](https://github.com/ublue-os/bazzite/commit/b028b53a256453ec1c3b040dcb9deea7b90773f4)), closes [#210](https://github.com/ublue-os/bazzite/issues/210)
* **deck:** Launch Steam with -steamdeck to prevent Steam re-install when switching to gamemode, and (potentially) allow beta client selection. ([471c7bc](https://github.com/ublue-os/bazzite/commit/471c7bc6842c308cd02fca1e2eea4d499f21452a))
* **deck:** Mask rather than disable bios update services ([13289ca](https://github.com/ublue-os/bazzite/commit/13289ca24653b4ee42951c459cab6c1e8ece582a))
* **deck:** Only launch steam with -steamdeck if it's been run & updated at least once. ([df9b89f](https://github.com/ublue-os/bazzite/commit/df9b89f6b73ab289909c7aa43b5564e740cbfb38)), closes [#214](https://github.com/ublue-os/bazzite/issues/214)
* **deck:** Reduce max volume now that firmware is working ([7f28345](https://github.com/ublue-os/bazzite/commit/7f28345432c417c773495e48c51532c01cf4e55c))
* **deck:** Remove Deck TDP control udev rules if deck hardware isn't detected to avoid running into 15W limit from Steam ([2fa0e15](https://github.com/ublue-os/bazzite/commit/2fa0e15b520b4df4ad303c071cd24e45d8fc9467))
* **deck:** Remove now unneeded environment variable ([9addffb](https://github.com/ublue-os/bazzite/commit/9addffb10c376cbe7466e7d4085835d81a5b4a32))
* **deck:** Switch back to X11 by default while issues with special characters via Steam Keyboard are resolved ([bfd0cd0](https://github.com/ublue-os/bazzite/commit/bfd0cd00df5f60c4cd40a732d074b12e8fb5e429))
* **deck:** Use volumes from SteamOS ([3265a68](https://github.com/ublue-os/bazzite/commit/3265a68635851b55a10ff0c6bead769643d1457b))
* **desktop:** Clean up desktop file creation, change big picture mode to autologin only. Enable start steam in big picture mode in Steam settings if you want the previous behavior. ([0c70cc5](https://github.com/ublue-os/bazzite/commit/0c70cc50cbc285d045db7b82eacd4cd007e2c48b))
* **desktop:** Only use X11 by default on deck builds ([e04b73c](https://github.com/ublue-os/bazzite/commit/e04b73cda669a7390fd5f998c38c8d232e34a1f9))
* **desktop:** Remove Memory Tuning option from Bazzite Portal on the desktop ([cdd0372](https://github.com/ublue-os/bazzite/commit/cdd03720601fa495f2b49d4efc065c9728f2d6bb))
* **desktop:** Restore autostart, fix big picture mode just/yafti command ([698213d](https://github.com/ublue-os/bazzite/commit/698213d058214df4ca637b8ccc34006f2129e03a)), closes [#183](https://github.com/ublue-os/bazzite/issues/183)
* **desktop:** Use distrobox create over distrobox assemble due to reported issues, ensure output is visible in Bazzite Portal. ([2cf7a2f](https://github.com/ublue-os/bazzite/commit/2cf7a2fc29e2095d3d97dfc0f7f843e3350b7c51))
* **desktop:** Use yes instead of pull to speed up repeat bazzite-arch creations. ([341ebc0](https://github.com/ublue-os/bazzite/commit/341ebc05a40f6b10a363c969781351a0e0def9be))
* **fish:** Add alias for just command to enforce --unstable ([f230ea2](https://github.com/ublue-os/bazzite/commit/f230ea21d3f04074485b450d929fb73f45be7c21))
* Fix configure_waydroid just script ([2bdf03c](https://github.com/ublue-os/bazzite/commit/2bdf03c7e1b13d3d4ab97d3c678982daa039b198))
* **fleek:** Run fleek install script as user, let it req sudo as needed. ([f01ef05](https://github.com/ublue-os/bazzite/commit/f01ef05bd2c44065d710daf543b4b1afcb02aca2))
* **gnome:** Override new mutter-common package ([88c6bbc](https://github.com/ublue-os/bazzite/commit/88c6bbcb97d12bea0717db2a3e0322151634a477))
* **gnome:** Remove appindicator extension that breaks VRR (Also updates Search Light defaults and fixes Bazzite-Menu so it launches Steam with extest applied) ([ea7d053](https://github.com/ublue-os/bazzite/commit/ea7d053d61586b8ec459c013ed46640575dea086))
* **gnome:** Remove gnome extensions rpm, this is replaced with mjakeman's flatpak ([8cf5283](https://github.com/ublue-os/bazzite/commit/8cf5283b55daadb8c760316bfddaee2f94d0044f))
* **gnome:** Remove non-working caffeine extension ([fe5a66f](https://github.com/ublue-os/bazzite/commit/fe5a66f6a6f5ae388eab58057394e519822e1f16))
* **gnome:** Remove unneeded GNOME Extensions flatpak even if preinstalled ([838e553](https://github.com/ublue-os/bazzite/commit/838e553743aac49b0be9cada622b867e1cbda815))
* **gnome:** Restore yelp (help) ([efe06f2](https://github.com/ublue-os/bazzite/commit/efe06f2ba1c323c34db08de843126392c64167c2))
* Hard code path instead of using systemd-escape to fix issue with btrfs-dedup timer ([31fda32](https://github.com/ublue-os/bazzite/commit/31fda3299a9b66d13f4b8d965860d5645730056c))
* **install-bazzite-arch:** Use sh instead to get output in yafti ([87e851b](https://github.com/ublue-os/bazzite/commit/87e851bfb4577b8d264e9bbefc165191f575cdd9))
* **install-fleek:** Ensure $HOME gets set properly ([95b75da](https://github.com/ublue-os/bazzite/commit/95b75da30d5dddaf28401331139438067ef3b158))
* **just:** Wait for any existing transactions to complete before invoking rpm-ostree ([7889e2e](https://github.com/ublue-os/bazzite/commit/7889e2e7c159254c33591ebfed635c40d44a008e))
* make sure flatpak install script does not run if already installed ([97fab17](https://github.com/ublue-os/bazzite/commit/97fab178c6f214804f2b8b5e044e03ac2416feb0))
* Make sure nix is installed first in fleek install script ([c4e0c99](https://github.com/ublue-os/bazzite/commit/c4e0c997b5361efa4cf481580cbeb3f84db28099))
* Modify xdg-desktop-portal service to auto-restart to work around bug reported in KDE ([f0a3b0b](https://github.com/ublue-os/bazzite/commit/f0a3b0b73b1ed684e56961bf73cbf303bd62fee9))
* Mount icons & themes folders in bazzite-arch ([09ef663](https://github.com/ublue-os/bazzite/commit/09ef663335e0c378637c6f0a179cf21d23864989))
* Override mesa-libEGL-devel due to dependency on it in kde-wallpaper-engine ([6952d8b](https://github.com/ublue-os/bazzite/commit/6952d8bfb2ca7c94d33819592a37c85c9ca1ba86))
* Pass --no-confirm to nix install script ([dcf968d](https://github.com/ublue-os/bazzite/commit/dcf968da05365d13e1c09be7355cc5381e3ebfe0))
* **sign-image:** Pull current image from rpm-ostree and fallback to image identifiers ([b62722d](https://github.com/ublue-os/bazzite/commit/b62722dad7dd21e82d90a540f3e61f21c58ee73e))
* **sign-image:** Use package screen instead of consent screen ([e286929](https://github.com/ublue-os/bazzite/commit/e286929c9f57c833de962557b3560f209c6c4d25))
* **steamos-update:** Don't trigger updates while checking (thanks Chimera!) ([c137d1b](https://github.com/ublue-os/bazzite/commit/c137d1b7e3a47ed553f26c1b356620f65f30aafb))
* **steamos-update:** fix updates not applying ([978e0de](https://github.com/ublue-os/bazzite/commit/978e0def95df1764608054b7b20722b5753ea13d))
* **steamtinkerlauncher:** Add xrandr dependency ([22689fd](https://github.com/ublue-os/bazzite/commit/22689fd80cf5ec8aa88a428dee33383322cfceda))
* update PR template ([57edc0b](https://github.com/ublue-os/bazzite/commit/57edc0bd79f8628854a972e331b6c63dde477e40))
* **user-setup:** Ensure user always has working justfile ([d39adf7](https://github.com/ublue-os/bazzite/commit/d39adf72dfcc91dbe94dd693302dc07fac822624))
* **yafti:** Don't sign image if its already been signed ([2916d9a](https://github.com/ublue-os/bazzite/commit/2916d9a7999b8a81a88dc401066c7b4a230fb64f))
* **yafti:** Remove steam.desktop with -f to prevent error from being printed if it doesn't exist ([09062f9](https://github.com/ublue-os/bazzite/commit/09062f9c5829c5e936628b58dca107a0581a11f0))

## [1.0.1](https://github.com/ublue-os/bazzite/compare/v1.0.0...v1.0.1) (2023-08-22)


### Features

* Add a script for fixing tcmalloc for TF2 ([35beec0](https://github.com/ublue-os/bazzite/commit/35beec01de16a194d557d457497027dfbab7c472))
* Add Gear Lever flatpak for managing AppImages ([9a1c0cf](https://github.com/ublue-os/bazzite/commit/9a1c0cf5c9a69a486b9bd40fb46493b2870f25db))
* Add wmctrl, useful for resizing windows under gamemode/gamescope ([f70ef09](https://github.com/ublue-os/bazzite/commit/f70ef092494aa102e91a5ea2393b1721b20bd3c7))
* **deck:** Add just command to disable deck-hardware-specific services (just disable-deck-services) ([a19ae1f](https://github.com/ublue-os/bazzite/commit/a19ae1f7ae3d56664a2e1496ad17c709b67cedd7))
* **deck:** Add just commands to disable bios updates & controller firmware updates if desired ([30905ea](https://github.com/ublue-os/bazzite/commit/30905ea74b1ec67aa310fc0dfa54f8f97154962b))
* **deck:** Restore ddccontrol ([7e6ae0d](https://github.com/ublue-os/bazzite/commit/7e6ae0d6252c297b9d945f574796e7bdd9d02e71))
* **deck:** Restore KRFB packages (No space is saved removing them) ([658aa0c](https://github.com/ublue-os/bazzite/commit/658aa0c8b5d6dd966f22360d4164855c8e9aaf4b))
* **deck:** Use new powerbuttond daemon from upstream SteamOS ([676cfdd](https://github.com/ublue-os/bazzite/commit/676cfdde6abf8d1d684a029463f01192933bd556))
* **desktop:** Include f3 package for drive validation ([83b36ce](https://github.com/ublue-os/bazzite/commit/83b36ce853211a9fd8fa1cc1df104a2748fe766e))
* **gnome:** Add Hanabi, an extension for using videos as wallpapers. This is similar to KDE's Wallpaper Engine integration. ([86fd1c1](https://github.com/ublue-os/bazzite/commit/86fd1c16f30d536d3c8ee339e8eb49f7beb6c69c))
* **gnome:** Use new bazzite-arch-gnome image, far faster initial setup than making these same changes on init. ([9746f60](https://github.com/ublue-os/bazzite/commit/9746f60c9afbe46aca1d36b1d4f0f36d2b141b1f))
* Replace neofetch with more maintained hyfetch (Still available in terminal as neofetch) ([1a36315](https://github.com/ublue-os/bazzite/commit/1a363152f1c4784bb9dce161d47f8cb0457562ef))
* **user-setup:** Enable NTP by default ([825d69c](https://github.com/ublue-os/bazzite/commit/825d69cadc07e3009b4765c7479c518075d7b349))


### Bug Fixes

* Add missing dependency for SteamTinkerLauncher ([1e161b6](https://github.com/ublue-os/bazzite/commit/1e161b6526b9070ac6976c4b02d0d3212ad7e11b))
* **deck:** Add audio firmware from Valve ([e567213](https://github.com/ublue-os/bazzite/commit/e5672137fb8719b8eca311f6eb852fd40e64ec51))
* **deck:** Add LibFAudio dependency for Lutris ([be0dd07](https://github.com/ublue-os/bazzite/commit/be0dd07d2ab4f907bef890493b9c293d56f01264))
* **decky:** Preserve service during upgrades ([ff202a4](https://github.com/ublue-os/bazzite/commit/ff202a45514a17ecd0bde11c3f1d8e74f2273eda))
* **desktop:** Break up export command for SteamCMD ([24a8945](https://github.com/ublue-os/bazzite/commit/24a89451c916088a1682b01a1311a2f4b477b8d4))
* **desktop:** Fix syntax error in CoreCtrl setup script ([1558ecd](https://github.com/ublue-os/bazzite/commit/1558ecd58732e01cef6cd3c29c0b3a3bc02df7f7))
* **desktop:** Generate locales during distrobox setup ([a6b34d3](https://github.com/ublue-os/bazzite/commit/a6b34d3703bf0281442c29a7d5c7a80f70c4333b))
* **desktop:** Temporarily remove autostart while distrobox bug is worked out ([f2cd00d](https://github.com/ublue-os/bazzite/commit/f2cd00d7120885a64478420fce4843ebbf018be4))
* Major distrobox cleanup, drop need for separate nvidia & non-nvidia images, drop init hooks, remove exported_apps from assemble to allow stable distrobox on non-nvidia systems. ([85593b6](https://github.com/ublue-os/bazzite/commit/85593b6b5ea3d4acab0e383722ac5a3372f9a07f))
* Replace additional udisks2 packages ([038c2ae](https://github.com/ublue-os/bazzite/commit/038c2ae3d0f6abf19d1e6168263724394fdd7090))
* Use system level alias for Fish shell ([73f267c](https://github.com/ublue-os/bazzite/commit/73f267c4916594a6712f70e757d3cd612dbb310f))


### Miscellaneous Chores

* release 1.0.1 ([9ad9ddb](https://github.com/ublue-os/bazzite/commit/9ad9ddbbad46fe866e58ef813ab9a64f8c1de77a))

## [1.0.0](https://github.com/ublue-os/bazzite/compare/v0.1.0...v1.0.0) (2023-08-17)


### Features

* Add extest library to fix Steam input on Wayland desktop ([6001e35](https://github.com/ublue-os/bazzite/commit/6001e3528d4b96e6b68883923c3943826201f63b))
* Add Lato & Fira Code font families ([6b17dff](https://github.com/ublue-os/bazzite/commit/6b17dff067e169448b6b8db962665a294a8ae74c))
* Add systemd presets for sdgyrodsu and system76-scheduler ([0b638e5](https://github.com/ublue-os/bazzite/commit/0b638e5954203b34b3689250ad9e866b2503cb9e))
* Add Wayland support to autologin ([af450a8](https://github.com/ublue-os/bazzite/commit/af450a81e4015abc8abea1c02b02a5df627683ea))
* added boilr .desktop entry ([701b936](https://github.com/ublue-os/bazzite/commit/701b93680d651966a07b8becc7d2e9f1f196719d))
* **boot_menu:** Use new Deck kickstart to fix installation woes ([7f23332](https://github.com/ublue-os/bazzite/commit/7f23332b30cecf15bbea0d8f26cb9fc046b0e4dd))
* **deck:** Add (hidden) toggleable desktop Wayland session session support ([#118](https://github.com/ublue-os/bazzite/issues/118)) ([e77996f](https://github.com/ublue-os/bazzite/commit/e77996f02fe6519e0fa0d341d5a19b2ad38b6096))
* **deck:** Enable BIOS and Controller Firmware updating scripts by default ([bf6767a](https://github.com/ublue-os/bazzite/commit/bf6767af9e3c583d12e90cf58ce50c1948e93a2f))
* **deck:** Enable Wayland by default! ([#129](https://github.com/ublue-os/bazzite/issues/129)) ([9597496](https://github.com/ublue-os/bazzite/commit/9597496265d62b89909f76f081883c6dd9d48118))
* **deck:** Fix inability to search with Steam Keyboard on GNOME ([7a329b4](https://github.com/ublue-os/bazzite/commit/7a329b497a37130f9ae9c338b5d68f5eb96c1fdf))
* **deck:** Support 32GB RAM modded Steam Decks with double the maximum VRAM. ([d282211](https://github.com/ublue-os/bazzite/commit/d282211f4b4a2fea3a5d35496d1d134a94240694))
* **desktop:** Use new bazzite-steam-runtime wrapper to enable Steam Input on Wayland. ([b65040b](https://github.com/ublue-os/bazzite/commit/b65040bfd0800cae045feb9d42a6f77dcf3b431e))
* **gnome:** Add Compiz Windows Effect extension (Disabled by default) ([94321f0](https://github.com/ublue-os/bazzite/commit/94321f0c6f3bf11bcf7cabed9914b33efb792196))
* **gnome:** Add extension to prevent GNOME keyboard from popping up in place of the Steam Keyboard ([8268b26](https://github.com/ublue-os/bazzite/commit/8268b2671ef596019682ce086b474e6f0a539370))
* **gnome:** Add Just Perfection extension ([6eb5a8e](https://github.com/ublue-os/bazzite/commit/6eb5a8ec19b484e90a7bce7e86c4a088c640cdf5))
* **gnome:** Add Search Light extension to replace search in activities on Deck ([6aeeb66](https://github.com/ublue-os/bazzite/commit/6aeeb66bb4d6c9e14b14d54d3891e7b5ae40e16f))
* **gnome:** Disable file indexing to match KDE behavior ([aee06a1](https://github.com/ublue-os/bazzite/commit/aee06a121a30f8379be0de7a30e8a3875fd53c80))
* **gnome:** Enable fractional scaling by default ([e4e9edf](https://github.com/ublue-os/bazzite/commit/e4e9edfb662f43a9d2525bd93ff3280c9943c910))
* **gnome:** Include Blur-My-Shell and Caffeine shell extensions by default. These are default disabled ([9df56cc](https://github.com/ublue-os/bazzite/commit/9df56cc5cab15457aedc49b686f5dd2bfbc9ed7d))
* **gnome:** Use GDM on desktop ([#111](https://github.com/ublue-os/bazzite/issues/111)) ([9383c2f](https://github.com/ublue-os/bazzite/commit/9383c2fdb2bfd032c69f8d48131444b977e55e95))
* Include extest library in bazzite-arch ([1a7c0c1](https://github.com/ublue-os/bazzite/commit/1a7c0c115c94ea7245b9142e50c732e9aec3637a))
* **neofetch:** Separate OS and OCI name ([239b43f](https://github.com/ublue-os/bazzite/commit/239b43f048754e9d97deb2e6942b74a0a3b37452))
* **system-flatpak-install:** Opt out of Fedora's third party repositories ([c4f69ea](https://github.com/ublue-os/bazzite/commit/c4f69ead455f9b7c18ad86def5848abf45ae4cb9))
* Use new export feature in distrobox assemble ([49c0235](https://github.com/ublue-os/bazzite/commit/49c02353d1eee019e7f334fe6083a181fa1001bf))
* **user-setup:** Add user Flathub repo ([fd38d27](https://github.com/ublue-os/bazzite/commit/fd38d2706e422aa7a36e2852c27b41eb5154b1a4))


### Bug Fixes

* Add ddccontrol-db for up-to-date monitor datbase ([4b5fc69](https://github.com/ublue-os/bazzite/commit/4b5fc69fa4e4024aa83aa5023ef65035123a8c8c))
* Add duperemove preset for systemd ([65f2eeb](https://github.com/ublue-os/bazzite/commit/65f2eeb957980d88aa5eb62ca6ddafcce3f4a756))
* Add Yafti desktop icon ([fb3971f](https://github.com/ublue-os/bazzite/commit/fb3971f406bcd1539fcbf0250788e8fa5d17e923))
* Allow trim on encrypted disks ([05d7fd8](https://github.com/ublue-os/bazzite/commit/05d7fd89cf6c8daa2f73b2066643c6c3b70172d9))
* Apply kargs to Jupiter as a whole rather than only on Deck images, always remove nomodeset. ([84d5c0f](https://github.com/ublue-os/bazzite/commit/84d5c0ffba50c3d8b8eb8891845ee7bcfc4f5fdd))
* Apply neofetch alias to fish shell ([4d168d7](https://github.com/ublue-os/bazzite/commit/4d168d78e49c008570a29abd71b69ac7c5b01d22))
* **ci:** Use PR tag for pull request reviews ([1b8b091](https://github.com/ublue-os/bazzite/commit/1b8b091c63d8f8152990530fa6eced3c8b71ca59))
* **ci:** Use pull request number for PR tag instead of event number ([8cc182b](https://github.com/ublue-os/bazzite/commit/8cc182bf6998ca2d114d327971545a502df47281))
* **ci:** Yet another patch to ensure the PR number is always in the tag ([b7656fb](https://github.com/ublue-os/bazzite/commit/b7656fb76e67994f7f192221f12d0b86fdd74b45))
* Clean application shortcuts in a way that's compatible with other languages ([7323ae8](https://github.com/ublue-os/bazzite/commit/7323ae8f2617da290b2e01854d5d1dda06c123f7))
* Correct error in Boilr setup script ([e99a8a5](https://github.com/ublue-os/bazzite/commit/e99a8a5531e6da4310484777789481bea7f1523e))
* Correct font issues in Steam for certain languages (https://github.com/ValveSoftware/steam-for-linux/issues/9418) - Thanks szescxz! ([c87d9fe](https://github.com/ublue-os/bazzite/commit/c87d9feab4705f5befff556d01534f9f41fa639c))
* Correct the name of GNOME's Wayland session for autologin and session selection ([b6df87a](https://github.com/ublue-os/bazzite/commit/b6df87a006118ff1d48a94b342b09d05b115503f))
* Correct various flatpaks in Yafti ([948181c](https://github.com/ublue-os/bazzite/commit/948181cd3dbda73aefbed019c4c7ea3f1e473a0b))
* **deck:** Add Wayland support to GNOME autologin ([#133](https://github.com/ublue-os/bazzite/issues/133)) ([2c36671](https://github.com/ublue-os/bazzite/commit/2c36671775d4d9eb4cad8ea6ed8c893571977059))
* **deck:** Add workaround for 64GB eMMC firmware issue ([e0e4c7e](https://github.com/ublue-os/bazzite/commit/e0e4c7e22e9a18ab898ab8fe8e59d448ee5ddf27))
* **deck:** Autostart Steam using desktop shortcut rather than firstboot launcher ([#121](https://github.com/ublue-os/bazzite/issues/121)) ([3190f81](https://github.com/ublue-os/bazzite/commit/3190f81ca2f3d416ffc9efe475e7f4dc7791eeb5))
* **deck:** Copy yafti config to /etc ([f7d6191](https://github.com/ublue-os/bazzite/commit/f7d61917f3fa65c0d3dac1b95e9f91f1985e847e))
* **deck:** Correct error with dmidecode polkit rule ([97034e8](https://github.com/ublue-os/bazzite/commit/97034e8ea56825ff0593f92ac78ec9b3afab19df))
* **deck:** Correct issue with EmuDeck installer ([b964a9b](https://github.com/ublue-os/bazzite/commit/b964a9bb0d8bb34b42b62e9bca7dc50ea7e25018))
* **deck:** Correct name of Lutris shortcut on desktop ([532c692](https://github.com/ublue-os/bazzite/commit/532c692e76fcebbb3aaf9e0223dbd9cb9df80d73))
* **deck:** Correct volume in upstream audio configs ([49e46d1](https://github.com/ublue-os/bazzite/commit/49e46d121abc2f6c2d4166714622d6ed51b442d9))
* **deck:** Explicitly set discard mode due to upstream kernel making async the default in 6.2 ([b363bef](https://github.com/ublue-os/bazzite/commit/b363bef4e99a43df53ca7cf032ca44097c956aeb))
* **deck:** Export extest to bazzite-arch, if used. ([615ee6f](https://github.com/ublue-os/bazzite/commit/615ee6fe20d5fcce459582f3fa0ecbf574d4ab07))
* **deck:** Extend GRUB hidden timeout to 3 seconds ([4031971](https://github.com/ublue-os/bazzite/commit/40319713e27d1d5492de2b87110e87a6ed0c15eb))
* **deck:** Fix EmuDeck installer ([c056f73](https://github.com/ublue-os/bazzite/commit/c056f73581d06e66c3105d16832d5f87dd46f58b))
* **deck:** Increase volume to match SteamOS. ([f82baf7](https://github.com/ublue-os/bazzite/commit/f82baf75fbe5cb1f94614178d43608019e507f7c))
* **deck:** Install wine-core to satisfy Lutris dependencies ([6a15d1f](https://github.com/ublue-os/bazzite/commit/6a15d1f0da1302155839d4d72e6925f89fb96958))
* **deck:** Override upstream ucm2 config with one from jupiter-hw-support ([b3fce74](https://github.com/ublue-os/bazzite/commit/b3fce74a8db0050d81fd67dcbbb2dfb9bb5f027e))
* **deck:** Remove Autostart Steam option from Yafti, this is always the case now. ([cf2df01](https://github.com/ublue-os/bazzite/commit/cf2df0119237d2e428f0cf7da1ef0b5d561b0b2d))
* **deck:** Remove unused gamemode package ([6eb5a8e](https://github.com/ublue-os/bazzite/commit/6eb5a8ec19b484e90a7bce7e86c4a088c640cdf5))
* **deck:** Scale back fstab changes on Decks with eMMC. ([cee0999](https://github.com/ublue-os/bazzite/commit/cee0999ecabd43721514075cd9d91c7fa276f4ce))
* **deck:** Start Steam on the desktop in silent mode ([bbe6a15](https://github.com/ublue-os/bazzite/commit/bbe6a157ca812d979802b57c414fe24f892bb50b))
* **decky:** Install prerelease until DECKY_SELINUX change is pushed to stable ([b408884](https://github.com/ublue-os/bazzite/commit/b40888476ee384da61dac4886789e57cbc28c555))
* **decky:** Use recursive chcon during install ([67cd8e1](https://github.com/ublue-os/bazzite/commit/67cd8e1b2ea91d4013e33c58bdec26ec69bc54d3))
* **desktop:** Add friendly message for bazzite-arch setup ([2bec89a](https://github.com/ublue-os/bazzite/commit/2bec89a1cf4964d85132b79d1c7890c28e63e677))
* **desktop:** Clean up desktop icons ([f35fe9a](https://github.com/ublue-os/bazzite/commit/f35fe9af22d4235abb27025dd708fa0950bad109))
* **desktop:** Correct Lutris desktop shortcut path ([c70ccab](https://github.com/ublue-os/bazzite/commit/c70ccabf0dabe438e9806af1c13e0f1eb7674278))
* **desktop:** Don't show distrobox section if it's already configured ([5996573](https://github.com/ublue-os/bazzite/commit/5996573b3c57347a93ba663ec997692af3b56a34))
* **desktop:** Handle SteamCMD export properly ([c70ccab](https://github.com/ublue-os/bazzite/commit/c70ccabf0dabe438e9806af1c13e0f1eb7674278))
* **desktop:** Remove vestigial steam desktop shortcut, start steam automatically when installing bazzite-arch ([1cf6280](https://github.com/ublue-os/bazzite/commit/1cf628066fc66929eaf575814f60bd96e2a54981))
* **desktop:** Run Steam from the new bazzite-steam-runtime on first launch. ([5f141c0](https://github.com/ublue-os/bazzite/commit/5f141c0a122b8c5dbf7d37c3b97c1af7947fca4a))
* Disable automatic GNOME Software software updates ([d9be973](https://github.com/ublue-os/bazzite/commit/d9be9733f9824242fd6b7f51461e9072ca66cdfb))
* Disable DESKTOP_WAYLAND on Nvidia builds by default ([e831dc3](https://github.com/ublue-os/bazzite/commit/e831dc3195e157d91e03f2f2e433f5553c740fc7))
* Disable waydroid service by default ([ef9b0d8](https://github.com/ublue-os/bazzite/commit/ef9b0d83ec1d1e8f63fdffa47c4b315923ae85bc))
* Don't copy Steam shortcut to autostart on desktop ([bbec083](https://github.com/ublue-os/bazzite/commit/bbec083fd82f70929a15eb5b92ee6c44ddc653b4))
* Don't install flatpaks until after kargs are configured ([41d615c](https://github.com/ublue-os/bazzite/commit/41d615c9e36b1d6a771aa04ecbff8ab156a301f3))
* Enable sdgyrodsu and KDE's extra System76 scheduler service globally. ([c723d1a](https://github.com/ublue-os/bazzite/commit/c723d1af2a8d61a69dd02ef45e3e529a8f62f793))
* Enable system76-scheduler in Containerfile ([9e7efc8](https://github.com/ublue-os/bazzite/commit/9e7efc8bd9aaff496f33a0a546f7277922381cc6))
* Fix install error during SteamCMD step if Steam hasn't been launched yet (Thanks termdisc) ([e022b07](https://github.com/ublue-os/bazzite/commit/e022b079df3fd8f52529e3ea30ac740e37f99371))
* **flatpak:** Locally install Flathub repo and fix Fedora repo removal ([#126](https://github.com/ublue-os/bazzite/issues/126)) ([04a6a58](https://github.com/ublue-os/bazzite/commit/04a6a588aae6c3e0f7f0d10b4d115478b0a9eaf9))
* **gnome:** Add trackerignore to 2nd steam location ([ed8e5e6](https://github.com/ublue-os/bazzite/commit/ed8e5e6e6e3277c9c2af7df545f666f3c18e1c74))
* **gnome:** Add VGUI2 wallpaper to wallpaper picker in settings ([5c21278](https://github.com/ublue-os/bazzite/commit/5c21278973d096606f4b6e0148ac65518a0fead8))
* **GNOME:** Allow gnome-ssh-askpass to inhibit shortcuts ([78eaaa4](https://github.com/ublue-os/bazzite/commit/78eaaa489025bd6f6c3d7a9e07f80ac46a2453cd))
* **gnome:** Center new windows if a Valve theme is selected, makes Lutris easier to use. ([081fb28](https://github.com/ublue-os/bazzite/commit/081fb285c4655c897791134363e0c6f99c7bddcf))
* **gnome:** Correct accent color of VGUI2 theme ([59d87a1](https://github.com/ublue-os/bazzite/commit/59d87a1396298a92d92b49dfca4e2f62a571f28b))
* **gnome:** Create local application shortcut for EmuDeck ([081a2f8](https://github.com/ublue-os/bazzite/commit/081a2f80bb479a96edaebd70d9a6a3d26815fc5c))
* **gnome:** Disable appindicator extension due to breaking VRR ([e7ffbfc](https://github.com/ublue-os/bazzite/commit/e7ffbfcd443b7feebe5f5e36b8bb6c630ee248df))
* **gnome:** Disable power profile management on deck ([1030b8f](https://github.com/ublue-os/bazzite/commit/1030b8fe2ce5d330bf61769d06e7299dd8601484))
* **gnome:** Download EmuDeck.desktop to Downloads on GNOME builds ([3a62b5f](https://github.com/ublue-os/bazzite/commit/3a62b5f6dcf6148e752ab710b11ca7d47529879c))
* **gnome:** Exclude SDDM Wayland teardown workaround ([eb39c98](https://github.com/ublue-os/bazzite/commit/eb39c988445b2876286e60e78b860ec67bb37779))
* **gnome:** Make headerbar shade more transparent on both themes ([81b6288](https://github.com/ublue-os/bazzite/commit/81b62883fd13a4e8873fb239cfc061144c8097b4))
* **gnome:** Reduce card shade transparency on VGUI2, restore original border color on Vapor. ([e9e42a0](https://github.com/ublue-os/bazzite/commit/e9e42a0a29047c58aec28cbc8f83d9a0c7593eb5))
* **gnome:** Remove GNOME Classic sessions ([9548b5a](https://github.com/ublue-os/bazzite/commit/9548b5acb85cfa4cfb173189b708ce78d55be942))
* **gnome:** Remove noarch from package name ([3236b24](https://github.com/ublue-os/bazzite/commit/3236b24d491b6182d8da59d3c41ad9c4d050ef48))
* **gnome:** Remove unneeded GNOME plugin ([39584e6](https://github.com/ublue-os/bazzite/commit/39584e6f3b23481a9a2e76f925a69ce1c4d61851))
* **gnome:** Restore indexer, remove .steam folder from indexer to make lighter & smaller. ([20661af](https://github.com/ublue-os/bazzite/commit/20661affdc026e87a81832b17ce55a34502bc974))
* **gnome:** Switch to light shade color for VGUI2 theme, more accurate (Thanks fiftydinar) ([44ad941](https://github.com/ublue-os/bazzite/commit/44ad941102839b53e944614031c2a87367e88a7c))
* **gnome:** Symlink gradience presets instead of using CLI so updates don't require reimport ([7574de4](https://github.com/ublue-os/bazzite/commit/7574de44980a94a69951d05b0d6b46d1813c1417))
* Handle steam shortcuts properly between deck and desktop, clean up by moving some tasks to bazzite-arch ([586ebf2](https://github.com/ublue-os/bazzite/commit/586ebf29ab1b740e102ce5dab33c9ea796b6da83))
* Install 32-bit fuse-libs for 32-bit AppImage support. ([c9d10d2](https://github.com/ublue-os/bazzite/commit/c9d10d2279406e6778ce13f7b3d7421cebf74e67))
* **kde:** Correctly enable System76 Scheduler DBus Proxy on desktop ([db8178c](https://github.com/ublue-os/bazzite/commit/db8178caf78f9c01f2f234b20f879b8c70917dfe))
* **kde:** Properly enable System76 plugin for KWin ([33ce584](https://github.com/ublue-os/bazzite/commit/33ce5843f550dcccd2efc9eca6a39129f8c363a5))
* **kde:** Setup Steam desktop shortcuts during desktop configuration ([6f17491](https://github.com/ublue-os/bazzite/commit/6f1749142e39ce93eb0aabc1556f372b6f4e337a))
* Pause boot for bazzite-hardware-setup (Thanks Pixel!) ([25fdce7](https://github.com/ublue-os/bazzite/commit/25fdce75eb679772a3f237909742240c1eaaf492))
* **plasma-autologin:** Remove the scary spaces when assigning file paths ([d59cca6](https://github.com/ublue-os/bazzite/commit/d59cca6209b1b6f6f89260719bb0358b4baeb584))
* Remove flatpak caching, use network connection instead ([#110](https://github.com/ublue-os/bazzite/issues/110)) ([56938e2](https://github.com/ublue-os/bazzite/commit/56938e2c241d5304b4cc5babe56ede741570f22f))
* Remove wrapping quotes from kargs ([ba5e922](https://github.com/ublue-os/bazzite/commit/ba5e92219eeb7e98e43b3b80dd28a62534c7d834))
* **rpm-ostreed:** Set automatic update policy to none ([ab08e10](https://github.com/ublue-os/bazzite/commit/ab08e10b43a00a0ab3041262d6dd9e4fb5d6628a))
* Show as Bazzite in GRUB ([ec1b75f](https://github.com/ublue-os/bazzite/commit/ec1b75fc7ddc5f1af4c5db5ca51523764f00f13d))
* **user-setup:** Convert to simple service and use default target ([e66c498](https://github.com/ublue-os/bazzite/commit/e66c498a686812b6507359e797bcecb3e0439fdb))


### Miscellaneous Chores

* release 1.0.0 ([356c8d8](https://github.com/ublue-os/bazzite/commit/356c8d8b0137691c86147b79274025601fc2a7d2))

## 0.1.0 (2023-08-05)


### Features

* Add additional flatpaks to yafti (Thanks to nicknamenamenick) ([abed6f8](https://github.com/ublue-os/bazzite/commit/abed6f86df14c3c4abb2bb370018f2f1333f84d4))
* Add Bazzite logo to Yafti ([668d34b](https://github.com/ublue-os/bazzite/commit/668d34beaf3bd0bc5803ad1aee0440221d58b3d1))
* Add compsize for checking space saving from duperemove and rmlint ([c94f78f](https://github.com/ublue-os/bazzite/commit/c94f78f9d9b44f29ae7c08e66f2370ccf2424985))
* Add CoreCtrl for Desktop ([e8ee8fb](https://github.com/ublue-os/bazzite/commit/e8ee8fb039a7020386565b8f2bc3c1e753da9853))
* Add custom neofetch logo and distro name ([2191cc1](https://github.com/ublue-os/bazzite/commit/2191cc183ed328140c7390e571131f0c658ce6b1))
* Add Decky Loader to yafti in deck images ([73a13ec](https://github.com/ublue-os/bazzite/commit/73a13ec61a36cadca2d309d801ac97cc72bc4893))
* Add drivers from OpenRGB for use with certain motherboards ([477c52d](https://github.com/ublue-os/bazzite/commit/477c52d96b8781a2ff9fd9d13761c440db634ecd))
* Add EmuDeck to yafti in deck images ([16573a4](https://github.com/ublue-os/bazzite/commit/16573a4db00d3562cf485ea8e24da48800e140a9))
* Add f3 for testing SD card legitimacy, add Valve's python package ([7e566e7](https://github.com/ublue-os/bazzite/commit/7e566e7a76a2fc087f95978997465dd24ac3ccb3))
* Add Fedora version to Neofetch distro display ([52494fd](https://github.com/ublue-os/bazzite/commit/52494fd9fee5bd4e1325d6c64a7918625bc6a0e4))
* Add flatseal to default installed flatpaks ([ee69d39](https://github.com/ublue-os/bazzite/commit/ee69d39de5a20cf6aae05064bebcaa84ca277517))
* Add Greenlight to yafti ([136e812](https://github.com/ublue-os/bazzite/commit/136e812a348c710f0c78bd1b6256f18d5358799f))
* Add itch to installer ([7617abd](https://github.com/ublue-os/bazzite/commit/7617abd86703af1f47ca2863d10e8d33d2f77e3f))
* Add JamesDSP to Yafti (Alternative to Easy Effects with AutoEQ support) ([61a9b09](https://github.com/ublue-os/bazzite/commit/61a9b0983f44c2831c87a47da4cb339f984f9534))
* Add jupiter-hw-support-bazzite spec that lacks drive handling scripts. ([6f6f1db](https://github.com/ublue-os/bazzite/commit/6f6f1dbca553b2373739ac765cb08cc1dcfca4c3))
* Add just script for retrieving Greenlight ([5819363](https://github.com/ublue-os/bazzite/commit/5819363862cf09ecc888cdb6a5464c521550a2ae))
* Add just script to retrieve Decky Loader ([202efa4](https://github.com/ublue-os/bazzite/commit/202efa44674631f9bd83383834350d9857257da6))
* Add MangoHud, vkBasalt, and OBSVKCapture flatpaks ([7eaa338](https://github.com/ublue-os/bazzite/commit/7eaa338cfe3f4f5452330ff64459e3fa8b09917b))
* Add Mumble/TeamSpeak/GeForce NOW ([e8ee8fb](https://github.com/ublue-os/bazzite/commit/e8ee8fb039a7020386565b8f2bc3c1e753da9853))
* Add native obs-vkcapture ([92fe9c2](https://github.com/ublue-os/bazzite/commit/92fe9c2b37ac2d7ddf4c8261aaaabde7e7d32c03))
* Add Nix package manager to match evidential inclusion in SteamOS 3.5 ([4626c16](https://github.com/ublue-os/bazzite/commit/4626c160670eea1cc3208341b43d675eec86fc6e))
* Add noise-suppression-for-voice used by SteamOS ([0072077](https://github.com/ublue-os/bazzite/commit/007207784aac36f885be4fe32c0ae80257f50837))
* Add OpenRGB flatpak to yafti ([b5ffcf2](https://github.com/ublue-os/bazzite/commit/b5ffcf2e3198f6309d9bc5016a32492837361d30))
* Add protontricks flatpak to bazzite-deck ([427997a](https://github.com/ublue-os/bazzite/commit/427997a0c9a830cd73f81e1cc11bedbfe388f7f6))
* Add rmlint to image for further drive space savings ([1d924d8](https://github.com/ublue-os/bazzite/commit/1d924d8e0252bb5d3437ea010eb5d0d62fac5b89))
* Add ROCM HIP and OpenCL for non-Nvidia images ([5dc6d71](https://github.com/ublue-os/bazzite/commit/5dc6d71720f2e44e556f86fa0da2930fa4d59940))
* Add ROCM-HIP and ROCM-OpenCL ([559902b](https://github.com/ublue-os/bazzite/commit/559902b8372a9fe92805681dc3a002e4870ef3ee))
* Add script for updater to handle paru in bazzite-arch. ([e2a1d41](https://github.com/ublue-os/bazzite/commit/e2a1d416d1ea49026a64f628b831b00280c1c2df))
* Add support for Displaylink ([138d053](https://github.com/ublue-os/bazzite/commit/138d0530415ea0580994c5d2074631706a4443d0))
* Add ublue-updater ([4565d55](https://github.com/ublue-os/bazzite/commit/4565d55e35f9af0e53bcc975d9daad9e9eecd091))
* Add Wallpaper Engine and System76-Scheduler to Yafti. ([e2bb2e3](https://github.com/ublue-os/bazzite/commit/e2bb2e3a1645fcad76876250ea74be33d0413ff5))
* Add xdotool and yad dependencies needed by SteamTinkerLauncher (Thanks termdisc) ([71279c2](https://github.com/ublue-os/bazzite/commit/71279c26b2d3583dc79f623d7503ec4af5c95da9))
* Automatically start Steam on desktop ([e4e8b10](https://github.com/ublue-os/bazzite/commit/e4e8b10722ea4776d00b44d4ca60ce4fff52ff84))
* **bazzite-arch:** Add ROCM HIP and OpenCL to non-Nvidia images ([3e829b4](https://github.com/ublue-os/bazzite/commit/3e829b4dab7f6173e25fee410d32af158fb03d92))
* **boot_menu:** Add entries for GNOME images ([8071b97](https://github.com/ublue-os/bazzite/commit/8071b978a0861b26242c32db655878211d0a74f6))
* **build:** Add initial support for GNOME images ([b9362e5](https://github.com/ublue-os/bazzite/commit/b9362e5b07843d47b68e21b0f20ba239f1761c33))
* Bundle Firefox flatpak by default ([a735911](https://github.com/ublue-os/bazzite/commit/a7359118c8e3d6f71e4986c854fb1a11156fdbd6))
* Configure Bazzite Arch for Nvidia GPUs ([668ec56](https://github.com/ublue-os/bazzite/commit/668ec565f0f501e2a6b14d28c79e9fee82c7e715))
* Custom name for Bazzite's Steam Deck builds in Neofetch ([acb5cbc](https://github.com/ublue-os/bazzite/commit/acb5cbc7b78c800bbf390d79f34ff6da1f25d867))
* **deck:** Add ability to select a theme in Yafti ([a5988c7](https://github.com/ublue-os/bazzite/commit/a5988c72e85738295b0f2b7c3bf15677544e3c16))
* **deck:** Add Bazzite Menu extension for GNOME builds ([bfc6486](https://github.com/ublue-os/bazzite/commit/bfc6486789fe5072c1bbab31e1cf019fcfa1e476))
* **deck:** Add bluetooth config from SteamOS. ([22ea75a](https://github.com/ublue-os/bazzite/commit/22ea75a20fb08b5eeb3f29041ba207f7d81c530a))
* **deck:** Add BoilR ([a197e4f](https://github.com/ublue-os/bazzite/commit/a197e4f8f5610fb192dcccd39ded8915ba2df18e))
* **deck:** Add config file for steamos-btrfs ([eede521](https://github.com/ublue-os/bazzite/commit/eede521f879806d0408d02557ed9cf320eed3cb4))
* **deck:** Add config files for journald to match SteamOS. ([bbd2279](https://github.com/ublue-os/bazzite/commit/bbd22798627c56977f57404b7311f6a797ae2b3e))
* **deck:** Add ds-inhibit package for fixing mouse input on dualshock controllers. ([443d500](https://github.com/ublue-os/bazzite/commit/443d500b6f4ab2b686cd087b9efe5b8afffb6268))
* **deck:** Add MangoHud with MangoApp enabled ([9264486](https://github.com/ublue-os/bazzite/commit/9264486e05d25b3574d91964324a258a39bab85d))
* **deck:** Add option to disable SteamOS-BTRFS ([693a937](https://github.com/ublue-os/bazzite/commit/693a93762a9ecae20116ff3df62dff61703fcce3))
* **deck:** Add pipewire config to use the noise-supression library used by upstream SteamOS ([834b92d](https://github.com/ublue-os/bazzite/commit/834b92d6fb4617bfb2a90982683857983d4ec07d))
* **deck:** Add polkit for dmidecode call used by bios updater. ([bbd2279](https://github.com/ublue-os/bazzite/commit/bbd22798627c56977f57404b7311f6a797ae2b3e))
* **deck:** Add SDGyroDSU ([79a53c9](https://github.com/ublue-os/bazzite/commit/79a53c930341f3cc2b32f9e95d38406af1570a28))
* **deck:** Add service for setting the max battery charge level exposed by the latest steamdeck_hwmon driver ([11c6efc](https://github.com/ublue-os/bazzite/commit/11c6efcb9aa1fab03786e5e68ca8b9050b3cc7bb))
* **deck:** Add Steam desktop shortcuts to yafti ([86f8895](https://github.com/ublue-os/bazzite/commit/86f889599e7db10fb8b48aa86f22a5dbafb14236))
* **deck:** Add Steam Notification Daemon from upstream ([d8ed25c](https://github.com/ublue-os/bazzite/commit/d8ed25c045ebcfbfd6084e93a3f1edf10edd37d0))
* **deck:** Add UBlue-OS Wallpapers ([25e6454](https://github.com/ublue-os/bazzite/commit/25e64543cdf9c0cfc438ee8c2904bdad82761196))
* **deck:** Add VGUI2-themed wallpaper ([8e92c9d](https://github.com/ublue-os/bazzite/commit/8e92c9d6cbe6bd1f54d8d380d6185df13d873be9))
* **deck:** Add vpower service for calculating battery stats ([4133500](https://github.com/ublue-os/bazzite/commit/4133500bf9798d9e173919b93f1f29c32467b401))
* **deck:** Add Winetricks to fix HMM/Vortex/MO2 (Thanks termdisc) ([341c607](https://github.com/ublue-os/bazzite/commit/341c60773bb44b1c6a220c1f27044d4a3cae1ec9))
* **deck:** Autologin to Plasma ([8c58e65](https://github.com/ublue-os/bazzite/commit/8c58e65fadca642f959c643abdfc65b27a548302))
* **deck:** Automatically increase compression for 64GB models. ([ccb003b](https://github.com/ublue-os/bazzite/commit/ccb003b53a377d4aaf99f234bdc7d3e9d11c09d0))
* **deck:** Enable duperemove on SD card ([345b81e](https://github.com/ublue-os/bazzite/commit/345b81efda0fefbbdc0c45be157fc3b380d9d11b))
* **deck:** Enable Fan Control Service ([40f4195](https://github.com/ublue-os/bazzite/commit/40f4195a0f54a8819658a381a0ed5420f348aeb7))
* **deck:** Enable gamescope autologin via yafti ([a1db76f](https://github.com/ublue-os/bazzite/commit/a1db76f5d40861d0855d657cb314c132fc07e478))
* **deck:** Enable SSL/TLS secured NTP and DNS by default. This is a computer you'd use on a public network after all. ([b0c7743](https://github.com/ublue-os/bazzite/commit/b0c77432a66f6608fedc407529ce9abddf88198c))
* **deck:** Enable System76-Scheduler ([50e9823](https://github.com/ublue-os/bazzite/commit/50e98238da64586c2efb8181c6ed7ce310f5ff64))
* **deck:** Handle power button ([f6aa940](https://github.com/ublue-os/bazzite/commit/f6aa940a36df9ff29a7885cdeaa83eeac9317bff))
* **deck:** Hook Steam into autostart script ([2bd020b](https://github.com/ublue-os/bazzite/commit/2bd020bd65dabb6063f6c604d637197f01dcceb7))
* **deck:** Implement BTRFS support from SteamOS BTRFS ([0ccf7ac](https://github.com/ublue-os/bazzite/commit/0ccf7ac6d1f9c484bf7a8ca6399bac4a34d0480f))
* **deck:** Implement GNOME/Steam session switching ([af950ff](https://github.com/ublue-os/bazzite/commit/af950fff5732397d5ea4e8e54a2e79de349fa5aa))
* **deck:** Layer Lutris to avoid common issues with the flatpak. ([94b8a42](https://github.com/ublue-os/bazzite/commit/94b8a4238c155235714ed19b257ea60f3892d85e))
* **deck:** Provide SteamCMD by default ([52f3abc](https://github.com/ublue-os/bazzite/commit/52f3abcfbe6ed666b5c25b04b950920b83c13c45))
* **deck:** Set kargs in yafti, matching SteamOS ([321e1ae](https://github.com/ublue-os/bazzite/commit/321e1ae8ebd8a0adc224017ffc207efebcdbd57d))
* **deck:** Simplify mounting process ([fdd8fac](https://github.com/ublue-os/bazzite/commit/fdd8facb43e04aab378928acba7c7bcb4709d0a1))
* **deck:** Use new system update check ([0273559](https://github.com/ublue-os/bazzite/commit/02735593116ddd04cf432b90007fa786d12cd175))
* **Desktop:** Add Big Picture Mode for HTPCs. ([31502f3](https://github.com/ublue-os/bazzite/commit/31502f3198746bea22dc25e177c239c6358cf3ba))
* **desktop:** Add Easy Effects to installable utilities ([a6c7eed](https://github.com/ublue-os/bazzite/commit/a6c7eed338b1f6a4e1778487151a781e835d3602))
* **desktop:** Add ublue-os-wallpapers ([0499472](https://github.com/ublue-os/bazzite/commit/04994720f3a39e21bddbe597bdf4d5972ce212d0))
* **desktop:** Create bazzite-arch images with distrobox assemble ([da16ff1](https://github.com/ublue-os/bazzite/commit/da16ff1d6af81dbaad36f55d0d7462e7e7319d92))
* **desktop:** Enable Steam Deck KDE presets for desktop ([15d0fea](https://github.com/ublue-os/bazzite/commit/15d0fea41d87e51886787fcbe2838cf7de161324))
* **desktop:** Export SteamCMD from bazzite-arch ([0e0cc29](https://github.com/ublue-os/bazzite/commit/0e0cc290f4b2c8b53901156ce4b19762d8538051))
* **desktop:** Implement Supergfxctl support ([381c09e](https://github.com/ublue-os/bazzite/commit/381c09ea2861349572968b022b4bfde61d5a3cec))
* **desktop:** Modify Steam Deck KDE presets for desktop use ([9f9c4ec](https://github.com/ublue-os/bazzite/commit/9f9c4ecb5b55f18a6eb7950cdd55195c4afa9435))
* Directly install decky loader ([76f90df](https://github.com/ublue-os/bazzite/commit/76f90dfccd11296725f34995c5dbdfa01af38a3e))
* Enable AMD's P-State EPP driver ([12e4d3c](https://github.com/ublue-os/bazzite/commit/12e4d3c5b7f70e0068a9b0664d124f3ff0fd0634))
* Enable automatic updates for distrobox ([e8e259b](https://github.com/ublue-os/bazzite/commit/e8e259b6713fdbdc60dc1af71bf9c4b3fa4e92d9))
* Enable duperemove automatically in yafti ([88fcc4e](https://github.com/ublue-os/bazzite/commit/88fcc4e0710c350057b66cc281866ce644946706))
* Export protontricks from bazzite-arch ([a63aad0](https://github.com/ublue-os/bazzite/commit/a63aad0accad78f86b17e1f3ade587be0c01c514))
* **GNOME:** Add appindicator shell extension. ([1bb8de2](https://github.com/ublue-os/bazzite/commit/1bb8de25bd250f184eccb21cff682a4aa3ea85af))
* **GNOME:** Add Extension Manager flatpak ([cba1772](https://github.com/ublue-os/bazzite/commit/cba17728555df909893df69ea2bdf1d6c3ad487d))
* **GNOME:** Add gnome-tweaks ([80d65dd](https://github.com/ublue-os/bazzite/commit/80d65dd85517302980e0ce76703258b1b10dadd7))
* **GNOME:** Add Gradience and adw-gtk3 theme ([f70b004](https://github.com/ublue-os/bazzite/commit/f70b004dd6791183597f5cc461a98086f4cf14b3))
* **gnome:** Add helper for enabling extensions ([0cb2dfc](https://github.com/ublue-os/bazzite/commit/0cb2dfc3e4236137234ddb8b7031186e503c5a0a))
* **GNOME:** Add Loupe image viewer and AdwSteamGtk flatpaks ([474b7e0](https://github.com/ublue-os/bazzite/commit/474b7e00c0b0aa61961e2ed09958ee56cc45331f))
* **gnome:** Add Steam Deck backgrounds ([5b4c1c6](https://github.com/ublue-os/bazzite/commit/5b4c1c63c7b4cfb1fe35e5ded47ebe5099bced7a))
* **GNOME:** Add User Theme & GSConnect extensions by default ([2987a35](https://github.com/ublue-os/bazzite/commit/2987a356eb3d4e7862aae4f85e25969955abc262))
* **gnome:** Enable minimize and maximize buttons when picking a Valve-inspired theme ([503b948](https://github.com/ublue-os/bazzite/commit/503b9483601a21ff6cffe1e4585086ffe753b6da))
* **gnome:** Implement askpass ([812d654](https://github.com/ublue-os/bazzite/commit/812d654e3a0354f937fd6ddd6ee9c823e212f88b))
* **GNOME:** Install adw-gtk3 in arch to match host, switch to using paru ([6fb6609](https://github.com/ublue-os/bazzite/commit/6fb66099ffc1c5da3f6b3985dcd557089696a229))
* **gnome:** Install GSConnect ([0c8193a](https://github.com/ublue-os/bazzite/commit/0c8193a450b699f34832304e7b329b335e941b66))
* **gnome:** Install supergfxctl-gex shell extension in Nvidia images ([ecf2aea](https://github.com/ublue-os/bazzite/commit/ecf2aea7c945ca7e4e7fcb6b6bc03deac5e76722))
* **gnome:** Set wallpaper for custom themes ([56586cc](https://github.com/ublue-os/bazzite/commit/56586cce1dbf092b2e887384049d782e9e53bd36))
* **gnome:** Use SDDM ([f2308d2](https://github.com/ublue-os/bazzite/commit/f2308d22af7def1408d391a8dec0de677b98a4ab))
* Hide the GRUB menu ([3c60e3e](https://github.com/ublue-os/bazzite/commit/3c60e3e61061eb0306cf0ff4f8c9b22029cc9abb))
* Implement GNOME autologin service ([64f4a17](https://github.com/ublue-os/bazzite/commit/64f4a178bc0cbbafa923e989342af7ae9907be38))
* Implement GNOME VRR patchset ([282c6df](https://github.com/ublue-os/bazzite/commit/282c6df825348009fd1dfb9331689267640d5b8e))
* Include ddccontrol for controlling monitor params ([8c467bd](https://github.com/ublue-os/bazzite/commit/8c467bd4cb0fc2c1d5a7a9fbcd13ac180f11050a))
* Include Flathub as system flatpakrepo ([0f62f91](https://github.com/ublue-os/bazzite/commit/0f62f91875f45eaa1ead0a7a7412194eaa4be265))
* Include Wireguard-tools ([a240477](https://github.com/ublue-os/bazzite/commit/a240477fb711cf5ca42f662e4d8aca4d88ed9483))
* Increase open file limit ([aeaddda](https://github.com/ublue-os/bazzite/commit/aeaddda9b466fb16c68a931da89ee5f9c57669e0))
* Install Chiaki4Deck instead of Chiaki on bazzite-deck ([a843942](https://github.com/ublue-os/bazzite/commit/a8439423454c8681e0909b132620677aaee50aae))
* **just:** Add ability to remove nix ([28177b2](https://github.com/ublue-os/bazzite/commit/28177b2e3999cd76d6f29d7763d2affd4ae11531))
* **just:** Add script to install GNOME extension CLI ([12e151d](https://github.com/ublue-os/bazzite/commit/12e151d46cb09b9aad56fda0005e67ce90ad3d5a))
* **just:** Default to using bash ([982be6c](https://github.com/ublue-os/bazzite/commit/982be6c44fe65205ef6cbd59785a3883d1052ee2))
* **just:** Install System76 scheduler GNOME extension ([cfccbf7](https://github.com/ublue-os/bazzite/commit/cfccbf7026d1bc10c195ca9ad5f6a4a591f3924d))
* **just:** Introduce basic GUI auth handler using kdialog ([dd81374](https://github.com/ublue-os/bazzite/commit/dd8137413cf38dace957d2f1157f88f016d096d4))
* **just:** Use sudo askpass with ksshaskpass ([a267c57](https://github.com/ublue-os/bazzite/commit/a267c573a71e433898e98cbb8c3a7a2736653566))
* **nix:** Use escalated privledges to install ([6144f91](https://github.com/ublue-os/bazzite/commit/6144f91bccf8643880bed62867e2ec06a3113d2e))
* Preinstall system Flatpaks ([0f0be44](https://github.com/ublue-os/bazzite/commit/0f0be44ab8602d87451c1fad99c35cb31ebb4105))
* Remove system flatpaks while building image ([7928fff](https://github.com/ublue-os/bazzite/commit/7928fff72624b2c7a4d2422a284882ebd937df09))
* Remove update services in preparation for new ublue updater. ([e2a1d41](https://github.com/ublue-os/bazzite/commit/e2a1d416d1ea49026a64f628b831b00280c1c2df))
* Run firstboot script per-profile ([5ed3870](https://github.com/ublue-os/bazzite/commit/5ed38702a017b39775441a99aab264b165705e24))
* Separate DE specific config from shared config ([462c2d5](https://github.com/ublue-os/bazzite/commit/462c2d519d66aa06b28569d9ac6a46ea81a4aeee))
* Set SteamOS BTRFS mount flags for all BTRFS partitions ([cf667f8](https://github.com/ublue-os/bazzite/commit/cf667f8cdd18bede02d51d5a6f24c6dfd7ed04e0))
* Set SteamOS theme by default ([ff6e9f4](https://github.com/ublue-os/bazzite/commit/ff6e9f437fcbe40ea61b1bbab00ee7cca42784fd))
* **steamos-update:** Initial support for Universal Blue updater ([a6e81f0](https://github.com/ublue-os/bazzite/commit/a6e81f0d87ea1001c4a1a84a3c29709457bf0d55))
* Use Bazzite image identifiers instead of rpm-ostree status ([586d10e](https://github.com/ublue-os/bazzite/commit/586d10e84ff2651b1e68e704870a1763c9a6efbd))
* Use multilib repos for obs-vkcapture and mangohud ([aeffc5c](https://github.com/ublue-os/bazzite/commit/aeffc5c8c51011f9365395165795661bee1c87ab))
* **yafti:** Add support for installing GNOME extensions ([6997537](https://github.com/ublue-os/bazzite/commit/6997537852c799a185da0f08a2d5c923a44fa975))
* **yafti:** Install packages as user ([9d99b64](https://github.com/ublue-os/bazzite/commit/9d99b642d2ebab579ddd58706453eb41b8437ca3))


### Bug Fixes

* Actually include Flathub on the installed system ([1d2f63d](https://github.com/ublue-os/bazzite/commit/1d2f63d1f810fa7b8c49713d071478f4e09fd459))
* Add "deck" user and group for hardcoded references ([c40d572](https://github.com/ublue-os/bazzite/commit/c40d5721f1f1453b63ffe481a1633bf4aa7050d7))
* Add DMI rule for getting Steam Deck serial number from SteamOS ([7d18552](https://github.com/ublue-os/bazzite/commit/7d1855274cbc08ec9055fcc0838a63cb65566c8b))
* Add file to automatically source /etc/default/steamos-btrfs ([87af74f](https://github.com/ublue-os/bazzite/commit/87af74f7ba22241510a07b0a4a1095b911360f60))
* Add killuserprocesses.conf from SteamOS ([c5feecb](https://github.com/ublue-os/bazzite/commit/c5feecb2247d1530b864a6b58e867d27c0a83efb))
* Add needed akmods now that main no longer includes them by default ([5da5eeb](https://github.com/ublue-os/bazzite/commit/5da5eeb2f719aca06285053a128e90ddf12b175c))
* Add patch for driver name in jupiter-fan-control ([4b89985](https://github.com/ublue-os/bazzite/commit/4b8998586136c489971fe30c56cbb93ea4a4a431))
* Add patch for dynamic user name in mounting script ([2f3f56b](https://github.com/ublue-os/bazzite/commit/2f3f56b8670e5e2fbe3ac3e037c6ecc759d43749))
* Add polkit rules from ChimeraOS ([bf5ef30](https://github.com/ublue-os/bazzite/commit/bf5ef309d31dcdde33613c7a5db1f4589d939dfd))
* Add reboot option and message at end of yafti. ([8ee4ad2](https://github.com/ublue-os/bazzite/commit/8ee4ad223b66797520188fc7269c292c0cc7d08b))
* Add udev rules from Jovian ([729f9a0](https://github.com/ublue-os/bazzite/commit/729f9a047e8dc8a9b60c4958cc5aab44b9652dc1))
* Address problem copying DE specifc files ([3829ddb](https://github.com/ublue-os/bazzite/commit/3829ddbd6ab9870e7bc27592b4c64fb0326d98a0))
* Address substiutions never terminating during zram/deckswap resize ([2830cfd](https://github.com/ublue-os/bazzite/commit/2830cfd78624de38558680a3657e9cdbcac8cfba))
* Almost forgot this is a gaming distro ([d4a0d70](https://github.com/ublue-os/bazzite/commit/d4a0d704823484a2c221172bdddf0104d5e822b9))
* Attempt to remove cached flatpak data regardless of whether install list exists ([e6adf70](https://github.com/ublue-os/bazzite/commit/e6adf7053912585bd8df95928806a28fafc919df))
* **autologin:** Retrieve user by id ([fd5f0a3](https://github.com/ublue-os/bazzite/commit/fd5f0a3b9c775a98a1f69f2588e391fb272fc301))
* Avoid conflict between gamescope-autologin and session selector ([cbb259f](https://github.com/ublue-os/bazzite/commit/cbb259f3ee45c209921b4004152829a6a86d928e))
* **bazzite-arch:** Correct path to environment ([f927f1d](https://github.com/ublue-os/bazzite/commit/f927f1d79e170e647f2a4a82b4ef9063b47ba1d4))
* **boot_menu:** Correct bazzite-deck-nvidia label ([f95b182](https://github.com/ublue-os/bazzite/commit/f95b182e1cd21a389bab0f088700e4be5b91ef47))
* Bring in fbcon fix from upstream SteamOS. ([82390e3](https://github.com/ublue-os/bazzite/commit/82390e3d1bb27d7acdbcdecb0bd44175bd3761f5))
* Check for install list before attempting to install flatpaks ([a09ad63](https://github.com/ublue-os/bazzite/commit/a09ad6325e662e25a63819cf6c440ca3b04f7569))
* Copy flatpak objects ([58da79e](https://github.com/ublue-os/bazzite/commit/58da79e7555c76421f4fc516ae939352c5e57782))
* Correct build error in deck builds ([262f694](https://github.com/ublue-os/bazzite/commit/262f6944233c4c47916fe677f73b1d42702c31f1))
* Correct issues with selinux by moving files from /lib/hwsupport to /sbin/hwsupport in jupiter-hw-support packages. ([940d309](https://github.com/ublue-os/bazzite/commit/940d309b3e165c3331806ae7f2aa8041f292bdd5))
* Correct path to system flatpaks in install script ([397e170](https://github.com/ublue-os/bazzite/commit/397e17062d677d39508f0b7013cb1ab43f65b542))
* Correct rsync params ([db9de40](https://github.com/ublue-os/bazzite/commit/db9de403bfbfb62c80c24e2572ad9aba6b4e0b11))
* Correct spelling of rpm-ostree ([cbad1a4](https://github.com/ublue-os/bazzite/commit/cbad1a4219749b3834e942291823ba53c41f5920))
* Correct typo in Containerfile ([c5f7837](https://github.com/ublue-os/bazzite/commit/c5f78376f6f4a5c3383c4866b549531b995019ce))
* Correct unexpected token ([8263469](https://github.com/ublue-os/bazzite/commit/826346934ad81a14a835f31ff3077ea06d80a8fd))
* **deck:** Add environment variable needed for Decky Loader with SELinux. ([1fa303b](https://github.com/ublue-os/bazzite/commit/1fa303b8ec5b045ca8cf258c14bd514caf618a43))
* **deck:** Add Flathub repo ([2bd33b2](https://github.com/ublue-os/bazzite/commit/2bd33b2d0917795955ada157e526038b73da64ac))
* **deck:** Add patch for vpower service file to point to correct location. ([cfbbdc7](https://github.com/ublue-os/bazzite/commit/cfbbdc777017757d7d50dcddeca936bbe3e2c555))
* **deck:** Add patched udisks2 package ([322efa9](https://github.com/ublue-os/bazzite/commit/322efa9afc726533d34c0ac47f0eb266b1f19a55))
* **deck:** Add udev rule for power button ([9969d3f](https://github.com/ublue-os/bazzite/commit/9969d3ff06f5f58c5e31af912a4284d4cd853859))
* **deck:** Address issues in retrieving Chiaki4Deck ([f5a3b6e](https://github.com/ublue-os/bazzite/commit/f5a3b6e3ba6039aad4d7414239e512e2231d2306))
* **deck:** Address large image sizes due to layering Flatpak objects ([a7a7705](https://github.com/ublue-os/bazzite/commit/a7a77052848690ae7f73888c8bec210faab6873d))
* **deck:** Check if micro SD card is mounted before attempting to mount ([1f03d05](https://github.com/ublue-os/bazzite/commit/1f03d05b97525a9ad843fc9f926d2cc59813937d))
* **deck:** Clean flathub dir before caching ([c84c854](https://github.com/ublue-os/bazzite/commit/c84c8547936448716f67be6aaea549386bc0ba4b))
* **deck:** Disable bind mount support ([3a756bd](https://github.com/ublue-os/bazzite/commit/3a756bd24ff8f0c027e00f9712ebc52e94cf2be0))
* **deck:** Disable simpledrm to prevent card0 from being consumed ([1845d8d](https://github.com/ublue-os/bazzite/commit/1845d8da5c93d80dad82031dd1610013eaf65fb5))
* **deck:** Disable ublue-update timer ([f355420](https://github.com/ublue-os/bazzite/commit/f3554208d28eda214523ee6cd1240c934cf00d20))
* **deck:** Fix SteamCMD install script ([d2d6603](https://github.com/ublue-os/bazzite/commit/d2d6603405609a76e364c0c77b5e889586b4d8f9))
* **deck:** Get username via ls due to user not yet being set at time of mount. ([caac517](https://github.com/ublue-os/bazzite/commit/caac5170fc5084db77ec645a10b755f4eb95a333))
* **deck:** Improve how /etc/default/steamos-btrfs is sourced ([438aec5](https://github.com/ublue-os/bazzite/commit/438aec5303fb285d3ef7220f63497d13b4a5d8d9))
* **deck:** Install mesa patched with gamescope frame limiter from SteamOS. ([deaf38e](https://github.com/ublue-os/bazzite/commit/deaf38ef4e398498adf6d980fa00681783eb6480))
* **deck:** Mark ds-inhibit as executable ([ad8cbd4](https://github.com/ublue-os/bazzite/commit/ad8cbd43c2e23a7ea6c0935ae676b6e45a3ba974))
* **deck:** Patch steamos-priv-write to address false failures ([0d307fd](https://github.com/ublue-os/bazzite/commit/0d307fdace10b6b4b7814b0fa2f3f487af1879ed))
* **deck:** Perform automount as current user ([d53f0c0](https://github.com/ublue-os/bazzite/commit/d53f0c06363c115766617e28f98c2ab069cda66c))
* **deck:** Remove GSConnect from yafti as its built in ([7771b89](https://github.com/ublue-os/bazzite/commit/7771b89077015b52b89b01c15b6f71a38c0ec3cb))
* **deck:** Remove mount lock ([f78aab8](https://github.com/ublue-os/bazzite/commit/f78aab84b0f5f4c9c2f22542fd33a432a563fe17))
* **deck:** Remove nomodeset, if present, when setting kargs ([dbf0afc](https://github.com/ublue-os/bazzite/commit/dbf0afca06903cff2672189eeaf7a2def48520b1))
* **deck:** Remove winetricks application shortcut since it'd never be launched by a user in normal use. ([b3c4e1e](https://github.com/ublue-os/bazzite/commit/b3c4e1e094f35681c3d8bc58a05f88b7ba135033))
* **deck:** Remove xwaylandvideobridge shortcut removal now that upstream has removed it. ([692217e](https://github.com/ublue-os/bazzite/commit/692217eb9f53989a641994e60bc4131fdfeac30d))
* **deck:** Require python3-inotify in ds-inhibit ([4b5ee05](https://github.com/ublue-os/bazzite/commit/4b5ee05c44ec12563b7bc5b23973d42cc0196678))
* **deck:** Temp remove validation check ([69e8c9b](https://github.com/ublue-os/bazzite/commit/69e8c9b660e79243c8a03c915177d8660505a00e))
* **deck:** Toggle plasma-autologin off when gamescope-autologin is enabled ([933bc03](https://github.com/ublue-os/bazzite/commit/933bc038cec8abc56b9e1e14a76684eaffec73c6))
* **deck:** Use GNOME on Xorg for session switching ([d09d7fa](https://github.com/ublue-os/bazzite/commit/d09d7faf9fe1fd0c9fdd53b83b18ea609247b95a))
* **decky:** Ensure we retrieve the user's home directory ([3eb3f67](https://github.com/ublue-os/bazzite/commit/3eb3f677282ba8bedae7348655255200929d7de9))
* **desktop:** Actually apply mulituser patch ([a03d7ba](https://github.com/ublue-os/bazzite/commit/a03d7bad1a57d647b80bb28bb109e5f1b676c320))
* **desktop:** Add missing settings to the Flatpak installation screen ([b8178b6](https://github.com/ublue-os/bazzite/commit/b8178b6a8c8faecae91a9a0d2f49017c3d5cae4b))
* **desktop:** Add nvidia distrobox fix found by bsherman ([91c2b39](https://github.com/ublue-os/bazzite/commit/91c2b39b5151d3375ccfcef33d22a6f79bfb4c0b))
* **desktop:** Add patch to re-enable multiuser support in KDE ([b871f02](https://github.com/ublue-os/bazzite/commit/b871f02efbad8e3407d1debc918e57a794c7e777))
* **desktop:** Add VGUI2 wallpaper ([bb71532](https://github.com/ublue-os/bazzite/commit/bb7153224875ffc5a1a4eb6cb6d5921fd835635e))
* **desktop:** correct spelling of 'description' for big picture mode ([5580ca1](https://github.com/ublue-os/bazzite/commit/5580ca1aee170d2fcd78e36a76493bc891de5ecc))
* **desktop:** Correct spelling of 'install' in install-corectrl ([d474719](https://github.com/ublue-os/bazzite/commit/d47471979b952d22465f62a6f96399c608392b74))
* **desktop:** Set lockscreen wallpaper to the Steam Deck's default ([c1ac54c](https://github.com/ublue-os/bazzite/commit/c1ac54c1c7b6e15301b639ae9ad58f748138fb99))
* **desktop:** Use sddm.conf for autologin ([75cf06a](https://github.com/ublue-os/bazzite/commit/75cf06aa1067c2361b1efb84aeb6dabad06e7db2))
* **desktop:** Use steamos.conf for SDDM ([406d0bb](https://github.com/ublue-os/bazzite/commit/406d0bbfdb38124331477125fe93c90b41432227))
* Directly cache Flathub repo data instead ([73de019](https://github.com/ublue-os/bazzite/commit/73de0190503622749fe01a505222464dc6991580))
* Disable services instead of removing upstream updater for now. ([5110162](https://github.com/ublue-os/bazzite/commit/511016252efa7f7b4e872aea4f3dbcb8693b6f67))
* Enable displaylink service by default ([95c17cf](https://github.com/ublue-os/bazzite/commit/95c17cffe8fb78e433e89d819a4cf3688c0d3c4b))
* Exclude KDE configuration from GNOME images ([9628a59](https://github.com/ublue-os/bazzite/commit/9628a59e0dd8b527c24a4fa2649c23ac4f307998))
* Globally set SUDO_ASKPASS ([056cb36](https://github.com/ublue-os/bazzite/commit/056cb3671bc9e7092e4e3f722301fbd0baf3f3ce))
* **gnome-autologin:** Use Xorg ([5d3222f](https://github.com/ublue-os/bazzite/commit/5d3222f98e102a3be4cf4ce630ca2db06348f6e0))
* **gnome:** Add adw-gtk3 flatpaks ([c840e00](https://github.com/ublue-os/bazzite/commit/c840e003b031483b5119ff62417ef959703fc757))
* **gnome:** Add VGUI2 wallpaper ([9a90683](https://github.com/ublue-os/bazzite/commit/9a9068372a44f63bf5ba6ffbdb0a8c7c382a6b8a))
* **gnome:** Add XML files for Steam Deck backgrounds ([4069a31](https://github.com/ublue-os/bazzite/commit/4069a310396f940a059333d9f58079811b6d5f54))
* **gnome:** Change default menu button icon size ([bf90503](https://github.com/ublue-os/bazzite/commit/bf90503ff66ee8a78d7f73fdf1e1cef54a8de727))
* **gnome:** Correct bazzite-arch inithooks to install adw-gtk3 in the box, and swap to xdg-desktop-portal-gnome ([b69a5e2](https://github.com/ublue-os/bazzite/commit/b69a5e2f43ce108bafe1750cfa5d737f271bc518))
* **gnome:** Correct consecutive rpm-ostree invokations ([b625538](https://github.com/ublue-os/bazzite/commit/b62553892528d0aa01b33d7e85664161ee3b3e11))
* **gnome:** Enable newly added extensions. ([07a5321](https://github.com/ublue-os/bazzite/commit/07a5321f5a96229bb0ff1136a412346861cbc426))
* **gnome:** Enable variable-refresh-rate on existing mutter configs (Thanks termdisc) ([fd3d906](https://github.com/ublue-os/bazzite/commit/fd3d9067b481de32705a307e342fb5ef6a53b169))
* **GNOME:** Remove now unneeded gnome extension installers from just, add system76 scheduler extension package. ([cc77fde](https://github.com/ublue-os/bazzite/commit/cc77fde9a367c3cefee17f1aea74936015c990ab))
* **gnome:** Set dark mode wallpaper during theme step ([d000943](https://github.com/ublue-os/bazzite/commit/d000943a7b6c753a14971f01bac8d98a32d1fe71))
* **GNOME:** Switch bazzite-arch to xdg-desktop-portal-gnome on GNOME branches. ([5fb3423](https://github.com/ublue-os/bazzite/commit/5fb3423ad7e91914e2aa9fd2a11ebc92c2b94aa6))
* **gnome:** Use new extension helper. ([13f9701](https://github.com/ublue-os/bazzite/commit/13f9701a23465e436b65dc51b73948be7d8ff87d))
* **jupiter-hw-support:** Add f3 as a requirement for drive validation checks ([e0e3486](https://github.com/ublue-os/bazzite/commit/e0e34863209b3481925ae3d87ee9431bee4ea461))
* **jupiter-hw-support:** Retrieve user by id ([1819f5f](https://github.com/ublue-os/bazzite/commit/1819f5fd0d4eee98bf070722efa2269f69224769))
* **just:** Add GNOME autologin support ([bf3e0b9](https://github.com/ublue-os/bazzite/commit/bf3e0b917267782d7d8752a4b9363b75934abc3b))
* **just:** Address inverted GNOME image check for System76 Scheduler ([52d28f4](https://github.com/ublue-os/bazzite/commit/52d28f41f3a7b9d3d4e1279d1ceec168582a70d8))
* **just:** Address issues with memory resizing ([0710ca3](https://github.com/ublue-os/bazzite/commit/0710ca3feb4e9774eb38db057656f7e667f7fe90))
* **just:** Don't allow installing Wallpaper Engine plugin under GNOME ([8121d57](https://github.com/ublue-os/bazzite/commit/8121d5744694087c033cdf08d418a772b7c9f03d))
* **just:** Don't install supergfxctl-gex extension ([7fe29a6](https://github.com/ublue-os/bazzite/commit/7fe29a6ed4c30943b53ef6058a74c624fb117e7b))
* **kde:** Correct consecutive rpm-ostree invokations ([cbd3fa6](https://github.com/ublue-os/bazzite/commit/cbd3fa6beed3f1e51ae14ec662e50bbdc12f8afd))
* **kde:** Correct VGUI2.jpg file placement ([3e829b4](https://github.com/ublue-os/bazzite/commit/3e829b4dab7f6173e25fee410d32af158fb03d92))
* Make autostart scripts executable ([9903735](https://github.com/ublue-os/bazzite/commit/99037359d77d25a8754f071ab36a2b038b8eff61))
* mesa-va-drivers-freeworld-steamfix -&gt; mesa-va-drivers ([51488ec](https://github.com/ublue-os/bazzite/commit/51488ecb4970ad80bfb8e90d785155ad96b2e8bb))
* Move askpass invokation to yafti from just ([c5c6f84](https://github.com/ublue-os/bazzite/commit/c5c6f841dc6124dd3a151e4691d5ce79dbe01e13))
* Move KMS mode setting into environment in system_files ([7613857](https://github.com/ublue-os/bazzite/commit/7613857b5122fd1cca03b28dff054d102b8fa39f))
* Only remove steamdeck-kde-presets-desktop if it would be installed ([dde0127](https://github.com/ublue-os/bazzite/commit/dde01275dff6ad689c33c329c85ce76efc28ca51))
* **power-button-handler:** 'systemd-inhibit' -&gt; 'systemd_inhibit' ([502ee0b](https://github.com/ublue-os/bazzite/commit/502ee0b612a829a1476c43facfa94de01a4fd14f))
* **power-button-handler:** Rename 'inhibit' string to 'systemd-inhibit' ([840dcff](https://github.com/ublue-os/bazzite/commit/840dcff718dd624902ab2a27aef859632d1984cd))
* Preinstall fake mesa-va-drivers package to resolve Steam dependency issue ([84d3cee](https://github.com/ublue-os/bazzite/commit/84d3cee00f8b333aafbdcbe8f7adfe99fd12bf0d))
* Re-enable mesa-va-drivers-freeworld ([d1e7909](https://github.com/ublue-os/bazzite/commit/d1e79091c9799356a16d071eec5a7e50ba8e0d43))
* Remove "(Runtime)" from Steam desktop shortcut ([9cbe9c6](https://github.com/ublue-os/bazzite/commit/9cbe9c6dc94710d2bef931d12fb8b3b34dc965cb))
* Remove driver_name patch for jupiter-fan-control in preparation for using jupiter driver over steamdeck. ([cd86307](https://github.com/ublue-os/bazzite/commit/cd8630799a011c81f08cfb0a40a987cf7ccb3e5f))
* Remove duplicate packages from selection ([76f90df](https://github.com/ublue-os/bazzite/commit/76f90dfccd11296725f34995c5dbdfa01af38a3e))
* Remove file conflicting with kde-settings ([30b01c7](https://github.com/ublue-os/bazzite/commit/30b01c77432717f9e99d4bfbe06eb3bb0730361d))
* Remove flatpak system update service disablement ([ef6d029](https://github.com/ublue-os/bazzite/commit/ef6d02928174bdff5cb934f78ea134b0757cc408))
* Remove install files from tmp when install complete ([8d8f681](https://github.com/ublue-os/bazzite/commit/8d8f681eec5eefa65d12c31d8a675d883f134d0e))
* Remove krfb-libs ([1a6cdff](https://github.com/ublue-os/bazzite/commit/1a6cdffc1ac13eb918f66b1084deec4917b4f1b7))
* Remove lavapipe ICDs due to causing crashes in some native OpenGL titles ([6a07423](https://github.com/ublue-os/bazzite/commit/6a07423b75363451ce33cb6c11484dae60e70913))
* Remove SteamVR polkit awaiting more proper solution ([214ebe3](https://github.com/ublue-os/bazzite/commit/214ebe335b2b0233a89c5dd0f3f91d1693632043))
* Remove SteamVR polkit waiting more proper solution ([b61a2c4](https://github.com/ublue-os/bazzite/commit/b61a2c48b8710f723d4013ea6992e0c3c4260dee))
* Remove ublue-os-update-services ([b7b4363](https://github.com/ublue-os/bazzite/commit/b7b4363355581fd8f4b40ee3ac11038b3f66e9f7))
* Remove unicode characters ([0f45ad3](https://github.com/ublue-os/bazzite/commit/0f45ad3771fc2842f92f9069cb9942cf7833533b))
* Revert me when the upstream ublue-os-update-services package is fixed ([942542e](https://github.com/ublue-os/bazzite/commit/942542e0f9625624ee1eec66cda01e49dafffb60))
* Set bin_t on Decky Loader to fix issue with SELinux (Thanks jerb) ([dc5a7cd](https://github.com/ublue-os/bazzite/commit/dc5a7cde86630962c079f4481c03f0d6b504e726))
* Specify version of vkBasalt and MangoHUD flatpaks ([c40d572](https://github.com/ublue-os/bazzite/commit/c40d5721f1f1453b63ffe481a1633bf4aa7050d7))
* **steamos-automount:** Don't use systemd container when adding library ([794698d](https://github.com/ublue-os/bazzite/commit/794698d15489eb1211b2ee5ffe77927527bfe1d9))
* **steamos-update:** Force update ([baf51b6](https://github.com/ublue-os/bazzite/commit/baf51b6e8432c428dbea873a5ec76fc6d3a563f7))
* **steamos-update:** Get progress bar working again ([0296571](https://github.com/ublue-os/bazzite/commit/02965719fce998ebf94fcafb6393860c6eac30b4))
* Support removing preinstalled system flatpaks ([db08195](https://github.com/ublue-os/bazzite/commit/db08195a1fd2399678d6ae30c8bae65319832c31))
* Switch from rsync to conditional copy to fix issue with missing files ([b0e2c76](https://github.com/ublue-os/bazzite/commit/b0e2c7642d4fb2514c6803f55c710e66bfb377e1))
* Switch to newer evlaV repository for jupiter-dock-updater-bin ([645003e](https://github.com/ublue-os/bazzite/commit/645003eae99ae493af45fdf50e0a0fcf60c9b655))
* Switch to SteamOS 3.5 steamdeck drivers. ([ae0af71](https://github.com/ublue-os/bazzite/commit/ae0af71227336bcf8e716d2f9b1e92b72bfd7f5a))
* **system76-scheduler:** Call kcm_kwin_scripts during configuration ([93becca](https://github.com/ublue-os/bazzite/commit/93becca546e6d1c7f047f2f1e6178fd21e7a2c46))
* **system76-scheduler:** Fully remove from deck images ([b691e95](https://github.com/ublue-os/bazzite/commit/b691e956ca294f271afece9f15831a48be89279a))
* Temp cache flatpaks in /etc/flatpak/cache ([cc40028](https://github.com/ublue-os/bazzite/commit/cc40028de65930ae3154ea9efb9d0b4f245325d8))
* Temporarily drop ROCM ([d5397ab](https://github.com/ublue-os/bazzite/commit/d5397abc56fbe6f79febcc09e4e1f062ad330177))
* Update bazzite copr to use evlaV repositories as upstream ([e486db5](https://github.com/ublue-os/bazzite/commit/e486db59ce1e3825d8d1ee1cf3c74e4bbe2c3e4b))
* Use alternate Nvidia init in Distrobox ([b6288a1](https://github.com/ublue-os/bazzite/commit/b6288a1ed05ad3719184d8425006c4f62937b200))
* Use jupiter driver instead of steamdeck driver. Valve submitted steamdeck upstream, however SteamOS uses the same driver named as jupiter or steamdeck-hwmon, making the upstream one not useful alongside Valve's own packages. ([1386380](https://github.com/ublue-os/bazzite/commit/1386380a484adc44f1443148748491a853c25f3a))
* Use nvidia-container-toolkit in distrobox instead of --nvidia flag since it's included upstream. ([a119f18](https://github.com/ublue-os/bazzite/commit/a119f187ed119255286ebc5f1d7122f3badb714e))
* Use rsync instead of cp ([e05d506](https://github.com/ublue-os/bazzite/commit/e05d506142f2c71ae63688624d291fa1b7adfc34))
* **yafti:** Add missing colon to reboot button ([826b6f6](https://github.com/ublue-os/bazzite/commit/826b6f664a87c8ac9289465bb3e88a22ccdf66b4))
* **yafti:** Correct path to Steam desktop file for autostart on deck ([e30a5d4](https://github.com/ublue-os/bazzite/commit/e30a5d47579f69b54dd9079860f8fc9f3873d47f))
* **yafti:** Correct spelling of description ([376b4a1](https://github.com/ublue-os/bazzite/commit/376b4a166e39bec8330de2ff0d8691fd84946259))
* **yafti:** Hide Wallpaper Engine plugin under GNOME ([6c638f3](https://github.com/ublue-os/bazzite/commit/6c638f30f6aab18d0b4b888dd4c7d999955b66d8))
* **yafti:** Move CoreCtrl and Chiaki4Deck out of the Flatpak packaging screen ([0613c38](https://github.com/ublue-os/bazzite/commit/0613c38415272bc112cd5da75236c08fe0de3c96))
* **yafti:** Revert to using grep and remove direct usage of image identifiers ([b3ed366](https://github.com/ublue-os/bazzite/commit/b3ed366dcf60cd14e355fc45b7690a2e65e2a863))
* **yafti:** Use just --unstable in yafti ([036be23](https://github.com/ublue-os/bazzite/commit/036be23602c3e9448ae97724f495edc817f024fe))


### Reverts

* "feat: Include Wireguard-tools" ([ee6d160](https://github.com/ublue-os/bazzite/commit/ee6d160afbafafcc26245004e789c5aa8373192e))
* "feat: Set SteamOS theme by default" ([c750486](https://github.com/ublue-os/bazzite/commit/c75048660c818d790c2166b15b950ea8f2df28dc))
* "fix: Revert me when the upstream ublue-os-update-services package is fixed" ([cd275f7](https://github.com/ublue-os/bazzite/commit/cd275f76ba012a5b060e45243d6737e7250cf181))


### Miscellaneous Chores

* release 0.1.0 ([f960f6f](https://github.com/ublue-os/bazzite/commit/f960f6fb8d27d9cbdcf3df82ac89e0616e3aff9d))
